<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use App\Activation;
use App\User;
use App\{MasterRegisterType, MasterCompanyType, MasterPanel};

class ActivationController extends Controller
{
    //
    public function showModify(Request $request)
    {
        $id = '';
        $exMessage = [];
        if (isset($request->modified_user_id) && $request->modified_user_id != '') {
            $id = base64_decode($request->modified_user_id);
        } elseif (isset($request->user_id) && $request->user_id != '') {
            $id = base64_decode($request->user_id);
        } else {
            $exMessage['message'] = "Invalid Request Found Please Try Again";
            return view('404', compact('exMessage'));
        }
        if ($id != '') {
            if (isset($request->user_id) && $request->user_id != '') {
                try {
                    $updateActivation = Activation::where('user_id', $id)
                        ->update($request->file);
                    $updateUser = User::where('id', $id)
                        ->update($request->info);
                    $exMessage['process'] = true;
                    $exMessage['message'] = 'User Updated Successfully';
                } catch (\Illuminate\Database\QueryException $ex) {
                    $exMessage['process'] = false;
                    $exMessage['message'] = $ex->errorInfo[2];
                }
            }
            $registrationType = MasterRegisterType::where('active', '1')->pluck('name', 'id')->toArray();
            $companyOfType = MasterCompanyType::where('active', '1')->pluck('name', 'id')->toArray();
            $panels = MasterPanel::where('active', '1')->pluck('name', 'id')->toArray();
            $fileData = Activation::where('user_id', $id)->get()->toArray();
            $userData = User::where('id', $id)->get()->toArray();
            $checkedPanels = json_decode($userData[0]['panels']);
            return view('modify',
                compact('userData', 'registrationType', 'companyOfType', 'panels', 'fileData', 'checkedPanels',
                    'exMessage'));
        } else {
            $exMessage['message'] = "Invalid Request Found Please Try Again";
            return view('404', compact('exMessage'));
        }
    }

    public function saveModifyCompany(Request $request)
    {
        if (authType() == 'company') {
            $exMessage = ['message' => "Invalid URL Link"];
            return view('404', compact('exMessage'));
        };
        $exMessage = [];
        try {
            $fileData = Activation::where('user_id', $request->user_id)
                ->update($request->file);
            $userData = User::where('id', $request->user_id)
                ->update($request->info);
            $exMessage['process'] = true;
            $exMessage['message'] = 'User Updated Successfully';

        } catch (\Illuminate\Database\QueryException $ex) {
            $exMessage['process'] = false;
            $exMessage['message'] = $ex->errorInfo[2];
        }
        //$id = base64_decode($request->user_id);
        $id = ($request->user_id);
        $registrationType = MasterRegisterType::where('active', '1')->pluck('name', 'id')->toArray();
        $companyOfType = MasterCompanyType::where('active', '1')->pluck('name', 'id')->toArray();
        $panels = MasterPanel::where('active', '1')->pluck('name', 'id')->toArray();
        $fileData = Activation::where('user_id', $id)->get()->toArray();
        $userData = User::where('id', $id)->get();
        $checkedPanels = json_decode($userData[0]['panels']);

        return view('modify',
            compact('userData', 'registrationType', 'companyOfType', 'panels', 'fileData', 'checkedPanels',
                'exMessage'));

    }

    public function Deregistered(Request $request)
    {
        if (authType() == 'company') {
            $exMessage = ['message' => "Invalid URL Link"];
            return view('404', compact('exMessage'));
        };
        $data = User::where(['users.active' => '2', 'users.type' => '1'])
            ->join('activations', 'activations.user_id', '=', 'users.id')
            ->select('users.id', 'users.name', 'activations.file_number',
                'activations.deactivation_date')->get()->toArray();

        return view('deregistered', compact('data'));
    }

    public function deactivateCompany(Request $request)
    {
        if (authType() == 'company') {
            $exMessage = ['message' => "Invalid URL Link"];
            return view('404', compact('exMessage'));
        };
        try {
            $updateActivation = Activation::where('user_id', $request->user_id)
                ->update([
                    'active'              => '0',
                    'deactivation_reason' => $request->deactivation_reason,
                    'deactivation_date'   => $request->deactivation_date
                ]);
            $updateUser = User::where('id', $request->user_id)
                ->update(['active' => '2']);
            $exMessage['process'] = true;
            $exMessage['message'] = 'Company De-Activated Successfully';
        } catch (\Illuminate\Database\QueryException $ex) {
            $exMessage['process'] = false;
            $exMessage['message'] = $ex->errorInfo[2];
        }
        $dataCounts = User::select(DB::raw("sum(type = 1 && active = '0') as newApplication, sum(type = 1 && active = 1) as approvedApplication, sum(type = 1 && (active = '0' || active = '1') ) as allApplication"))->get()->toArray();
        $newApplication = $dataCounts[0]['newApplication'];
        $approvedApplication = $dataCounts[0]['approvedApplication'];
        $allApplication = $dataCounts[0]['allApplication'];

        $dType = 'approve';
        $data = User::where('type', '1')->where('active', '0')
            ->select('id', 'email', 'password_nohash', 'name', 'created_at', 'active')
            ->orderBy('id', 'DESC')
            ->get()
            ->toArray();
        return view('application',
            compact('data', 'dType', 'newApplication', 'approvedApplication', 'allApplication', 'exMessage'));

    }

    public function storeFresh(Request $request)
    {
        if (authType() == 'company') {
            $exMessage = ['message' => "Invalid URL Link"];
            return view('404', compact('exMessage'));
        };
        try {
            $saveData = Activation::create($request->all());
            $updateUser = User::where('id', $request->user_id)
                ->update(['active' => '1']);
            $exMessage['process'] = true;
            $exMessage['message'] = 'Company Activated Successfully';
        } catch (\Illuminate\Database\QueryException $ex) {
            $exMessage['process'] = false;
            $exMessage['message'] = $ex->errorInfo[2];
        }
        $dataCounts = User::select(DB::raw("sum(type = 1 && active = '0') as newApplication, sum(type = 1 && active = 1) as approvedApplication, sum(type = 1 && (active = '0' || active = '1') ) as allApplication"))->get()->toArray();
        $newApplication = $dataCounts[0]['newApplication'];
        $approvedApplication = $dataCounts[0]['approvedApplication'];
        $allApplication = $dataCounts[0]['allApplication'];

        $dType = 'New';
        $data = User::where('type', '1')->where('active', '0')
            ->select('id', 'email', 'password_nohash', 'name', 'created_at', 'active')
            ->orderBy('id', 'DESC')
            ->get()
            ->toArray();
        return view('application',
            compact('data', 'dType', 'newApplication', 'approvedApplication', 'allApplication', 'exMessage'));
    }

    public function fetch(Request $request)
    {
        if (authType() == 'company') {
            $exMessage = ['message' => "Invalid URL Link"];
            return view('404', compact('exMessage'));
        };
        if (isset($request->activationRequest)) {
            $postedData = explode("!~#~!", base64_decode($request->activationRequest));
            //dump($postedData);
            if (count($postedData) == 5) {
                $userId = $postedData['0'];
                $companyName = $postedData['1'];
                $email = $postedData['2'];
                $password = $postedData['3'];

                $isActiveUser = Activation::where('user_id', $userId)->select('*')->get()->toArray();
                //dump($isActiveUser);
                //dd();
                $formData = [
                    'file_number'         => '',
                    'registration_number' => '',
                    'registration_year'   => '',
                    'registration_date'   => '',
                    'validity_date'       => '',
                    'remark'              => '',
                    'dgft_status'         => '',
                    'active'              => '1'
                ];
                if (count($isActiveUser) == 0) {
                    //Fresh Activation
                    return view('activation', compact('companyName', 'userId', 'email', 'password', 'formData'));
                } else {
                    $formData = [];
                    // For Deactivation OR Reactivate
                    return view('de-activation', compact('companyName', 'userId', 'email', 'password', 'formData'));
                }
            } else {
                $exMessage['message'] = "Invalid Request Code [4556]";
                return view('404', compact('exMessage'));
            }
        } else {
            $exMessage['message'] = "404 Invalid Request Code [5848]";
            return view('404', compact('exMessage'));
        }
    }
}
