<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use App\User;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Hash;
class ApplicationController extends Controller
{
    //
    public function fetchMemberDetails(Request $request)
    {
        if (authType()=='company') {
            $exMessage=['message'=>"Invalid URL Link"];
            return view('404',compact('exMessage'));
        };

        $data = User::where('users.active', '1')
            ->join('activations', 'activations.user_id', '=', 'users.id')
            ->select('users.id as main_id', 'users.*', 'activations.*')->get()->toArray();
        return view('member-detail', compact('data'));

    }

    public function application(Request $request)
    {
        if (authType()=='company') {
            $exMessage=['message'=>"Invalid URL Link"];
            return view('404',compact('exMessage'));
        };

        $dataCounts = User::select(DB::raw("sum(type = 1 && active = '0') as newApplication, sum(type = 1 && active = 1) as approvedApplication, sum(type = 1 && (active = '0' || active = '1') ) as allApplication"))->get()->toArray();
        $newApplication = $dataCounts[0]['newApplication'];
        $approvedApplication = $dataCounts[0]['approvedApplication'];
        $allApplication = $dataCounts[0]['allApplication'];

        $bulkClick = (isset($request->blukRequest) ? $request->blukRequest : '');
        $dType = 'New';
        switch ($bulkClick) {
            case 'new':
                $data = User::where('type', '1')->where('active', '0');
                $dType = 'New';
                break;
            case 'all':
                $data = User::where('type', '1')->whereIn('active', ['0', '1']);
                $dType = 'All';
                break;
            case 'approve':
                $data = User::where('type', '1')->where('active', '1');
                $dType = 'Approve';
                break;
            default:
                $data = User::where('type', '1')->where('active', '0');
        }

        $data = $data->select('id', 'email', 'password_nohash', 'name', 'created_at', 'active')->orderBy('id',
            'DESC')->get()->toArray();
        //dump($data);
        return view('application', compact('data', 'dType', 'newApplication', 'approvedApplication', 'allApplication'));
    }
    public function resetpassword(Request $request)
    {
//        dd($request['uid']);
        $data=$request->all();
        $resultreset= base64_decode($request['uid']);
        $progData = User::findOrFail($resultreset);
        $progData->password=Hash::make('escindia');
        $progData->save();
        return $resultreset;

    }

    public function delete($id)
    {
        $dublicate = User::findOrFail($id);
        $dublicate->delete();

        return redirect('/application')->with('success', 'application is successfully deleted');
    }
}
