<?php

namespace App\Http\Controllers\Auth;

use App\Http\Controllers\showRegistrationForm;
use App\MasterCompanyType;
use App\MasterPanel;
use App\MasterRegisterType;
use App\MasterMembershipFees;
use App\register;
use App\User;
use App\Http\Controllers\Controller;
use http\Env\Request;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Validator;
use Illuminate\Foundation\Auth\RegistersUsers;



class RegisterController extends Controller
{
    /*
    |--------------------------------------------------------------------------
    | Register Controller
    |--------------------------------------------------------------------------
    |
    | This controller handles the registration of new users as well as their
    | validation and creation. By default this controller uses a trait to
    | provide this functionality without requiring any additional code.
    |
    */

    use RegistersUsers;

    /**
     * Where to redirect users after registration.
     *
     * @var string
     */


    protected $redirectTo = '/home';

    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('guest');
    }

    public function showRegistrationForm()
    {

        $registrationType = MasterRegisterType::where('active', '1')->pluck('name', 'id')->toArray();
        $companyOfType = MasterCompanyType::where('active', '1')->pluck('name', 'id')->toArray();
        $panels = MasterPanel::where('active', '1')->pluck('name', 'id')->toArray();
        $anualData = MasterMembershipFees::where('active', '1')->select("*")->get()->toArray();
        return View('auth.register', compact('registrationType', 'companyOfType', 'panels','anualData'));
    }
    /**
     * Get a validator for an incoming registration request.
     *
     * @param array $data
     * @return \Illuminate\Contracts\Validation\Validator
     */
    protected function validator(array $data)
    {
        return Validator::make($data, [
            'name' => ['required', 'string', 'max:255'],
            'email' => ['required', 'string', 'email', 'max:255', 'unique:users'],
//            'roa_line1' => ['required', 'max:255'],
//            'doe' => ['required'],
//            'roa_line2' => ['required', 'max:255'],
//            'roa_city' =>['required','max:255'],
//            'roa_pin' =>['required','max:10'],
            'roa_state'=>['required','max:255'],
//            'roa_telephone' => ['required', 'max:25'],
//            'roa_website' => ['required', 'max:255'],
//            'ceo_name' =>['required','max:255'],
//            'ceo_designation' =>['required','max:255'],
//            'ceo_email'=>['required','max:255'],
//            'ceo_phone_mobile' => ['required', 'max:25'],
//            'ceo_company_iec_number' => ['required', 'max:255'],
//            'ceo_gst_number' =>['required','max:255'],
//            'cp_name' =>['required','max:255'],
//            'cp_designation'=>['required','max:255'],
//            'cp_email' => ['required', 'max:255'],
//            'cp_phone' => ['required', 'max:25'],
//            'cp_mobile' =>['required','max:25'],
            'cp_registration_type' =>['required'],
            'cp_type_of_company'=>['required'],
//            'company_cin' => ['required', 'max:255'],
//            'directors_name1' => ['required', 'max:255'],
//            'directors_din1' =>['required','max:255'],
//            'partners1' =>['required','max:255'],
//            'patners_pan1'=>['required','max:255'],
//            'company_pan' => ['required', 'max:255'],
//            'proprietor_pan' => ['required', 'max:255'],
            'panels'=>['required'],
//            'payment_details' =>['required','max:255'],

        ]);
    }
    protected function create(array $data)
    {
        return User::create([
            'name'                   => $data['name'],
            'email'                  => $data['email'],
            'password'               => Hash::make('escindia'),
            'password_nohash'        => 'escindia',
            'type'                   => '1',
            'doe'                    => $data['doe'],
            'roa_line1'              => $data['roa_line1'],
            'roa_line2'              => $data['roa_line2'],
            'roa_city'               => $data['roa_city'],
            'roa_pin'                => $data['roa_pin'],
            'roa_state'              => $data['roa_state'],
            'roa_telephone'          => $data['roa_telephone'],
            'roa_website'            => $data['roa_website'],
            'ceo_name'               => $data['ceo_name'],
            'ceo_designation'        => $data['ceo_designation'],
            'ceo_email'              => $data['ceo_email'],
            'ceo_phone_mobile'       => $data['ceo_phone_mobile'],
            'ceo_company_iec_number' => $data['ceo_company_iec_number'],
            'ceo_gst_number'         => $data['ceo_gst_number'],
            'cp_name'                => $data['cp_name'],
            'cp_designation'         => $data['cp_designation'],
            'cp_email'               => $data['cp_email'],
            'cp_phone'               => $data['cp_phone'],
            'cp_mobile'              => $data['cp_mobile'],
            'cp_registration_type'   => $data['cp_registration_type'],
            'cp_type_of_company'     => $data['cp_type_of_company'],
            'company_cin'            => $data['company_cin'],
            'directors_name1'        => $data['directors_name1'],
            'directors_din1'         => $data['directors_din1'],
            'directors_name2'        => $data['directors_name2'],
            'directors_din2'         => $data['directors_din2'],
            'directors_name3'        => $data['directors_name3'],
            'directors_din3'         => $data['directors_din3'],
            'directors_name4'        => $data['directors_name4'],
            'directors_din4'         => $data['directors_din4'],
            'directors_name5'        => $data['directors_name5'],
            'directors_din5'         => $data['directors_din5'],
            'directors_name6'        => $data['directors_name6'],
            'directors_din6'         => $data['directors_din6'],
            'partners1'              => $data['partners1'],
            'patners_pan1'           => $data['patners_pan1'],
            'partners2'              => $data['partners2'],
            'patners_pan2'           => $data['patners_pan2'],
            'partners3'              => $data['partners3'],
            'patners_pan3'           => $data['patners_pan3'],
            'partners4'              => $data['partners4'],
            'patners_pan4'           => $data['patners_pan4'],
            'partners5'              => $data['partners5'],
            'patners_pan5'           => $data['patners_pan5'],
            'partners6'              => $data['partners6'],
            'patners_pan6'           => $data['patners_pan6'],
            'company_pan'            => $data['company_pan'],
            'proprietor_pan'         => $data['proprietor_pan'],
            'items_of_registration'  => $data['items_of_registration'],
            'panels'                 => $data['panels'],
            'payment_details'        => $data['payment_details'],

        ]);

    }
}
