<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\MasterYear;
use App\MasterMonth;
use App\Fee;
use App\User;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Storage;

class FeeController extends Controller
{
    //
    public function defaultLoad(Request $request)
    {
//        $contents = Storage::get('fee_log.json');
//        $formattedLog = "[".rtrim($contents,", ")."]";
//        dump(json_decode($formattedLog, true));

        $companies = User::where(['active' => '1', 'type' => '1'])->pluck('name', 'id')->toArray();
        $user_id = (isset($_POST['company_name']) ? $_POST['company_name'] : (isset($_POST['user_id']) ? $_POST['user_id'] : ''));
        $defaults = $this->getDefaultValues();
        $exMessage= [];
        $reqestadd = (isset($_POST['user_id']) ? $_POST['user_id'] : '');
        $companyName = (isset($_POST['company_name']) ? $companies[$_POST['company_name']] : (isset($_POST['user_id']) ? $companies[$_POST['user_id']] : ''));
        if ($reqestadd != '') {
            $writableData['request'] = $request->all();
            $writableData['created_at'] = date('Y-m-d h:i:s');
            $writableData['created_by'] = Auth::user()->name;
            $user_id = $reqestadd;
            if (isset($_POST['id']) && $_POST['id'] != '') {
                $updateArray = array_except($request->all(), ['_token']);
                try {
                    $writableData['request_type'] = 'Update';
                    $update = Fee::where(['id' => $request->id])->update($updateArray);
                    $exMessage['process'] = true;
                    $exMessage['message'] = 'Fee Updated Successfully';
                } catch (\Illuminate\Database\QueryException $ex) {
                    $exMessage['process'] = false;
                    $exMessage['message'] = $ex->errorInfo[2];
                }
            } else {
                try {
                    $writableData['request_type'] = 'Create';
                    $insert = Fee::create($request->all());
                    $exMessage['process'] = true;
                    $exMessage['message'] = 'Fee Added Successfully';
                } catch (\Illuminate\Database\QueryException $ex) {
                    $exMessage['process'] = false;
                    $exMessage['message'] = $ex->errorInfo[2];
                }
            }
            Storage::disk('local')->append('fee_log.json', json_encode($writableData).", ");
            //return redirect()->back()->with($exMessage);
        }
        $fees = [];
        if($user_id !=''){
            $fees = Fee::where('user_id', $user_id)->select('*')
                ->orderBy('year','desc')
//                ->orderBy('paid_fee','desc')
                ->get()->toArray();
        }
        return view('fee', compact('companies', 'companyName', 'defaults', 'user_id', 'fees', 'exMessage'));
    }

    public function getDefaultValues()
    {
        $years = MasterYear::where('active', '1')->pluck('name', 'id')->toArray();
        $months = MasterMonth::where('active', '1')->pluck('name', 'id')->toArray();
        return ['years' => $years, 'months' => $months];
    }
}
