<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Activation;
use App\User;
use Illuminate\Support\Facades\DB;
use App\{MemberExport};

class GlobalAjaxController extends Controller
{
    //
    public function reActivation(Request $request)
    {
        $id = base64_decode($request->cid);
        $message = [];
        try {
            $updateActivation = Activation::where('user_id', $id)
                ->update([
                    'active'              => '1',
                    'deactivation_reason' => null,
                    'deactivation_date'   => null
                ]);
            $updateUser = User::where('id', $id)
                ->update(['active' => '1']);
            $message['row'] = $id;
            $message['code'] = '200';
        } catch (\Illuminate\Database\QueryException $ex) {
            $message['row'] = $id;
            $message['code'] = '500';
            $message['error'] = $ex->errorInfo[2];
        }
        return $message;
    }

    public function selecteYearFee(Request $request)
    {
        $userId = $request->cId;
        $year = $request->selectedYear;
        $data = MemberExport::where(["user_id"=>$userId,'year'=>$year])
            ->select(DB::raw("sum(value_in_rs) as totalExport, max(month) as lastMonth"))
            ->get()->toArray();
        return $data;
    }
    public function uniqueFileNumber(Request $request)
    {
        $fileNumber = $request->fileNum;
        return $checkFileNumber = Activation::where('file_number', $fileNumber)->count();
    }
}
