<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use App\{Activation,
    MasterYear,
    MasterMonth,
    User,
    MemberExport,
    MasterCountries,
    MasterItem,
    MasterPanel,
    MasterGroup};


class MemberExportController extends Controller
{
    //
    public function defaultLoad(Request $request)
    {
//        dd($request);
        $companies = User::where(['users.active'=>'1', 'users.type'=>'1'])
            ->join('activations','activations.user_id','=','users.id')
            ->select('users.id as c_id','users.name as c_name','activations.file_number')->get()
            ->mapToGroups(function ($item, $key) {
                return [$item['c_id'] => $item];
            })->toArray();
        $user_id = (isset($_POST['company_name']) ? $_POST['company_name'] : (isset($_POST['user_id']) ? $_POST['user_id'] : ''));
        $defaults = $this->getDefaultValues();

        $reqestadd = (isset($_POST['user_id']) ? $_POST['user_id'] : '');
        $companyName = (isset($_POST['company_name']) ? $companies[$_POST['company_name']][0]['c_name'] : (isset($_POST['user_id']) ? $companies[$_POST['user_id']][0]['c_name'] : ''));
        $exMessage = [];
        if ($reqestadd != '') {
            $user_id = $reqestadd;
            if (isset($_POST['id']) && $_POST['id'] != '') {

                $updateArray = array_except($request->all(), ['_token']);
                MemberExport::saveExportAndFee($updateArray);
//                try {
//                    //$update = MemberExport::where(['id' => $request->id])->update($updateArray);
//                    MemberExport::saveExportAndFee($updateArray);
//                    $exMessage['process'] = true;
//                    $exMessage['message'] = 'Member Export Updated Successfully';
//                } catch (\Illuminate\Database\QueryException $ex) {
//                    $exMessage['process'] = false;
//                    $exMessage['message'] = $ex->errorInfo[2];
//                }
            } else {
                //dd($request->all());
                MemberExport::saveExportAndFee($request->all());
//                try {
//                    //$insert = MemberExport::create($request->all());
//                    MemberExport::saveExportAndFee($request->all());
//                    $exMessage['process'] = true;
//                    $exMessage['message'] = 'Member Export Added Successfully';
//                } catch (\Illuminate\Database\QueryException $ex) {
//                    $exMessage['process'] = false;
//                    $exMessage['message'] = $ex->errorInfo[2];
//                }
            }
        }
        $memberExportList =[];
        if($user_id!=''){

            $memberExportList = MemberExport::where('user_id', $user_id)->select('*')->get()->toArray();
            //dd($memberExportList);
        }

        return view('member-export',
            compact('companies', 'companyName', 'defaults', 'user_id', 'memberExportList', 'exMessage'));
    }

    public function getDefaultValues()
    {
        $years = MasterYear::pluck('name', 'id')->toArray();
        $panels = MasterPanel::pluck('name', 'id')->toArray();
        $groups = MasterGroup::pluck('name', 'id')->toArray();
        $months = MasterMonth::pluck('name', 'id')->toArray();
        $countries = MasterCountries::select('id', 'name', 'region')->get()
            ->mapToGroups(function ($item, $key) {
                return [$item['id'] => $item];
            })->toArray();
        $items = MasterItem::select('*')->get()
            ->mapToGroups(function ($item, $key) {
                return [$item['id'] => $item];
            })->toArray();
        return ['years'     => $years,
            'months'    => $months,
            'countries' => $countries,
            'items'     => $items,
            'panels'    => $panels,
            'groups'    => $groups
        ];
    }
}
