<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\User;
use App\Activation;
use App\{MasterRegisterType, MasterCompanyType, MasterPanel};

class UserController extends Controller
{
    //
    public function viewModify(Request $request)
    {

        if (authType() == 'company') {
            $exMessage = ['message' => "Invalid URL Link"];
            return view('404', compact('exMessage'));
        };

        $id = '';
        $exMessage = [];
        if (isset($request->view_user_id) && $request->view_user_id != '') {
            $id = base64_decode($request->view_user_id);
        } elseif (isset($request->user_id) && $request->user_id != '') {
            $id = base64_decode($request->user_id);
        } else {
            $exMessage['message'] = "Invalid Request Found Please Try Again";
            return view('404', compact('exMessage'));
        }
        if ($id != '') {

            if (isset($request->user_id) && $request->user_id != '') {
                try {
                    $update = User::where('id', $id)
                        ->update($request->user);
                    $exMessage['process'] = true;
                    $exMessage['message'] = 'Company Updated Successfully';
                } catch (\Illuminate\Database\QueryException $ex) {
                    $exMessage['process'] = false;
                    $exMessage['message'] = $ex->errorInfo[2];
                }

            }
            $registrationType = MasterRegisterType::where('active', '1')->pluck('name', 'id')->toArray();
            $companyOfType = MasterCompanyType::where('active', '1')->pluck('name', 'id')->toArray();
            $panels = MasterPanel::where('active', '1')->pluck('name', 'id')->toArray();
            $userData = User::where('id', $id)->get()->toArray();
            $checkedPanels = json_decode($userData[0]['panels']);
            return view('view-company',
                compact('userData', 'registrationType', 'companyOfType', 'panels', 'checkedPanels','exMessage'));
        } else {
            $exMessage['message'] = "Invalid Request Found Please Try Again";
            return view('404', compact('exMessage'));
        }
    }
}
