<?php

namespace App;
use App\Fee;
use Illuminate\Support\Facades\DB;
use Illuminate\Database\Eloquent\Model;

class MemberExport extends Model
{
    //
    protected $fillable = [
        'user_id',
        'year',
        'month',
        'item',
        'country',
        'value_in_rs',
        'created_at',
    ];

    public static function saveExportAndFee($cdata = null){
    // Start transaction
     //beginTransaction(); //// Run Queries
    //dd($cdata);
    DB::beginTransaction();
     $exp = MemberExport::createOrUpdateExport($cdata);
     $fee = MemberExport::createOrUpdateFee($cdata); //// If there's an error // or queries don't do their job, // rollback!
     if( !$exp || !$fee ) {
     //rollbackTransaction();
         DB::rollback();
     } else {
     // Else commit the queries
     //commitTransaction();
         DB::commit();
     }
}

public static function createOrUpdateExport($data=null){
    //dd($data);
    $id = ($data['id']) ? $data['id'] : null;
    if($id != null) {
        $exportDetail = MemberExport::findOrFail($id);
        if ($exportDetail) {
            //$exportDetail = new MemberExport;
            $exportDetail->user_id = $data['user_id'];
            $exportDetail->year = $data['year'];
            $exportDetail->month = $data['month'];
            $exportDetail->item = $data['item'];
            $exportDetail->country = $data['country'];
            $exportDetail->value_in_rs = $data['value_in_rs'];
        }
    }
    else{

        $exportDetail = new MemberExport;
        //dd($exportDetail);
        $exportDetail->user_id = $data['user_id'];
        $exportDetail->year = $data['year'];
        $exportDetail->month = $data['month'];
        $exportDetail->item = $data['item'];
        $exportDetail->country = $data['country'];
        $exportDetail->value_in_rs = $data['value_in_rs'];
    }

    return $exportDetail->save();
}

    public static function createOrUpdateFee($data=null){
//    dd($data);
        $user_id = $data['user_id'];
        $year = $data['year'];
        $feeDetail = Fee::where([['user_id', '=', $user_id], ['year', '=', $year],] )->first();
    //dd($feeDetail);
        if(!empty($feeDetail)){
            //$feeDetail = new Fee;
            //dd($feeDetail);
            $feeDetail->user_id = $feeDetail['user_id'];
            $feeDetail->year = (int)$feeDetail['year'];
            $feeDetail->export_in_lakh = (float)$feeDetail['export_in_lakh'] - (float)$data['value_in_rs_old'] + (float)$data['value_in_rs'];
//            dd($feeDetail['export_in_lakh']);
            $feeDetail->upto = ($data['month'] >= $feeDetail['upto']) ? $data['month'] : $feeDetail['upto'];
            //dd($feeDetail['month']);
            //dd($feeDetail->upto);
            $feeDetail->applicable_fee = $feeDetail['applicable_fee'];
            $feeDetail->paid_fee = $feeDetail['paid_fee'];
            $feeDetail->paid_year = $feeDetail['paid_year'];
            $feeDetail->balance = $feeDetail['balance'];
            $feeDetail->balance_paid_year = $feeDetail['balance_paid_year'];
            $feeDetail->remarks = $feeDetail['remarks'];
        }else{

            $feeDetail = new Fee;
            //dd($feeDetail);
            $feeDetail->user_id = $data['user_id'];
            $feeDetail->year =  (int)$data['year'];
            $feeDetail->export_in_lakh = $data['value_in_rs'];
            $feeDetail->upto = $data['month'];

            $feeDetail->applicable_fee = '0';
            $feeDetail->paid_fee = '0';
            $feeDetail->paid_year = '0';
            $feeDetail->balance = '0';
            $feeDetail->balance_paid_year = '0';
            $feeDetail->remarks = '';
        }
    //dd($feeDetail);
        return $feeDetail->save();

    }

    }
