@extends('layouts.admin')
@push('extra-css')
    <link href="{{ asset('calenderOnly/css/jquery-ui.css') }}" rel="stylesheet">
    <link href="{{ asset('calenderOnly/css/style.css') }}" rel="stylesheet">
@endpush
@section('content')
    <meta name="csrf-token" content="{{ csrf_token() }}"/>
    <section class="content">
        <div class="row">
            <div class="col-md-12">
                <!-- Horizontal Form -->
                <div class="box box-info">
                    <div class="box-header with-border">
                        <h3 class="box-title">{{$companyName}}</h3>
                    </div>
                    <!-- form start -->
                    <form method="POST" class="form-horizontal" action="{{ route('activationStoreFresh') }}">
                        {{ csrf_field() }}
                        <input type="hidden" name="user_id" value="{{$userId}}">
                        <input type="hidden" name="active" value="{{$formData['active']}}">
                        <div class="box-body">
                            <div class="form-group">
                                <label for="" class="col-sm-2 control-label">File Number</label>
                                <div class="col-sm-10">
                                    <input type="number" class="form-control" name="file_number" id="file_number"
                                           value="{{$formData['file_number']}}"
                                           placeholder="File Number" required> <span style="color: red" id="validateFile_number"></span>
                                </div>
                            </div>
                            <div class="form-group">
                                <label for="" class="col-sm-2 control-label">Registration Number</label>
                                <div class="col-sm-10">
                                    <input type="text" class="form-control" name="registration_number"
                                           id="registration_number"
                                           value="{{$formData['registration_number']}}"
                                           placeholder="Registration Number" required>
                                </div>
                            </div>
                            <div class="form-group">
                                <label for="" class="col-sm-2 control-label">Year of Registration</label>
                                <div class="col-sm-10">
{{--                                    <input type="text" class="form-control" name="registration_year" autocomplete="off"--}}
{{--                                           id="registration_year"--}}
{{--                                           value="{{$formData['registration_year']}}" required>--}}


                                    <select class="form-control" id="registration_year" name="registration_year" required>
                                        <option value="">- Choose Year -</option>
                                        @for ($year = date('Y'); $year > 1984; $year--)
                                            {{--                                                <option value="{{$year}}" {{ old('doe') ==$year ? 'selected="selected"' : ''}}>{{$year}}</option>--}}
                                            {{--                                                <option value="{{$year}}"selected="selected">{{$year}}</option>--}}
                                            <option value="{{$year}}"{{ (old('registration_year') == $year ? 'selected':'') }}>{{$year}}</option>

                                        @endfor
                                    </select>
                                </div>
                            </div>
                            <div class="form-group">
                                <label for="" class="col-sm-2 control-label">Date of Registration</label>
                                <div class="col-sm-10">
                                    <input type="text" class="form-control" name="registration_date" autocomplete="off"
                                           id="registration_date"
                                           value="{{$formData['registration_date']}}" required>
                                </div>
                            </div>
                            <div class="form-group">
                                <label for="" class="col-sm-2 control-label">Date of Validity</label>
                                <div class="col-sm-10">
                                    <input type="text" class="form-control" name="validity_date" id="validity_date" autocomplete="off"
                                           value="{{$formData['validity_date']}}" required>
                                </div>
                            </div>
                            <div class="form-group">
                                <label for="" class="col-sm-2 control-label">Remark</label>
                                <div class="col-sm-10">
                                    <textarea class="form-control" name="remark" id="remark"
                                              placeholder="Remark" required>{{$formData['remark']}}</textarea>
                                </div>
                            </div>
                            <div class="form-group">
                                <label for="" class="col-sm-2 control-label">DGFT Status</label>
                                <div class="col-sm-10">
                                    <input type="text" class="form-control" name="dgft_status" id="dgft_status"
                                           value="{{$formData['dgft_status']}}" placeholder="DGFT Status" required>
                                </div>
                            </div>
                            <div class="form-group">
                                <label for="" class="col-sm-2 control-label">User Name</label>
                                <div class="col-sm-10">
                                    <input type="text" class="form-control" value="{{$email}}" placeholder="User Name"
                                           readonly="">
                                </div>
                            </div>
                            <div class="form-group">
                                <label for="" class="col-sm-2 control-label">Password</label>
                                <div class="col-sm-10">
                                    <input type="text" class="form-control" value="{{$password}}" placeholder="Password"
                                           readonly="">
                                </div>
                            </div>
                        </div>
                        <div class="box-footer">
                            <button type="submit" class="btn btn-info pull-right">ACTIVATE</button>
                        </div>
                        <!-- /.box-footer -->
                    </form>
                </div>
            </div>
        </div>
    </section>
@endsection
@push('extra-script')
    <script>
        $(document).ready(function () {

            $(function () {
                $("#registration_year").datepicker({
                    changeMonth: true,
                    changeYear: true,
                    dateFormat: 'yy-mm-dd'
                });
                $("#registration_date").datepicker({
                    changeMonth: true,
                    changeYear: true,
                    dateFormat: 'yy-mm-dd'
                });
                $("#validity_date").datepicker({
                    changeMonth: true,
                    changeYear: true,
                    dateFormat: 'yy-mm-dd'
                });
            });
            $("#file_number").change(function () {
                var fileNum = $(this).val();
                if (fileNum != '') {
                    $.ajax({
                        type: 'POST',
                        // url: '/fileNumber',
                        url: '{{route('fileNumber')}}',
                        data: {
                            'fileNum': fileNum, '_token': '{{csrf_token()}}'
                        },
                        success: function (counts) {
                            if(parseInt(counts) == 0){
                                $("#file_number").css('border','1px solid green');
                                $("#validateFile_number").text('');
                            }else{
                                $("#file_number").val('');
                                $("#validateFile_number").text('File number already in use');

                                $("#file_number").css('border','1px solid red');
                            }
                        }
                    });
                }
            });
        });
    </script>
@endpush
