@extends('layouts.admin')
@push('extra-css')
    <link href="{{ asset('bower_components/datatables.net-bs/css/dataTables.bootstrap.min.css') }}" rel="stylesheet">
@endpush
@section('content')
    <section class="content">
        <div class="row">
            @if(isset($exMessage['process']))
                <div class="alert alert-{{($exMessage['process'] ? 'success':'danger')}} alert-dismissible">
                    <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                    <h4><i class="icon fa fa-{{($exMessage['process'] ? 'check':'ban')}}"></i> Alert!</h4>
                    {{$exMessage['message']}}
                </div>
            @endif
            <form method="POST" action="{{ route('application') }}" id="blukForm">
                {{ csrf_field() }}
                <input type="hidden" name="blukRequest" id="blukRequest">
            </form>
            <form method="POST" action="{{ route('activation') }}" id="activaionForm">
                {{ csrf_field() }}
                <input type="hidden" name="activationRequest" id="activationRequest">
            </form>
            <form method="POST" action="{{ route('modify-company') }}" id="userModifyForm">
                {{ csrf_field() }}
                <input type="hidden" name="modified_user_id" id="modified_user_id">
            </form>
            <form method="POST" action="{{ route('view-company') }}" id="userviewForm">
                {{ csrf_field() }}
                <input type="hidden" name="view_user_id" id="view_user_id">
            </form>
            <div class="col-md-4 col-sm-6 col-xs-12">
                <div class="info-box blukredirect" data-val="new" style="cursor: pointer" data-toggle="tooltip"
                     data-placement="bottom" title="Click To View New Applications">
                    <span class="info-box-icon bg-aqua"><i class="fa fa-file-text-o"></i></span>

                    <div class="info-box-content">
                        <span class="info-box-text">New Applications</span>
                        <span class="info-box-number">{{$newApplication}}</span>
                    </div>
                    <!-- /.info-box-content -->
                </div>
                <!-- /.info-box -->
            </div>
            <!-- /.col -->
            <div class="col-md-4 col-sm-6 col-xs-12">
                <div class="info-box blukredirect" data-val="approve" style="cursor: pointer" data-toggle="tooltip"
                     data-placement="bottom" title="Click To View Approve Applications">
                    <span class="info-box-icon bg-green"><i class="fa fa-check"></i></span>
                    <div class="info-box-content">
                        <span class="info-box-text">Approve Applications</span>
                        <span class="info-box-number">{{$approvedApplication}}</span>
                    </div>
                    <!-- /.info-box-content -->
                </div>
                <!-- /.info-box -->
            </div>
            <!-- /.col -->
            <div class="col-md-4 col-sm-6 col-xs-12">
                <div class="info-box blukredirect" data-val="all" style="cursor: pointer" data-toggle="tooltip"
                     data-placement="bottom" title="Click To View All Applications">
                    <span class="info-box-icon bg-yellow"><i class="fa fa-files-o"></i></span>
                    <div class="info-box-content">
                        <span class="info-box-text">All Applications</span>
                        <span class="info-box-number">{{$allApplication}}</span>
                    </div>
                    <!-- /.info-box-content -->
                </div>
                <!-- /.info-box -->
            </div>
            <!-- /.col -->
        </div>
        <div class="box">
            <div class="box-header">
                <h3 class="box-title">{{$dType}} Application List</h3>
            </div>
            <!-- /.box-header -->
            <div class="box-body">
                <table id="data" class="table table-bordered table-striped">
                    <thead>
                    <tr>
                        <th>ID</th>
                        <th>Company Name</th>
                        <th>Creation Date</th>
                        <th>Creation Time</th>
                        <th>Status</th>
                        <th>View/Modify</th>
                        <th>Delete</th>
                    </tr>
                    </thead>
                    <tbody>
                    @foreach($data as $key => $data)
                        <tr>
                            <td>{{$data['id']}}</td>
                            <td>{{$data['name']}}</td>
                            <td>{{substr($data['created_at'],0,11)}}</td>
                            <td>{{substr($data['created_at'],11,20)}}</td>
                            <td>
                                <button type="button"
                                        class="btn-{{($data['active'] == '0'?'warning':'danger')}} btn-xs mClass UniClickLock"
                                        data-val="{{base64_encode($data['id']."!~#~!".$data['name']."!~#~!".$data['email']."!~#~!".$data['password_nohash']."!~#~!".($data['active'] == '0'?'Activate':'DeActivate'))}}">
                                    <i class="fa fa-{{($data['active'] == '0'?'envelope-open-o':'envelope-o')}}"></i>
                                    {{($data['active'] == '0'?'Activate':'De-Activate')}}
                                </button>
                            </td>
                            <td>
                                @if($data['active'] == '1')
                                    <button type="button" class="btn-success btn-xs mClass modifyUser"
                                            data-val="{{base64_encode($data['id'])}}">
                                        <i class="fa fa-edit"></i>
                                    </button>
                                @endif
                                @if($data['active'] == '0')
                                    <button type="button" class="btn-success btn-xs mClass viewUser"
                                            data-val="{{base64_encode($data['id'])}}">
                                        <i class="fa fa-edit"></i>
                                    </button>
                                @endif
                            </td>

                            @if($data['active'] == '0')

                                <td>
                                    <a href="{{Request::root()}}/application/{{$data['id']}}" onclick="return confirm('are you sure you want to delete ? ')" class="btn btn-danger  btn-xs" title="delete">
                                        <i class="fa fa-trash "></i>
                                    </a>
                                </td>
                            @else
                                <td>N/A</td>
                            @endif
                        </tr>
                    @endforeach
                    </tbody>
                </table>
            </div>
            <!-- /.box-body -->
            {{--<div>&nbsp;&nbsp;<code><b>NOTE:</b></code> <small>GROUP NAME IS UNIQUE FILED IN THE TABLE</small></div>--}}
        </div>
    </section>
@endsection
@push('extra-script')
    <script src="{{ asset('bower_components/datatables.net/js/jquery.dataTables.min.js') }}"></script>
    <script src="{{ asset('bower_components/datatables.net-bs/js/dataTables.bootstrap.min.js') }}"></script>
    <script>
        $(document).ready(function () {
            $(".blukredirect").click(function () {
                $("#blukRequest").val($(this).attr('data-val'));
                if ($("#blukRequest").val() != '') {
                    $("#blukForm").submit();
                }
            });

            $(".modifyUser").click(function () {
                $("#modified_user_id").val($(this).attr('data-val'));
                if ($("#modified_user_id").val() != '') {
                    $("#userModifyForm").submit();
                }
            });

            $(".viewUser").click(function () {
                $("#view_user_id").val($(this).attr('data-val'));
                if ($("#view_user_id").val() != '') {
                    $("#userviewForm").submit();
                }
            });
            $(".UniClickLock").click(function () {
                $("#activationRequest").val($(this).attr('data-val'));
                if ($("#activationRequest").val() != '') {
                    $("#activaionForm").submit();
                }
            });
            $('[data-toggle="tooltip"]').tooltip();
            $('#data').DataTable({
                "ordering": false
            });
        });
    </script>
@endpush
