<!doctype html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>ESC Registration</title>
    <!-- Fonts -->
    <link href="https://fonts.googleapis.com/css?family=Nunito:200,600" rel="stylesheet">
    <!-- Styles -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.2.0/css/bootstrap.min.css">

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>

    <link rel="stylesheet" href="//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
    <link rel="stylesheet" href="https://jqueryui.com/jquery-wp-content/themes/jqueryui.com/style.css">

    <script src="https://code.jquery.com/jquery-1.12.4.js"></script>
    <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>

    <style>
        .error_message {
            color: red;
            font-size: 10px;
        }

        #th1 {
            color: white;
            font-size: 12px;
        }

        #th2 {
            font-size: 11px;
        }

        .table-bordered > tbody > tr:nth-child(odd) > td,
        .table-bordered > tbody > tr:nth-child(odd) > th {
            background-color: #b0d4f1;
        }

        #inner-table1 > tbody > tr:nth-child(odd) > td,
        #inner-table1 > tbody > tr:nth-child(odd) > th {
            background-color: #b2b2b2;
        }

        #inner-table2 > tbody > tr:nth-child(odd) > td,
        #inner-table2 > tbody > tr:nth-child(odd) > th {
            background-color: #FFF2CC;
        }

        #patnerdin {
            background: yellow;
            color: white;
            padding: 2px;
            font-size: 11px;
        }

        img, iframe {
            height: auto;
            padding-top: 10px;
            margin-bottom: -0%;
            max-width: 100%;
            vertical-align: middle;
        }

        #img2 {
            display: block;
            margin-left: auto;
            margin-right: auto;
            width: 6%;
            margin-top: -2%;
        }

        label {
            font-size: 11px;
        }

        input[type="text"], [type="email"], [type='date'], select {
            font-size: 10px;
            height: 25px !important;
        }

        .table-bordered, th, td {
            padding: 1px;
        }

        /* The Modal (background) */
        .modal {
            display: none; /* Hidden by default */
            position: fixed; /* Stay in place */
            z-index: 1; /* Sit on top */
            padding-top: 100px; /* Location of the box */
            left: 0;
            top: 0;
            width: 100%; /* Full width */
            height: 100%; /* Full height */
            overflow: auto; /* Enable scroll if needed */
            background-color: rgb(0, 0, 0); /* Fallback color */
            background-color: rgba(0, 0, 0, 0.4); /* Black w/ opacity */
        }

        /* Modal Content */
        .modal-content {
            background-color: #fefefe;
            margin: auto;
            padding: 20px;
            border: 1px solid #888;
            width: 80%;
        }

        /* The Close Button */
        .close {
            color: red;
            float: right;
            font-size: 28px;
            font-weight: bold;
        }

        .close:hover,
        .close:focus {
            color: red;
            text-decoration: none;
            cursor: pointer;
        }
    </style>
    <script>
        $(document).ready(function () {

            $(function () {
                $("#doe").datepicker({
                    changeMonth: true,
                    changeYear: true,
                    dateFormat: 'yy-mm-dd'
                });
            });

            var selectedCType = [];
            Array.prototype.remove = function () {
                var what, a = arguments, L = a.length, ax;
                while (L && this.length) {
                    what = a[--L];
                    while ((ax = this.indexOf(what)) !== -1) {
                        this.splice(ax, 1);
                    }
                }
                return this;
            };
            $('input:checkbox').change(function () {
                if ($(this).is(":checked")) {
                    selectedCType.push($(this).val());
                    $("#typesOfCompany").val(JSON.stringify(selectedCType));
                    console.log(selectedCType);
                } else {
                    selectedCType.remove($(this).val());

                    $("#typesOfCompany").val(JSON.stringify(selectedCType));
                    if ($("#typesOfCompany").val() == '[]') {
                        $("#typesOfCompany").val('');
                    }
                }
            });
            $("#popForm").click(function () {
                $("#myModal").show();
            });
            $(".close").click(function () {
                $("#myModal").hide();
            });
        });

    </script>
</head>
<body>
<div id="myModal" class="modal">
    <div class="modal-content">
        <span class="close">&times;</span>
        <section class="content">
            <div class="box">
                <div class="box-header">
                    <h3 class="box-title">ANNUAL FEE</h3>
                </div>
                <!-- /.box-header -->
                <div class="box-body">
                    <table class="table table-condensed">
                        <thead>
                        <tr>
                            <th>Export performance (FOB value + Deemed export ) in the preceding financial year
                            </th>
                            <th>Applicable Annual Fee (Rs)
                            </th>
                            <th>GST @ 18% (Rs)
                            </th>
                            <th>TOTAL ANNUAL FEE (Rs.)
                            </th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($anualData as $key => $data)
                            <tr>
                                <td>{{$data['col1']}}</td>
                                <td>{{$data['col2']}}</td>
                                <td>{{$data['col3']}}</td>
                                <td>{{$data['col4']}}</td>

                            </tr>
                        @endforeach
                        </tbody>
                    </table>

                </div>
                <div class="box">
                    <div class="box-body">
                        <h4 style="color: #227dc7"><b>ESC BANK DETAILS</b></h4>
                        <table class="table table-condensed">
                            <tr>
                                <th><b>Beneficiary A/c Name :</b></th>
                                <td><b>Electronics and Computer Software Export Promotion Council</b></td>
                            </tr>
                            <tr>
                                <th><b>Beneficiary Address :</b></th>
                                <td><b>ESC House, 155 Okhla Industrial Estate - III, New Delhi 110020</b></td>
                            </tr>
                            <tr>
                                <th><b>Beneficiary’s Bank Details:</b></th>
                            </tr>
                            <tr>
                                <th><b>-----------------------------</b></th>
                            </tr>
                            <tr>
                                <th><b>Bank Name :</b></th>
                                <td><b>Kotak Mahindra Bank Ltd</b></td>
                            </tr>
                            <tr>
                                <th><b>Account No :</b></th>
                                <td><b>2212559390</b></td>
                            </tr>
                            <tr>
                                <th>Account Type :</th>
                                <td><b>Saving Bank Account</b></td>
                            </tr>
                            <tr>
                                <th>NEFT/IFSC Code :</th>
                                <td><b>KKBK-000-4587</b></td>
                            </tr>
                            <tr>
                                <th>Service Tax no.:</th>
                                <td><b>AAATE0022CSD001 </b></td>
                            </tr>
                            <tr>
                                <th>PAN :</th>
                                <td><b>AAATE0022C </b></td>
                            </tr>
                            <tr>
                                <th>GSTIN :</th>
                                <td><b>07AAATE0022C1ZN</b></td>
                            </tr>
                            <tr>
                                <th>Email to confirm payment :</th>
                                <td style="color: #227dc7"><b>esc@escindia.com</b></td>
                            </tr>

                        </table>
                    </div>
                </div>
            </div>

        </section>
    </div>
</div>
<header id="header" class="header5 with-shadow not-fixed">
    <div id="main-header" class="bg-white color-dark ">
        <div class="container">
            <div class="row">
                <div class="col-lg-6 col-md-6 col-sm-6">
                    <div class="logo">
                        <a class="default-logo" href=""
                           title="Electronics and Computer  Software Export Promotion Council">
                            <img src="{{url('/ESCLOGO.png')}}"
                                 alt="Electronics and Computer  Software Export Promotion Council"> </a>
                    </div>
                </div>
                <div class="col-lg-6 col-md-6 col-sm-6 text-right">
                    <div class="logo-right">
                        <img src="https://www.escindia.in/wp-content/themes/esc/img/make-on-india.png"
                             alt="Make in india">
                    </div>
                </div>
            </div>
        </div>
    </div>
    <nav class="navbar navbar-default" style="background: #227dc7">
        <div class="container-fluid">
            <div class="navbar-header">
                <a class="navbar-brand" href="#" style="color: white">Register</a>
            </div>
            <ul class="nav navbar-nav navbar-right">
                <li><a href="{{ route('login') }}"><span class="glyphicon glyphicon-log-in" style="color: white">&nbsp;Login</span></a>
                </li>
            </ul>
        </div>
    </nav>
</header>
<div class="row">
    <div class="col-md-2"></div>
    <div class="col-md-8">
        <div class="row">
            <div class="col-md-12">
                <div align="center">
                    <img src="{{url('/escindia.png')}}" width="60px">
                    <h6><b>Application form for membership with</b></h6>
                    <h6><b>Electronics and Computer Software Export Promotion Council (ESC)</b></h6>
                </div>
                <div style="font-weight: bold">Note : Please keep annual membership fee payment details ready.
                    <a id="popForm" style="cursor: pointer; color: blue">CLICK HERE</a>
                    for fee details
                </div>
            </div>
            <div class="col-md-12">
                <form id="register_frm" method="POST" action="{{ route('register') }}">
                    <input type="hidden" name="_token" value="{{ csrf_token()}}">
                    <table class="table table-bordered">
                        <tr>
                            <th style="width:30%; background-color: #4aa0e6" id="th1">Heading</th>
                            <th style="width:70%; background-color: #4aa0e6" id="th1"> Default</th>
                        </tr>
                        <tr>
                            <td>
                                <label>Company Name</label>
                            </td>
                            <td>
                                <input type="text" class="form-control" id="name" name="name" value="{{ old('name') }}"
                                       placeholder="Company Name"  required style="text-transform:uppercase" />
                                @error('name')
                                <strong class="error_message">The Company Name is required</strong>
                                @enderror
                            </td>
                        </tr>
                        <tr>
{{--                            <td><label>Date of Establishment</label></td>--}}
{{--                            <td>--}}

{{--                                <select class="form-control" id="doe" name="doe" style="font-size: 11px;" >--}}
{{--                                    <option value="">- YEAR -</option>--}}
{{--                                    @for ($year = date('Y'); $year > 1984; $year--)--}}
{{--                                        <option value="{{$year}}" >{{$year}}</option>--}}
{{--                                    @endfor--}}
{{--                                </select>--}}
                            <td><label>Date of Establishment</label></td>
                            <td>
                                <input type="text" class="form-control" id="doe" name="doe" value="{{ old('doe') }}"
                                       readonly>

                                @error('doe')
                                <strong class="error_message">The Date of Establishment is required </strong>
                                @enderror
                            </td>


                            </td>
                        </tr>
                        <tr>
                            <td colspan="2"></td>
                        </tr>
                        <tr>
                            <td colspan="2"><label>Registered Office Address</label></td>
                        </tr>
                        <tr>
                            <td>
                                <label>Line 1</label>
                            </td>
                            <td>
                                <input type="text" class="form-control @error('roa_line1') is-invalid @enderror"
                                       id="roa_line1"
                                       name="roa_line1" value="{{ old('roa_line1') }}" placeholder="Line 1" style="text-transform:uppercase" />
                                @error('roa_line1')
                                <strong class="error_message">The Line1 is required</strong>
                                @enderror
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <label>Line 2</label>
                            </td>
                            <td>
                                <input type="text" class="form-control" id="roa_line2" name="roa_line2"
                                       value="{{ old('roa_line2') }}" placeholder="Line 2" style="text-transform:uppercase" />
                                @error('roa_line2')
                                <strong class="error_message">The Line2 is required </strong>
                                @enderror
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <label>City</label>
                            </td>
                            <td>
                                <input type="text" class="form-control" id="roa_city" name="roa_city"
                                       value="{{ old('roa_city') }}" placeholder="City" style="text-transform:uppercase" />
                                @error('roa_city')
                                <strong class="error_message">The City is required</strong>
                                @enderror
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <label>PIN</label>
                            </td>
                            <td>

                                <input type="text" class="form-control" id="roa_pin" name="roa_pin"
                                       value="{{ old('roa_pin') }}"
                                       placeholder="PIN" style="text-transform:uppercase" />
                                @error('roa_pin')
                                <strong class="error_message">The PIN is required </strong>
                                @enderror
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <label>State</label>
                            </td>
                            <td>
                                <select class="form-control" id="roa_state" name="roa_state" style="font-size: 10px;" required style="text-transform:uppercase" />
                                    <option value="">Select State</option>
                                    @foreach(STATES as $key => $value)
                                        <option value="{{$key}}" {{ (old('roa_state') == $key ? 'selected':'') }}> {{$value}}</option>
                                    @endforeach
                                </select>
                                @error('roa_state')
                                <strong class="error_message">The State is required</strong>
                                @enderror
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <label>Telephone</label>
                            </td>
                            <td>
                                <input type="text" class="form-control" id="roa_telephone" name="roa_telephone"
                                       value="{{ old('roa_telephone') }}" placeholder="Telephone" style="text-transform:uppercase" />
                                @error('roa_telephone')
                                <strong class="error_message">The Telephone is required</strong>
                                @enderror
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <label>Email</label>
                            </td>
                            <td>
                                <input id="email" type="email" class="form-control @error('email') is-invalid @enderror"
                                       name="email" value="{{ old('email') }}" autocomplete="email" placeholder="Email" required>
                                @error('email')
                                <strong class="error_message">The email is required </strong>
                                @enderror
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <label>Website</label>
                            </td>
                            <td>
                                <input type="text" class="form-control" id="roa_website" name="roa_website"
                                       value="{{ old('roa_website') }}" placeholder="Website" style="text-transform:uppercase" />
                                @error('roa_website')
                                <strong class="error_message">The Website is required</strong>
                                @enderror
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2"></td>
                        </tr>
                        <tr>
                            <td colspan="2"><label>CEO Details</label></td>
                        </tr>
                        <tr>
                            <td><label>Name</label></td>
                            <td>
                                <input type="text" class="form-control" id="ceo_name" name="ceo_name"
                                       value="{{ old('ceo_name') }}" placeholder="Name" style="text-transform:uppercase" />
                                @error('ceo_name')
                                <strong class="error_message">The CEO Name is required</strong>
                                @enderror
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <label>Designation</label>
                            </td>
                            <td>
                                <input type="text" class="form-control" id="ceo_designation" name="ceo_designation"
                                       value="{{ old('ceo_designation') }}" placeholder="Designation" style="text-transform:uppercase" />
                                @error('ceo_designation')
                                <strong class="error_message">The Designation is required</strong>
                                @enderror
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <label>Email</label>
                            </td>
                            <td>
                                <input type="email" class="form-control" id="ceo_email" name="ceo_email"
                                       value="{{ old('ceo_email') }}" placeholder="Email" >
                                @error('ceo_email')
                                <strong class="error_message">The Email is required</strong>
                                @enderror
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <label>Phone / Mobile</label>
                            </td>
                            <td>
                                <input type="text" class="form-control" id="ceo_phone_mobile" name="ceo_phone_mobile"
                                       value="{{ old('ceo_phone_mobile') }}" placeholder="Phone / Mobile" style="text-transform:uppercase" />
                                @error('ceo_phone_mobile')
                                <strong class="error_message">Phone / Mobile is required</strong>
                                @enderror
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2"></td>
                        </tr>
                        <tr>
                            <td>
                                <label>Company IEC number</label>
                            </td>
                            <td>
                                <input type="text" class="form-control" id="ceo_company_iec_number"
                                       name="ceo_company_iec_number" value="{{ old('ceo_company_iec_number') }}"
                                       placeholder="Company IEC number" style="text-transform:uppercase" />
                                @error('ceo_company_iec_number')
                                <strong class="error_message">The Company IEC number is required </strong>
                                @enderror
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <label>GST number</label>
                            </td>
                            <td>
                                <input type="text" class="form-control" id="ceo_gst_number" name="ceo_gst_number"
                                       value="{{ old('ceo_gst_number') }}" placeholder="GST number" style="text-transform:uppercase" />
                                @error('ceo_gst_number')
                                <strong class="error_message">The GST number is required</strong>
                                @enderror
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2"></td>
                        </tr>
                        <tr>
                            <td colspan="2">
                                <label>Contact ’s Details</label>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <label>Name</label>
                            </td>
                            <td>
                                <input type="text" class="form-control" id="cp_name" name="cp_name"
                                       value="{{ old('cp_name') }}"
                                       placeholder="Contact ’s Name" style="text-transform:uppercase" />
                                @error('cp_name')
                                <strong class="error_message">The Contact Name is required</strong>
                                @enderror
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <label>Designation</label>
                            </td>
                            <td>
                                <input type="text" class="form-control" id="cp_designation" name="cp_designation"
                                       value="{{ old('cp_designation') }}" placeholder="Designation" style="text-transform:uppercase" />
                                @error('cp_designation')
                                <strong class="error_message">The Designation is required</strong>
                                @enderror
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <label>Email</label>
                            </td>
                            <td>
                                <input type="email" class="form-control" id="cp_email" name="cp_email"
                                       value="{{ old('cp_email') }}" placeholder="Contact ’s Email" >
                                @error('cp_email')
                                <strong class="error_message">The Email is required</strong>
                                @enderror
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <label>Phone</label>
                            </td>
                            <td>
                                <input type="text" class="form-control" id="cp_phone" name="cp_phone"
                                       value="{{ old('cp_phone') }}" placeholder="Contact ’s Phone" style="text-transform:uppercase" />
                                @error('cp_phone')
                                <strong class="error_message">The Phone is required</strong>
                                @enderror
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <label>Mobile</label>
                            </td>
                            <td>
                                <input type="text" class="form-control" id="cp_mobile" name="cp_mobile"
                                       value="{{ old('cp_mobile') }}" placeholder="Mobile" style="text-transform:uppercase" />
                                @error('cp_mobile')
                                <strong class="error_message">The Mobile is required</strong>
                                @enderror
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2"></td>
                        </tr>
                        <tr>
                            <td>
                                <label>Registration Type</label>
                            </td>
                            <td>
                                <select class="form-control" id="cp_registration_type" name="cp_registration_type" style="font-size: 11px;" required>
                                    <option value="">- CHOOSE -</option>
                                    @foreach($registrationType as $id => $value)
                                        <option value="{{$id}}" {{ (old('cp_registration_type') == $id ? 'selected':'') }}>{{$value}}</option>
                                    @endforeach
                                </select>
                                @error('cp_registration_type')
                                <strong class="error_message">The Registration Type is required</strong>
                                @enderror
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <label>Type of Company</label>
                            </td>
                            <td>
                                <select class="form-control" id="cp_type_of_company" name="cp_type_of_company" style="font-size: 11px;" required>
                                    <option value="">- CHOOSE -</option>
                                    @foreach($companyOfType as $id => $value)
                                        <option value="{{$id}}" {{ (old('cp_type_of_company') == $id ? 'selected':'') }}>{{$value}}</option>
                                    @endforeach
                                </select>
                                @error('cp_type_of_company')
                                <strong class="error_message">The Type of Company is required</strong>
                                @enderror
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <label>Company CIN</label>
                            </td>
                            <td>
                                <input type="text" class="form-control" id="company_cin" name="company_cin"
                                       value="{{ old('company_cin') }}" placeholder="" style="text-transform:uppercase" />
                                @error('company_cin')
                                <strong class="error_message">The Company CIN is required</strong>
                                @enderror
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <label>Directors Name & DIN</label>
                            </td>
                            <td>
                                <table class="table table-bordered" id="inner-table1">
                                    <tr>
                                        <th style="width:2%; background-color: black;color: white; font-size: 10px">SL.No</th>
                                        <th style="width:48%; background-color: black;color: white; font-size: 10px">
                                            Name
                                        </th>
                                        <th style="width:50%; background-color: black;color: white; font-size: 10px">
                                            DIN
                                        </th>
                                    </tr>
                                    <tr id="inner-tr1">


                                    <tr>
                                        <td style="width: 2%;font-weight:bold " >1</td>
                                        <td><input type="text" class="form-control" id="directors_name1"
                                                   name="directors_name1"
                                                   value="{{ old('directors_name1') }}" placeholder="name" style="text-transform:uppercase" />
                                            @error('directors_name1')
                                            <strong class="error_message"></strong>
                                            @enderror

                                        </td>
                                        <td><input type="text" class="form-control" id="directors_din1"
                                                   name="directors_din1"
                                                   value="{{ old('directors_din1') }}" placeholder="din" style="text-transform:uppercase" />
                                            @error('directors_din1')
                                            <strong class="error_message"></strong>
                                            @enderror
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="width: 2%;font-weight:bold " >2</td>
                                        <td><input type="text" class="form-control" id="directors_name2"
                                                   name="directors_name2"
                                                   value="{{ old('directors_name2') }}" placeholder="name" style="text-transform:uppercase" />
                                        </td>
                                        <td><input type="text" class="form-control" id="directors_din2"
                                                   name="directors_din2"
                                                   value="{{ old('directors_din2') }}" placeholder="din" style="text-transform:uppercase" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="width: 2%;font-weight:bold " >3</td>
                                        <td><input type="text" class="form-control" id="directors_name3"
                                                   name="directors_name3"
                                                   value="{{ old('directors_name3') }}"
                                                   placeholder="name" style="text-transform:uppercase" />
                                        </td>
                                        <td><input type="text" class="form-control" id="directors_din3"
                                                   name="directors_din3"
                                                   value="{{ old('directors_din3') }}" placeholder="din" style="text-transform:uppercase" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="width: 2%;font-weight:bold " >4</td>
                                        <td><input type="text" class="form-control" id="directors_name4"
                                                   name="directors_name4"
                                                   value="{{ old('directors_name4') }}" placeholder="name" style="text-transform:uppercase" />
                                        </td>
                                        <td><input type="text" class="form-control" id="directors_din4"
                                                   name="directors_din4"
                                                   value="{{ old('directors_din4') }}" placeholder="din" style="text-transform:uppercase" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="width: 2%;font-weight:bold " >5</td>
                                        <td><input type="text" class="form-control" id="directors_name5"
                                                   name="directors_name5"
                                                   value="{{ old('directors_name5') }}" placeholder="name" style="text-transform:uppercase" />
                                        </td>
                                        <td><input type="text" class="form-control" id="directors_din5"
                                                   name="directors_din5"
                                                   value="{{ old('directors_din5') }}" placeholder="din" style="text-transform:uppercase" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="width: 2%;font-weight:bold " >6</td>
                                        <td><input type="text" class="form-control" id="directors_name6"
                                                   name="directors_name6"
                                                   value="{{ old('directors_name6') }}"
                                                   placeholder="name" style="text-transform:uppercase" />
                                        </td>
                                        <td><input type="text" class="form-control" id="directors_din6"
                                                   name="directors_din6"
                                                   value="{{ old('directors_din6') }}" placeholder="din" style="text-transform:uppercase" />
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        <tr>
                            <td colspan="2"></td>
                        </tr>
                        <tr>
                            <td>
                                <label>PAN of all Partners</label>
                            </td>
                            <td>
                                <table class="table table-bordered" id="inner-table2" style="width: 100%">
                                    <tr>
                                        <th style="width:2%; background-color: #FFC000;color: white; font-size: 10px">SL.No</th>
                                        <th style="width:48%;background: #FFC000" id="patnerdin">Partner</th>
                                        <th style="width:50%;background: #FFC000" id="patnerdin"> PAN</th>

                                    </tr>
                                    <tr>
                                        <td style="width: 2%;font-weight:bold " >1</td>
                                        <td><input type="text" class="form-control" id="partners1" name="partners1"
                                                   value="{{ old('partners1') }}" placeholder="Partner" style="text-transform:uppercase" />
                                            @error('partners1')
                                            <strong class="error_message"></strong>
                                            @enderror
                                        </td>
                                        <td><input type="text" class="form-control" id="patners_pan1"
                                                   name="patners_pan1"
                                                   value="{{ old('patners_pan1') }}" placeholder="PAN" style="text-transform:uppercase" />
                                            @error('patners_pan1')
                                            <strong class="error_message"></strong>
                                            @enderror
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="width: 2%;font-weight:bold " >2</td>
                                        <td><input type="text" class="form-control" id="partners2" name="partners2"
                                                   value="{{ old('partners2') }}"
                                                   placeholder="Partner" style="text-transform:uppercase" />
                                        </td>
                                        <td><input type="text" class="form-control" id="patners_pan2"
                                                   name="patners_pan2"
                                                   value="{{ old('patners_pan2') }}" placeholder="PAN" style="text-transform:uppercase" />
                                        </td>
                                    </tr>
                                    <tr>

                                        <td style="width: 2%;font-weight:bold " >3</td>
                                        <td><input type="text" class="form-control" id="partners3" name="partners3"
                                                   value="{{ old('partners3') }}" placeholder="Partner" style="text-transform:uppercase" />
                                        </td>
                                        <td><input type="text" class="form-control" id="patners_pan3"
                                                   name="patners_pan3"
                                                   value="{{ old('patners_pan3') }}" placeholder="PAN" style="text-transform:uppercase" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="width: 2%;font-weight:bold " >4</td>
                                        <td><input type="text" class="form-control" id="partners4" name="partners4"
                                                   value="{{ old('partners4') }}" placeholder="Partner" style="text-transform:uppercase" />
                                        </td>
                                        <td><input type="text" class="form-control" id="patners_pan4"
                                                   name="patners_pan4"
                                                   value="{{ old('patners_pan4') }}" placeholder="PAN" style="text-transform:uppercase" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="width: 2%;font-weight:bold " >5</td>
                                        <td><input type="text" class="form-control" id="partners5" name="partners5"
                                                   value="{{ old('partners5') }}" placeholder="Partner" style="text-transform:uppercase" />
                                        </td>
                                        <td><input type="text" class="form-control" id="patners_pan5"
                                                   name="patners_pan5"
                                                   value="{{ old('patners_pan5') }}" placeholder="PAN" style="text-transform:uppercase" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="width: 2%;font-weight:bold " >6</td>
                                        <td><input type="text" class="form-control" id="partners6" name="partners6"
                                                   value="{{ old('partners6') }}" placeholder="Partner" style="text-transform:uppercase" />
                                        </td>
                                        <td><input type="text" class="form-control" id="patners_pan6"
                                                   name="patners_pan6"
                                                   value="{{ old('patners_pan6') }}" placeholder="PAN" style="text-transform:uppercase" />
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <label>Company PAN</label>
                            </td>
                            <td>
                                <input type="text" class="form-control" id="company_pan" name="company_pan"
                                       value="{{ old('company_pan') }}" placeholder="Company PAN" style="text-transform:uppercase" />
                                @error('company_pan')
                                <strong class="error_message"> </strong>
                                @enderror
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <label>Proprietor PAN</label>
                            </td>
                            <td>
                                <input type="text" class="form-control" id="proprietor_pan" name="proprietor_pan"
                                       value="{{ old('proprietor_pan') }}" placeholder="Proprietor PAN"  style="text-transform:uppercase" />
                                @error('proprietor_pan')
                                <strong class="error_message"></strong>
                                @enderror
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <label>Items of Registration</label>
                            </td>
                            <td>
                                <textarea rows="6" cols="100" name="items_of_registration"
                                          id="items_of_registration" style="textarea-transform:uppercase" />{{ old('items_of_registration') }}</textarea>
                                @error('items_of_registration')
                                <strong class="error_message">The Items of Registration is required</strong>
                                @enderror
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <label>Select Panels </label>
                            </td>
                            <td>
                                @foreach($panels as $id => $value)
                                    <label class="form-check-label">
                                        <input type="checkbox" class="form-check-input" value="{{$id}}"> {{$value}}
                                    </label>

                                    <br>
                                @endforeach
                                <input type="hidden" name="panels" id="typesOfCompany">
                                @error('panels')
                                <strong class="error_message">The Panels is required</strong>
                                @enderror
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <label>Payment Details</label>
                            </td>
                            <td>
                                <input type="text" class="form-control" id="payment_details" name="payment_details"
                                       placeholder="payment details" value="{{ old('payment_details') }}" style="text-transform:uppercase" />
                                @error('payment_details')
                                <strong class="error_message">The Payment Details is required</strong>
                                @enderror
                            </td>
                        </tr>
                    </table>
                    <button  type="submit"  class="btn btn-primary"
                            style=margin-left:auto;margin-right:auto;display:block;margin-bottom:0%>
                        SUBMIT
                    </button>
                    <br>
                    <br>
                </form>
            </div>
        </div>
    </div>
    <div class="col-md-2"></div>
</div>
</body>
</html>
