@extends('layouts.admin')
@push('extra-css')
    <link href="{{ asset('calenderOnly/css/jquery-ui.css') }}" rel="stylesheet">
    <link href="{{ asset('calenderOnly/css/style.css') }}" rel="stylesheet">
@endpush
@section('content')
    <section class="content">
        <div class="row">
            <div class="col-md-12">
                <!-- Horizontal Form -->
                <div class="box box-danger">
                    <div class="box-header with-border">
                        <h3 class="box-title">{{$companyName}}</h3>
                    </div>
                    <!-- form start -->
                    <form method="POST" class="form-horizontal" action="{{ route('de-activated') }}">
                        {{ csrf_field() }}
                        <input type="hidden" name="user_id" value="{{$userId}}">
                        <div class="box-body">
                            <div class="form-group">
                                <label for="" class="col-sm-2 control-label">Reason for De-Activation</label>
                                <div class="col-sm-10">
                                     <textarea class="form-control" name="deactivation_reason" id="deactivation_reason"
                                               placeholder="Deactivation Reason" required></textarea>
                                </div>
                            </div>
                            <div class="form-group">
                                <label for="" class="col-sm-2 control-label">Date of De-Activation</label>
                                <div class="col-sm-10">
                                    <input type="text" class="form-control" name="deactivation_date" id="deactivation_date"
                                           value="" required>
                                </div>
                            </div>
                        </div>
                        <div class="box-footer">
                            <button type="submit" class="btn btn-danger pull-right">DE-ACTIVATE</button>
                        </div>
                        <!-- /.box-footer -->
                    </form>
                </div>
            </div>
        </div>
    </section>
@endsection
@push('extra-script')
    <script>
        $(document).ready(function () {
            $(function () {
                $("#deactivation_date").datepicker({
                    changeMonth: true,
                    changeYear: true,
                    dateFormat: 'yy-mm-dd'
                });
            });
        });
    </script>
@endpush