@extends('layouts.admin')
@push('extra-css')
    <link href="{{ asset('bower_components/datatables.net-bs/css/dataTables.bootstrap.min.css') }}" rel="stylesheet">
@endpush
@section('content')
    <section class="content">
        <div class="box box-info">
            <div class="box-header">
                <h3 class="box-title">Deregistered Members</h3>
            </div>
            <!-- /.box-header -->
            <div class="box-body">
                <table id="data" class="table table-bordered table-striped">
                    <thead>
                    <tr>
                        <th>ID</th>
                        <th>Company Name</th>
                        <th>File Number</th>
                        <th>Date of DeActivation</th>
                        <th>Activate</th>
                    </tr>
                    </thead>

                    <tbody>
                    @foreach($data as $key => $udata)
                        <tr id="tr_{{$udata['id']}}">
                            <td>{{$udata['id']}}</td>
                            <td>{{$udata['name']}}</td>
                            <td>{{$udata['file_number']}}</td>
                            <td>{{$udata['deactivation_date']}}</td>
                            <td>
                                <button type="button" class="btn-success btn-xs reactive"
                                        data-val="{{base64_encode($udata['id'])}}" cname="{{$udata['name']}}">
                                    <i class="fa fa-envelope-open-o"> Activate</i>
                                </button>
                            </td>
                        </tr>
                    @endforeach
                    </tbody>
                </table>
            </div>
            <!-- /.box-body -->
            {{--<div>&nbsp;&nbsp;<code><b>NOTE:</b></code> <small>GROUP NAME IS UNIQUE FILED IN THE TABLE</small></div>--}}
        </div>
    </section>
@endsection
@push('extra-script')
    <script src="{{ asset('bower_components/datatables.net/js/jquery.dataTables.min.js') }}"></script>
    <script src="{{ asset('bower_components/datatables.net-bs/js/dataTables.bootstrap.min.js') }}"></script>
    <script>
        $(document).ready(function () {
            $('[data-toggle="tooltip"]').tooltip();

            $(".reactive").click(function () {
                var cid = $(this).attr('data-val');
                var cname = $(this).attr('cname');
                if (confirm('Are you sure want to activate ' + cname)) {
                    $.ajax({
                        type: 'POST',
                        // url: '/fileNumber',
                        url: '{{route('reActivation')}}',
                        data: {
                            'cid': cid, '_token': '{{csrf_token()}}'
                        },
                        success: function (data) {
                            if(data['code'] == '500'){
                                alert(data['error']);
                            }else{
                                console.log("#tr_"+data['row']);
                                $("#tr_"+data['row']).hide();
                                $('#data').DataTable();
                            }
                        }
                    });
                }
            });
            $('#data').DataTable();
        });
    </script>
@endpush
