@extends('layouts.admin')
@push('extra-css')
    <link href="{{ asset('bower_components/datatables.net-bs/css/dataTables.bootstrap.min.css') }}" rel="stylesheet">
    <link href="{{ asset('bower_components/datatables.net-bs/css/buttons.dataTables.min.css') }}" rel="stylesheet">
    <link href="{{ asset('bower_components/select2/dist/css/select2.min.css') }}" rel="stylesheet">
@endpush
@section('content')
    <section class="content">
        <div class="row">
            <div class="col-md-12">
                @if(isset($exMessage['process']))
                    <div class="alert alert-{{($exMessage['process'] ? 'success':'danger')}} alert-dismissible">
                        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                        <h4><i class="icon fa fa-{{($exMessage['process'] ? 'check':'ban')}}"></i> Alert!</h4>
                        {{$exMessage['message']}}
                    </div>
            @endif
            <!-- Horizontal Form -->
                <div class="box box-success">
                    <form method="POST" action="{{ route('download-export-data') }}">
                        {{ csrf_field() }}
                        <input type="hidden" name="y_id" value="{{$y_id}}">
                        <div class="box-header with-border">
                            <h3 class="box-title">Export Data</h3>
                            <div style="float: right">
                                <div class="form-group" class="form-control select2">
                                    <select id="year" name="year" class="form-control select2">
                                        @foreach($years as $key => $value)
                                            <option value="{{$key}}" {{($y_id == $key ? 'selected':'')}}>{{$value}}</option>
                                        @endforeach
                                    </select>
                                    &nbsp;&nbsp;
                                    <button type="submit" class="btn-primary btn-sm pull-right">Click To View/Download
                                    </button>
                                </div>
                            </div>
                        </div>
                    </form>
                    @if($y_id =='')
                        <div align="center" style="height: 100px"><h1>Choose Year to Export Data</h1>
                        </div>
                    @endif
                </div>
                <!-- form start -->
            </div>
        </div>
        @if(isset($y_id) && $y_id !='')
            <style>
                th {
                    white-space: nowrap;
                }
            </style>
            <div class="box box-success">
                <div class="box-header">
                    <h3 class="box-title">Export Data : {{$years[$y_id]}} </h3>
                </div>
                <!-- /.box-header -->
                <div class="box-body">
                    <table id="data" class="table table-bordered table-striped">
                        <thead>
                        <tr>
                            <th>Company name</th>
                            <th>Year</th>
                            <th>Month</th>
                            <th>Item</th>
                            <th>Item panel</th>
                            <th>Item group</th>
                            <th>Item HS Code</th>
                            <th>Country</th>
                            <th>Country Region</th>
                            <th>Amount In Rs</th>
                            <th>Created At</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($data as $key => $datum)
                            <tr>
                                <td>{{$datum['companyName']}}</td>
                                <td>{{$datum['year']}}</td>
                                <td>{{$datum['month']}}</td>
                                <td>{{$datum['item']}}</td>
                                <td>{{$datum['itemPanel']}}</td>
                                <td>{{$datum['itemGroup']}}</td>
                                <td>{{$datum['hsCode']}}</td>
                                <td>{{$datum['country']}}</td>
                                <td>{{$datum['region']}}</td>
                                <td>{{$datum['amount']}}</td>
                                <td>{{$datum['created_at']}}</td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        @endif
    </section>
@endsection
@push('extra-script')
    <script src="{{ asset('bower_components/datatables.net/js/jquery.dataTables.min.js') }}"></script>
    <script src="{{ asset('bower_components/datatables.net-bs/js/dataTables.bootstrap.min.js') }}"></script>

    <script src="{{ asset('bower_components/select2/dist/js/select2.full.min.js') }}"></script>

    <script src="{{ asset('bower_components/datatables.net/js/dataTables.buttons.min.js') }}"></script>
    <script src="{{ asset('bower_components/datatables.net/js/buttons.flash.min.js') }}"></script>
    <script src="{{ asset('bower_components/datatables.net/js/jszip.min.js') }}"></script>
    <script src="{{ asset('bower_components/datatables.net/js/pdfmake.min.js') }}"></script>
    <script src="{{ asset('bower_components/datatables.net/js/vfs_fonts.js') }}"></script>
    <script src="{{ asset('bower_components/datatables.net/js/buttons.html5.min.js') }}"></script>
    <script src="{{ asset('bower_components/datatables.net/js/buttons.print.min.js') }}"></script>
    <script>
        $(document).ready(function () {
            $('.select2').select2();
            $('[data-toggle="tooltip"]').tooltip();
            @if(isset($y_id) && $y_id !='')
            $('#data').DataTable({
                dom: 'Bfrtip',
                buttons: [
                    {
                        extend: 'excelHtml5',
                        title: 'export-data-{{$years[$y_id]}}',
                    }
                ]
            });
            @endif
        });
    </script>
@endpush