@extends('layouts.admin')
@push('extra-css')
    <link href="{{ asset('bower_components/datatables.net-bs/css/dataTables.bootstrap.min.css') }}" rel="stylesheet">
    <link href="{{ asset('bower_components/datatables.net-bs/css/buttons.dataTables.min.css') }}" rel="stylesheet">
@endpush
@section('content')
    <section class="content">
        <style>
            th, td {
                white-space: nowrap;
            }
        </style>
        <div class="box box-success">
            <div class="box-header">
                <h3 class="box-title">Members Database</h3>
            </div>
            <!-- /.box-header -->
            <div class="box-body">
                <table id="data" class="table table-bordered table-striped">
                    <thead>
                    <tr>
                        <th>ID</th>
                        <th>COMPANY NAME</th>
                        <th>ADDRESS LINE 1</th>
                        <th>ADDRESS LINE2</th>
                        <th>CITY</th>
                        <th>PIN</th>
                        <th>STATE</th>
                        <th>TELEPHONE</th>
                        <th>EMAIL</th>
                        <th>WEBSITE</th>
                        <th>CEO NAME</th>
                        <th>CEO DESIGNATION</th>
                        <th>CEO MOBILE</th>
                        <th>CEO EMAIL</th>
                        <th>CONTACT PERSONS NAME</th>
                        <th>CONTACT PERSONS DESIGNATION</th>
                        <th>CONTACT PERSONS EMAIL</th>
                        <th>CONTACT PERSONS MOBILE</th>
                        <th>REGISTRATION TYPE</th>
                        <th>TYPE OF COMPANY</th>
                        <th>IEC</th>
                        <th>GST</th>
                        <th>ITEMS</th>
                        <th>PANELS</th>
                        <th>FILE NO</th>
                        <th>REGISTRATION NUMBER</th>
                        <th>YEAR OF REGISTRATION</th>
                        <th>DATE OF REGISTRATION</th>
                        <th>DATE OF VALIDITY</th>
                        <th>DGFT Status</th>
                        <th>Export Submitted year</th>
                        <th>Export value</th>
                        <th>Month</th>
                        <th>Fee paid year</th>
                        <th>Fee applicable</th>
                        <th>Fee Paid</th>
                    </tr>
                    </thead>
                    <tbody>

                    @foreach($userData as $key => $data)

                        <tr>
                            <td>{{$data['id']}}</td>
                            <td>{{$data['name']}}</td>
                            <td>{{$data['roa_line1']}}</td>
                            <td>{{$data['roa_line2']}}</td>
                            <td>{{$data['roa_city']}}</td>
                            <td>{{$data['roa_pin']}}</td>
                            <td>{{STATES[$data['roa_state']]}}</td>
                            <td>{{$data['roa_telephone']}}</td>
                            <td>{{$data['email']}}</td>
                            <td>{{$data['roa_website']}}</td>
                            <td>{{$data['ceo_name']}}</td>
                            <td>{{$data['ceo_designation']}}</td>
                            <td>{{$data['ceo_phone_mobile']}}</td>
                            <td>{{$data['ceo_email']}}</td>
                            <td>{{$data['cp_name']}}</td>
                            <td>{{$data['cp_designation']}}</td>
                            <td>{{$data['cp_email']}}</td>
                            <td>{{$data['cp_mobile']}}</td>
                            <td>{{$mRegisterType[$data['cp_registration_type']]}}</td>
                            <td>{{$mCompanyType[$data['cp_type_of_company']]}}</td>
                            <td>{{$data['ceo_company_iec_number']}}</td>
                            <td>{{$data['ceo_gst_number']}}</td>
                            <td>{{$data['items_of_registration']}}</td>
                            <?php
                            $pname = '';
                            //                            $panels = json_decode($data['panels']);
                            foreach (json_decode($data['panels']) as $pid) {
                                $pname .= $mPanels[$pid] . ",";
                            }
                            echo "<td>" . ($pname != '' ? rtrim($pname, ",") : '') . "</td>";

                            if (array_key_exists($data['id'], $activation)) {
                                echo "<td>" . $activation[$data['id']][0]['file_number'] . "</td>";
                                echo "<td>" . $activation[$data['id']][0]['registration_number'] . "</td>";
                                echo "<td>" . $activation[$data['id']][0]['registration_year'] . "</td>";
                                echo "<td>" . $activation[$data['id']][0]['registration_date'] . "</td>";
                                echo "<td>" . $activation[$data['id']][0]['validity_date'] . "</td>";
                                echo "<td>" . $activation[$data['id']][0]['dgft_status'] . "</td>";
                            } else {
                                echo "<td>N/A</td>";
                                echo "<td>N/A</td>";
                                echo "<td>N/A</td>";
                                echo "<td>N/A</td>";
                                echo "<td>N/A</td>";
                            }
                            if (array_key_exists($data['id'], $exportCols)) {
                                echo "<td>" . $years[$exportCols[$data['id']]['year']] . "</td>";
                                echo "<td>" . $exportCols[$data['id']]['totalRs'] . "</td>";
                                echo "<td>" . $months[$exportCols[$data['id']]['month']] . "</td>";
                            } else {
                                echo "<td>N/A</td>";
                                echo "<td>N/A</td>";
                                echo "<td>N/A</td>";
                            }
                            if (array_key_exists($data['id'], $feeCols)) {
                                $key = (int)$data['id'];
                                //echo $key;exit;
//                                echo "<td>" . $years[$feeCols[$data['id']]['paid_year']] . "</td>";
                                echo  ($feeCols[$key]['year']) ? "<td>" . $years[$feeCols[$key]['year']] . "</td>" : "<td>" .'N/A'. "</td>";
                                echo "<td>" . $feeCols[$data['id']]['aplicableFee'] . "</td>";
                                echo "<td>" . $feeCols[$data['id']]['paid_fee'] . "</td>";
                            } else {
                                echo "<td>N/A</td>";
                                echo "<td>N/A</td>";
                                echo "<td>N/A</td>";
                            }
                            ?>
                        </tr>
                    @endforeach
                    </tbody>
                </table>
            </div>
        </div>
        {{--        @endif--}}
    </section>
@endsection
@push('extra-script')
    <script src="{{ asset('bower_components/datatables.net/js/jquery.dataTables.min.js') }}"></script>
    <script src="{{ asset('bower_components/datatables.net-bs/js/dataTables.bootstrap.min.js') }}"></script>

    <script src="{{ asset('bower_components/datatables.net/js/dataTables.buttons.min.js') }}"></script>
    <script src="{{ asset('bower_components/datatables.net/js/buttons.flash.min.js') }}"></script>
    <script src="{{ asset('bower_components/datatables.net/js/jszip.min.js') }}"></script>
    <script src="{{ asset('bower_components/datatables.net/js/pdfmake.min.js') }}"></script>
    <script src="{{ asset('bower_components/datatables.net/js/vfs_fonts.js') }}"></script>
    <script src="{{ asset('bower_components/datatables.net/js/buttons.html5.min.js') }}"></script>
    <script src="{{ asset('bower_components/datatables.net/js/buttons.print.min.js') }}"></script>
    <script src="{{ asset('bower_components/datatables.net/js/buttons.print.min.js') }}"></script>
    <script>
        $(document).ready(function () {
            $('#data').DataTable({
                "order": [[ 30, "desc" ]],
                dom: 'Bfrtip',
                "sScrollX": true,
                buttons: [
                    {
                        extend: 'excelHtml5',
                        title: 'export-data',
                    }
                ]
            });


        });
    </script>
@endpush
