@extends('layouts.admin')
@push('extra-css')
    <link href="{{ asset('bower_components/datatables.net-bs/css/dataTables.bootstrap.min.css') }}" rel="stylesheet">
    <link href="{{ asset('bower_components/datatables.net-bs/css/buttons.dataTables.min.css') }}" rel="stylesheet">
    <link href="{{ asset('bower_components/select2/dist/css/select2.min.css') }}" rel="stylesheet">
@endpush
@section('content')
    <section class="content">
        <div class="row">
            <div class="col-md-12">
                @if(isset($exMessage['process']))
                    <div class="alert alert-{{($exMessage['process'] ? 'success':'danger')}} alert-dismissible">
                        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                        <h4><i class="icon fa fa-{{($exMessage['process'] ? 'check':'ban')}}"></i> Alert!</h4>
                        {{$exMessage['message']}}
                    </div>
            @endif
            <!-- Horizontal Form -->
                <div class="box box-success">
                    <form method="POST" action="{{ route('fee') }}">
                        {{ csrf_field() }}
                        <div class="box-header with-border">
                            <h3 class="box-title">Member Fee</h3>
                            <div style="float: right">
                                <div class="form-group" class="form-control select2">
                                    <select  id="company_name" name="company_name" class="form-control select2">
                                        @foreach($companies as $key => $value)
                                            <option value="{{$key}}" {{($user_id == $key?'selected':'')}}>{{$value}}</option>
                                        @endforeach
                                    </select>
                                    &nbsp;&nbsp;
                                    <button type="submit" class="btn-primary btn-sm pull-right">Click To View</button>
                                </div>

                                {{--<select id="company_name" name="company_name"--}}
                                {{--style="font-size: 16px; color: black; border: 1px solid black; padding: 5px;"--}}
                                {{--required>--}}
                                {{--<option value="">- Choose Company -</option>--}}
                                {{--@foreach($companies as $key => $value)--}}
                                {{--<option value="{{$key}}" {{($user_id == $key?'selected':'')}}>{{$value}}</option>--}}
                                {{--@endforeach--}}
                                {{--</select>&nbsp;&nbsp;<button type="submit" class="btn btn-success pull-right">Click To--}}
                                {{--View--}}
                                {{--</button>--}}
                            </div>
                        </div>
                    </form>

                    @if(isset($user_id) && $user_id !='')
                        <form id="feeMember"  method="POST" class="form-horizontal hidden" action="{{ route('fee') }}">
                            {{ csrf_field() }}
                            <input type="hidden" name="user_id" id="user_id"
                                   value="{{$user_id}}">
                            <input type="hidden" name="id" id="id"
                                   value="">

                            <div class="box-body">
                                <div class="form-group">
                                    <div class="col-sm-3">
                                        <label for="" class="control-label">Year</label>
                                        <select class="form-control" name="year" id="year"  disabled="true">
                                            <option value="">- Choose Year -</option>
                                            @foreach($defaults['years'] as $key => $value)
                                                <option value="{{$key}}">{{$value}}</option>
                                            @endforeach
                                        </select>
                                        @error('year')
                                        <span style="color: red;">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                        @enderror
                                    </div>
                                    <div class="col-sm-3">
                                        <label for="" class="control-label">EXPORT IN RS</label>
                                        <input type="text" class="form-control" name="export_in_lakh"
                                               id="export_in_lakh"
                                               value="{{ old('export_in_lakh') }}"
                                               placeholder="Export in Rs" readonly>
                                        @error('export_in_lakh')
                                        <span style="color: red;">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                        @enderror
                                    </div>
                                    <div class="col-sm-3">
                                        <label for="" class="control-label">Upto</label>
                                        <select class="form-control" name="upto" id="upto" disabled="true">
                                            <option value="">- Choose Month -</option>
                                            @foreach($defaults['months'] as $key => $value)
                                                <option value="{{$key}}">{{$value}}</option>
                                            @endforeach
                                        </select>
                                        @error('upto')
                                        <span style="color: red;">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                        @enderror
                                    </div>
                                    <div class="col-sm-3">
                                        <label for="" class="control-label">Fee Applicable</label>
                                        <input type="number" class="form-control" name="applicable_fee"
                                               id="applicable_fee"
                                               value="{{ old('export_in_lakh') }}"
                                               placeholder="Fee Applicable">
                                        @error('applicable_fee')
                                        <span style="color: red;">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                        @enderror
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="col-sm-3">
                                        <label for="" class="control-label">Fee paid</label>
                                        <input type="number" class="form-control" name="paid_fee" id="paid_fee"
                                               value="{{ old('paid_fee') }}"
                                               placeholder="Fee paid">
                                        @error('paid_fee')
                                        <span style="color: red;">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                        @enderror
                                    </div>
                                    <div class="col-sm-3">
                                        <label for="" class="control-label">Year paid</label>
                                        <select class="form-control" name="paid_year" id="paid_year">
                                            <option value="">- Choose Year -</option>
                                            @foreach($defaults['years'] as $key => $value)
                                                <option value="{{$key}}">{{$value}}</option>
                                            @endforeach
                                        </select>
                                        @error('paid_year')
                                        <span style="color: red;">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                        @enderror
                                    </div>
                                    <div class="col-sm-3">
                                        <label for="" class="control-label">Balance</label>
                                        <input type="number" class="form-control" name="balance" id="balance"
                                               value="{{ old('balance') }}"
                                               placeholder="Balance" readonly>
                                        @error('balance')
                                        <span style="color: red;">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                        @enderror
                                    </div>
                                    <div class="col-sm-3">
                                        <label for="" class="control-label">Balance Paid Year</label>
                                        <select class="form-control" name="balance_paid_year" id="balance_paid_year">
                                            <option value="">- Choose Year -</option>
                                            @foreach($defaults['years'] as $key => $value)
                                                <option value="{{$key}}">{{$value}}</option>
                                            @endforeach
                                        </select>
                                        @error('balance_paid_year')
                                        <span style="color: red;">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                        @enderror
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="col-sm-12">
                                        <label for="" class="control-label">Remarks</label>
                                        <input type="text" class="form-control" name="remarks" id="remarks"
                                               value="{{ old('remarks') }}"
                                               placeholder="Remarks">
                                        @error('remarks')
                                        <span style="color: red;">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                        @enderror
                                    </div>
                                </div>
                            </div>
                            <div class="box-footer">
                                {{--                                <button type="reset" class="btn btn-default">Reset</button>--}}
                                <button type="submit" class="btn btn-info pull-right">UPDATE</button>
                            </div>
                            <!-- /.box-footer -->
                        </form>
                    @else
                        <div align="center" style="height: 100px"><h1>Choose Company To Add/Modify Fees</h1></div>
                    @endif
                </div>
                <!-- form start -->
            </div>
        </div>
        @if(isset($user_id) && $user_id !='')
            <div class="box box-success">
                <div class="box-header">
                    <h3 class="box-title">FEES: {{$companyName}}</h3>
                </div>
                <!-- /.box-header -->
                <div class="box-body">
                    <table id="data" class="table table-bordered table-striped">
                        <thead>
                        <tr>
                            <th>ID</th>
                            <th>Year</th>
                            <th>EXPORT IN RS</th>
                            <th>Upto</th>
                            <th>Fee Applicable</th>
                            <th>Fee Paid</th>
                            <th>Year Paid</th>
                            <th>Balance</th>
                            <th>Balance Paid Year</th>
                            <th>Remarks</th>
                            {{--<th>Created At</th>--}}
                            <th>Edit</th>
                        </tr>
                        </thead>
                        <tbody>
                        @if(count($fees)>0)
                            @foreach($fees as $key => $data)
                                <tr>
                                    <td>{{$data['id']}}</td>
                                    <td>{{$defaults['years'][$data['year']]}}</td>
                                    <td>{{$data['export_in_lakh']}}</td>
                                    <td>{{($data['upto'] != '' ? $defaults['months'][$data['upto']] : '')}}</td>
                                    <td>{{  ($data['applicable_fee']) ? $data['applicable_fee'] : 'N/A'  }}</td>
                                    <td>{{$data['paid_fee']}}</td>
                                    <td>{{ ($data['paid_year']) ? $defaults['years'][$data['paid_year']] : 'N/A' }}</td>
                                    <td>{{$data['balance']}}</td>
                                    <td>{{($data['balance_paid_year']!='' ? $defaults['years'][$data['balance_paid_year']] : 'N/A')}}</td>
                                    <td data-toggle="tooltip"
                                        data-placement="left" style="cursor: pointer"
                                        title="{{$data['remarks']}}">{{substr($data['remarks'],0,10)}}{{(strlen($data['remarks']) > 5 ? '...':'')}}</td>
                                    {{--<td>{{$data['created_at']}}</td>--}}
                                    <td>
                                        <button type="button" class="btn-success btn-xs modifyMember"
                                                data-val="{{base64_encode($data['id'].'##_##'.$data['year'].'##_##'.$data['export_in_lakh'].'##_##'.$data['upto'].'##_##'.$data['applicable_fee'].'##_##'.$data['paid_fee'].'##_##'.$data['paid_year'].'##_##'.$data['balance'].'##_##'.$data['balance_paid_year'].'##_##'.$data['remarks'])}}">
                                            <i class="fa fa-edit"></i>
                                        </button>
                                    </td>
                                </tr>
                            @endforeach
                        @endif
                        </tbody>
                    </table>
                </div>
                <!-- /.box-body -->
                <div>&nbsp;&nbsp;<code><b>NOTE:</b></code>
                    <small>On Year changed [export in lack and upto] come form member export </small>
                </div>
            </div>
        @endif
    </section>
@endsection
@push('extra-script')
    <script src="{{ asset('bower_components/datatables.net/js/jquery.dataTables.min.js') }}"></script>
    <script src="{{ asset('bower_components/datatables.net-bs/js/dataTables.bootstrap.min.js') }}"></script>

    <script src="{{ asset('bower_components/select2/dist/js/select2.full.min.js') }}"></script>

    <script src="{{ asset('bower_components/datatables.net/js/dataTables.buttons.min.js') }}"></script>
    <script src="{{ asset('bower_components/datatables.net/js/buttons.flash.min.js') }}"></script>
    <script src="{{ asset('bower_components/datatables.net/js/jszip.min.js') }}"></script>
    <script src="{{ asset('bower_components/datatables.net/js/pdfmake.min.js') }}"></script>
    <script src="{{ asset('bower_components/datatables.net/js/vfs_fonts.js') }}"></script>
    <script src="{{ asset('bower_components/datatables.net/js/buttons.html5.min.js') }}"></script>
    <script src="{{ asset('bower_components/datatables.net/js/buttons.print.min.js') }}"></script>
    <script>
        $(document).ready(function () {
            $('.select2').select2();
            // $('[data-toggle="tooltip"]').tooltip();

            $("#paid_fee").change(function () {
                if ($(this).val() != '') {
                    if ($("#applicable_fee").val() != '') {
                        var balence = $("#applicable_fee").val() - $("#paid_fee").val();
                        $("#balance").val(balence);
                    }
                }
            });
            $("#applicable_fee").change(function () {
                if ($(this).val() != '') {
                    if ($("#paid_fee").val() != '') {
                        var balence = $("#applicable_fee").val() - $("#paid_fee").val();
                        $("#balance").val(balence);
                    }
                }
            });
            $(".modifyMember").click(function () {
                var data = atob($(this).attr('data-val')).split('##_##');
                $("#id").val(data[0]);
                $("#year").val(data[1]);
                $("#year").focus();
                $("#export_in_lakh").val(data[2]);
                $("#upto").val(data[3]);
                $("#applicable_fee").val(data[4]);
                $("#paid_fee").val(data[5]);
                $("#paid_year").val(data[6]);
                $("#balance").val(data[7]);
                $("#balance_paid_year").val(data[8]);
                $("#remarks").val(data[9]);
            });
            $("#year").change(function () {
                var selectedYear = $(this).val();
                var cId = $("#user_id").val();
                if(selectedYear != ''){
                    $.ajax({
                        type: 'POST',
                        url: '{{route('getFees')}}',
                        data: {
                            'selectedYear': selectedYear,'cId': cId,'_token': '{{csrf_token()}}'
                        },
                        success: function (data) {
                            console.log(data)
                            $("#upto").val(data[0]['lastMonth']);
                            $("#export_in_lakh").val(data[0]['totalExport']);
                        }
                    });
                }else{
                    $("#upto").val('');
                    $("#export_in_lakh").val('');
                }
            });

            $('#data').DataTable({
                order: [[1, 'desc']],
                dom: 'Bfrtip',
                buttons : [
                    {
                        extend: 'excelHtml5',
                        title: '{{$companyName}}', //default filename
                    },
                    {{--{--}}
                    {{--extend: 'pdfHtml5',--}}
                    {{--title: '{{$companyName}}', //default filename--}}
                    {{--}--}}
                ]
            });


            $(".modifyMember").click(function(){
                $("#feeMember").removeClass("hidden");
            });

        });
    </script>
@endpush
