@extends('layouts.admin')
@push('extra-css')
    <link href="{{ asset('bower_components/datatables.net-bs/css/dataTables.bootstrap.min.css') }}" rel="stylesheet">
@endpush
@section('content')
    <section class="content">
        <div class="row">
            <div class="col-md-12">
                @if(isset($exMessage['process']))
                    <div class="alert alert-{{($exMessage['process'] ? 'success':'danger')}} alert-dismissible">
                        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                        <h4><i class="icon fa fa-{{($exMessage['process'] ? 'check':'ban')}}"></i> Alert!</h4>
                        {{$exMessage['message']}}
                    </div>
            @endif
            <!-- Horizontal Form -->
                <div class="box box-success">
                    <form method="POST" action="{{ route('fee') }}">
                        {{ csrf_field() }}
                        <div class="box-header with-border">
                            <h3 class="box-title">Membership Fees</h3>
                        </div>
                    </form>
                    <form method="POST" class="form-horizontal" action="{{ route('master.membershipfees') }}">
                        {{ csrf_field() }}
                        <input type="hidden" name="id" id="modifyId">
                        <div class="box-body">
                            <div class="form-group">
                                <div class="col-sm-3">
                                    <label for="" class="control-label" data-toggle="tooltip"
                                           data-placement="right" title="Export performance (FOB value + Deemed export) in
                                        the preceding financial year" style="cursor: pointer;">Export performance(FOB value...</label>
                                    <input type="text" class="form-control" name="col1"
                                           id="col1"
                                           value="{{ old('col1') }}"
                                           placeholder="Enter Value" required>
                                    @error('col1')
                                    <span style="color: red;">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                    @enderror
                                </div>
                                <div class="col-sm-3">
                                    <label for="" class="control-label">Applicable Annual Fee(Rs)</label>
                                    <input type="text" class="form-control" name="col2"
                                           id="col2"
                                           value="{{ old('col2') }}"
                                           placeholder="Enter Value" required>
                                    @error('col2')
                                    <span style="color: red;">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                    @enderror
                                </div>
                                <div class="col-sm-2">
                                    <label for="" class="control-label">GST @ 18%(Rs)</label>
                                    <input type="text" class="form-control" name="col3"
                                           id="col3"
                                           value="{{ old('col3') }}"
                                           placeholder="Enter Value" required>
                                    @error('col3')
                                    <span style="color: red;">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                    @enderror
                                </div>
                                <div class="col-sm-2">
                                    <label for="" class="control-label">TOTAL ANNUAL FEE(Rs.)</label>
                                    <input type="text" class="form-control" name="col4"
                                           id="col4"
                                           value="{{ old('col4') }}"
                                           placeholder="Enter Value" required>
                                    @error('col4')
                                    <span style="color: red;">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                    @enderror
                                </div>
                                <div class="col-sm-2">
                                    <label for="" class="control-label">Active</label>
                                    <select class="form-control" name="active" id="active" required>
                                        <option value="">- Choose -</option>
                                        <option value="0">In-Active</option>
                                        <option value="1">Active</option>
                                    </select>
                                    @error('active')
                                    <span style="color: red;">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                    @enderror
                                </div>
                            </div>
                        </div>
                        <div class="box-footer">
                            <button type="reset" id="resetn" class="btn btn-default">Reset</button>
                            <button type="submit" class="btn btn-info pull-right">SAVE</button>
                        </div>
                        <!-- /.box-footer -->
                    </form>

                </div>
                <!-- form start -->
            </div>
        </div>
        <div class="box box-success">
            <div class="box-header">
                <h3 class="box-title">Membership Fees List </h3>
            </div>
            <!-- /.box-header -->
            <div class="box-body">
                <table id="data" class="table table-bordered table-striped">
                    <thead>
                    <tr>
                        <th>ID</th>
                        <th>Export performance (FOB value + Deemed export ) in the preceding financial year</th>
                        <th>Applicable Annual Fee (Rs)</th>
                        <th>GST @18% (Rs)</th>
                        <th>TOTAL ANNUAL FEE(Rs.)</th>
                        <th>Active</th>
                        <th>Edit</th>
                    </tr>
                    </thead>
                    <tbody>
                    @foreach($data as $key => $data)
                        <tr>
                            <td>{{$data['id']}}</td>
                            <td>{{$data['col1']}}</td>
                            <td>{{$data['col2']}}</td>
                            <td>{{$data['col3']}}</td>
                            <td>{{$data['col4']}}</td>
                            <td>
                                <span class='label label-{{($data['active'] == 1?'success':'danger')}}'>{{($data['active'] == 1?'Active':'In-Active')}}</span>
                            </td>
                            <td>
                                <button type="button" id="modifyMe" class="btn-info btn-xs mClass"
                                        data_val="{{base64_encode($data['id']."!~#~!".$data['col1']."!~#~!".$data['col2']."!~#~!".$data['col3']."!~#~!".$data['col4']."!~#~!".$data['active'])}}">
                                    <i class="fa fa-edit"></i></button>
                            </td>
                        </tr>
                    @endforeach
                    </tbody>
                </table>
            </div>
        </div>

    </section>
@endsection
@push('extra-script')
    <script src="{{ asset('bower_components/datatables.net/js/jquery.dataTables.min.js') }}"></script>
    <script src="{{ asset('bower_components/datatables.net-bs/js/dataTables.bootstrap.min.js') }}"></script>
    <script>
        $(document).ready(function () {
            $('[data-toggle="tooltip"]').tooltip();
            $("#resetn").click(function () {
                $("#modifyId").val('');
            });
            $(".mClass").click(function () {
                var Cdata = atob($(this).attr('data_val')).split('!~#~!');
                console.log(Cdata);
                if (Cdata.length == 6) {
                    $("#modifyId").val(Cdata[0]);
                    $("#col1").val(Cdata[1]);
                    $("#col1").focus();
                    $("#col2").val(Cdata[2]);
                    $("#col3").val(Cdata[3]);
                    $("#col4").val(Cdata[4]);
                    $("#active").val(Cdata[5]);
                }
            });
            $('#data').DataTable();
        });
    </script>
@endpush