@extends('layouts.admin')
@push('extra-css')
    <link href="{{ asset('bower_components/datatables.net-bs/css/dataTables.bootstrap.min.css') }}" rel="stylesheet">
@endpush
@section('content')
    <section class="content">
        <form method="POST" action="{{ route('activation') }}" id="activaionForm">
        {{ csrf_field() }}
        <input type="hidden" name="activationRequest" id="activationRequest">
        </form>
        <form method="POST" action="{{ route('rcmc') }}" id="rcmcForm">
        {{ csrf_field() }}
        <input type="hidden" name="rcmc_id" id="rcmc_id">
        </form>
        <form method="POST" action="{{ route('modify-company') }}" id="userModifyForm">
            {{ csrf_field() }}
            <input type="hidden" name="modified_user_id" id="modified_user_id">
        </form>
        <div class="box">
            <div class="box-header">
                <h3 class="box-title">Member Detail List</h3>
            </div>
{{--            <div class="siteseal" style="text-align:center">--}}
{{--                <div class="siteseal-img"><a href="https://aboutssl.org/ssl-tools/ssl-checker.php">--}}
{{--                    <img src="https://aboutssl.org/ssl-tools/siteseal.php?siteseal=trustwave-trust-seal.png" alt="symantec-trust-seal"></a>--}}
{{--                </div>--}}
{{--                <div class="siteseal-code">--}}
{{--                    <a href="https://aboutssl.org/ssl-tools/ssl-checker.php">SSL Checker</a>--}}
{{--                </div>--}}
{{--            </div>--}}
            <!-- /.box-header -->
            <div class="box-body">
                <table id="data" class="table table-bordered table-striped">
                    <thead>
                    <tr>
                        <th>ID</th>
                        <th>Company Name</th>
                        <th>File Number</th>
                        <th>View Edit</th>
                        <th>De-Activate</th>
                        <th>View RCMC</th>
                        <th>Reset Password</th>
                    </tr>
                    </thead>
                    <tbody>
                    @foreach($data as $key => $data)
                        <tr>
                            <td>{{$data['id']}}</td>
                            <td>{{$data['name']}}</td>
                            <td>{{$data['file_number']}}</td>
                            <td>
                                <button type="button" class="btn-success btn-xs mClass modifyUser"
                                        data-val="{{base64_encode($data['user_id'])}}">
                                    <i class="fa fa-edit"></i>
                                </button>
                            </td>
                            <td>
                                <button type="button"
                                        class="btn-{{($data['active'] == '0'?'warning':'danger')}} btn-xs mClass UniClickLock"
                                        data-val="{{base64_encode($data['user_id']."!~#~!".$data['name']."!~#~!email!~#~!noPassword!~#~!".($data['active'] == '0'?'Activate':'DeActivate'))}}">
                                    <i class="fa fa-{{($data['active'] == '0'?'envelope-open-o':'envelope-o')}}"></i>
                                    {{($data['active'] == '0'?'Activate':'De-Activate')}}
                                </button>
                            </td>
                            <td><button type="button"
                                        class="btn-success btn-xs mClass rcmcClick" data-val="{{$data['main_id']}}">
                                    <i class="fa fa-eye"></i> View RCMC
                                </button></td>

                            <td>
                                <button type="button" class="btn-success btn-xs mClass resetpass" data-val="{{base64_encode($data['user_id'])}}">
                                    <i class="fa fa-key"></i>Reset Password
                                </button>
{{--                                {{($data['user_id'])}}--}}
                            </td>

                        </tr>
                     @endforeach
                    </tbody>
                </table>
            </div>
            <!-- /.box-body -->
            {{--<div>&nbsp;&nbsp;<code><b>NOTE:</b></code> <small>GROUP NAME IS UNIQUE FILED IN THE TABLE</small></div>--}}
        </div>
    </section>
@endsection
@push('extra-script')
    <script src="{{ asset('bower_components/datatables.net/js/jquery.dataTables.min.js') }}"></script>
    <script src="{{ asset('bower_components/datatables.net-bs/js/dataTables.bootstrap.min.js') }}"></script>
    <script>
        $(document).ready(function () {
            $(".blukredirect").click(function () {
                $("#blukRequest").val($(this).attr('data-val'));
                if ($("#blukRequest").val() != '') {
                    $("#blukForm").submit();
                }
            });

            $(".modifyUser").click(function () {
                $("#modified_user_id").val($(this).attr('data-val'));
                if ($("#modified_user_id").val() != '') {
                    $("#userModifyForm").submit();
                }
            });
            $(".UniClickLock").click(function () {
                $("#activationRequest").val($(this).attr('data-val'));
                if ($("#activationRequest").val() != '') {
                    $("#activaionForm").submit();
                }
            });

            $(".rcmcClick").click(function () {
                $("#rcmc_id").val($(this).attr('data-val'));
                if ($("#rcmc_id").val() != '') {
                    $("#rcmcForm").submit();
                }
            });
            $('[data-toggle="tooltip"]').tooltip();
            $('#data').DataTable({
                "ordering": false
            });
        });
        (function(){
            $(".resetpass").click(function () {
                var uid=$(this).data('val');
                if (confirm("Are you sure you want to reset password ?") && uid != '') {
                    resetpasswordRequest(uid);
                }
            });

            function resetpasswordRequest (user_id) {
                // alert(user_id);
                $.ajax({
                    type: 'POST',
                    url : 'resetpassword',
                    dataType: 'JSON',
                    data: {
                        uid: user_id,
                        '_token': '{{csrf_token()}}',
                    },
                    success: function(response){
                        alert("Password Reset Completed");
                    },
                });
            }
        }).call(this);
    </script>
@endpush
