@extends('layouts.admin')
@push('extra-css')
    <link href="{{ asset('bower_components/datatables.net-bs/css/dataTables.bootstrap.min.css') }}" rel="stylesheet">
    <link href="{{ asset('bower_components/datatables.net-bs/css/buttons.dataTables.min.css') }}" rel="stylesheet">
    <link href="{{ asset('bower_components/select2/dist/css/select2.min.css') }}" rel="stylesheet">
@endpush
@section('content')
    <section class="content">
        <div class="row">
            <div class="col-md-12">
                @if(isset($exMessage['process']))
                    <div class="alert alert-{{($exMessage['process'] ? 'success':'danger')}} alert-dismissible">
                        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                        <h4><i class="icon fa fa-{{($exMessage['process'] ? 'check':'ban')}}"></i> Alert!</h4>
                        {{$exMessage['message']}}
                    </div>
            @endif
            <!-- Horizontal Form -->
                <div class="box box-success">
                    <form method="POST" action="{{ route('member-export') }}">
                        {{ csrf_field() }}
                        <div class="box-header with-border">
                            <h3 class="box-title">Member Export</h3>
                            <div style="float: right">
                                <div class="form-group" class="form-control select2">
                                    <select id="company_name" name="company_name"
                                            @if(authType() == 'admin')
                                            class="form-control select2"
                                            @endif
                                            @if(authType() == 'company')
                                             style="border-radius: 5px; background-color: gray;color: white; font-size: 16px; border: 1px solid black; margin-right: 5px; /*padding: 5px;*/"
                                            @endif >
                                        @if(authType()=='admin')
                                            {{--<option value="">- Choose Company -</option>--}}
                                            @foreach($companies as $key => $value)
                                                <option value="{{$key}}" {{($user_id == $key?'selected':'')}}>{{$value[0]['c_name']}}</option>
                                            @endforeach
                                        @endif
                                        @if(authType()=='company')
                                            <option readonly=""
                                                    value="{{Auth::user()->id}}" {{($user_id == Auth::user()->id?'selected':'')}}>{{Auth::user()->name}}</option>
                                        @endif
                                    </select>
                                    @if(authType()=='company' && Auth::user()->active == '1')
                                    <button type="submit" class="btn-primary btn-sm pull-right">Click To View</button>
                                    @endif

                                    @if(authType()=='admin')
                                    <button type="submit" class="btn-primary btn-sm pull-right">Click To View</button>
                                    @endif
                                </div>
                                {{--<select id="company_name" name="company_name" class="form-control select2"--}}
                                {{--@if(authType()=='admin')--}}
                                {{--style="font-size: 16px; color: black; border: 1px solid black; padding: 5px;"--}}
                                {{--@endif--}}
                                {{--@if(authType()=='company')--}}
                                {{--style="border-radius: 5px; background-color: gray;color: white; font-size: 16px; border: 1px solid black; padding: 5px;"--}}
                                {{--@endif--}}
                                {{--required>--}}
                                {{--@if(authType()=='admin')--}}
                                {{--<option value="">- Choose Company -</option>--}}
                                {{--@foreach($companies as $key => $value)--}}
                                {{--<option value="{{$key}}" {{($user_id == $key?'selected':'')}}>{{$value[0]['c_name']}}</option>--}}
                                {{--@endforeach--}}
                                {{--@endif--}}
                                {{--@if(authType()=='company')--}}
                                {{--<option readonly="" value="{{Auth::user()->id}}" {{($user_id == Auth::user()->id?'selected':'')}}>{{Auth::user()->name}}</option>--}}
                                {{--@endif--}}
                                {{--</select>&nbsp;--}}
                                {{--&nbsp;<button type="submit" class="btn btn-success pull-right">Click To--}}
                                {{--View--}}
                                {{--</button>--}}
                            </div>
                        </div>
                    </form>
                    @if(isset($user_id) && $user_id !='')
                        <form method="POST" class="form-horizontal" action="{{ route('member-export') }}">
                            {{ csrf_field() }}
                            <input type="hidden" name="user_id"
                                   value="{{$user_id}}">
                            <input type="hidden" name="id" id="id"
                                   value="">
                            <div class="box-body">
                                <div class="form-group">
                                    <div class="col-sm-2">
                                        <label for="" class="control-label">Year</label>
                                        <select class="form-control" name="year" id="year" required>
                                            <option value="">- Choose Year -</option>
                                            @foreach($defaults['years'] as $key => $value)
                                                <option value="{{$key}}">{{$value}}</option>
                                            @endforeach
                                        </select>
                                        @error('year')
                                        <span style="color: red;">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                        @enderror
                                    </div>
                                    <div class="col-sm-2">
                                        <label for="" class="control-label">Month</label>
                                        <select class="form-control" name="month" id="month" required>
                                            <option value="">- Choose Month -</option>
                                            @foreach($defaults['months'] as $key => $value)
                                                <option value="{{$key}}">{{$value}}</option>
                                            @endforeach
                                        </select>
                                        @error('month')
                                        <span style="color: red;">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                        @enderror
                                    </div>
                                    <div class="col-sm-4">
                                        <label for="" class="control-label">Item</label>
                                        <select class="form-control select2" name="item" id="item"
                                                title="Mouse over to element to see description" required>
                                            <option value="">- Choose Item -</option>
                                            @foreach($defaults['items'] as $key => $value)
                                                <option value="{{$key}}"
                                                        title="Panel: {{$defaults['panels'][$value[0]['panel']]}} | Group: {{$defaults['groups'][$value[0]['group']]}} | HS Code: {{$value[0]['hs_code']}}"
                                                >{{$value[0]['name']}}</option>
                                            @endforeach
                                        </select>
                                        @error('item')
                                        <span style="color: red;">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                        @enderror
                                    </div>
                                    <div class="col-sm-2">
                                        <label for="" class="control-label">Country</label>
                                        <select class="form-control" name="country" id="country" required>
                                            <option value="">- Choose Country -</option>
                                            @foreach($defaults['countries'] as $key => $value)
                                                <option value="{{$key}}"
                                                        title="Region: {{$value[0]['region']}}"
                                                >{{$value[0]['name']}}</option>
                                            @endforeach
                                        </select>
                                        @error('country')
                                        <span style="color: red;">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                        @enderror
                                    </div>
                                    <div class="col-sm-2">
                                        <label for="" class="control-label">Valur In RS</label>
                                        <input type="hidden" class="form-control" name="value_in_rs_old"
                                               id="value_in_rs_old"
                                               value="{{ old('value_in_rs_old') }}">
                                        <input type="number" class="form-control" name="value_in_rs"
                                               id="value_in_rs"
                                               value="{{ old('value_in_rs') }}"
                                               placeholder="Value In Rs" required>
                                        @error('value_in_rs')
                                        <span style="color: red;">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                        @enderror
                                    </div>
                                </div>
                            </div>
                            <div class="box-footer">
                                <button type="reset" class="btn btn-default">Reset</button>
                                <button type="submit" class="btn btn-info pull-right">SAVE</button>
                            </div>
                            <!-- /.box-footer -->
                        </form>
                    @else
                        <div align="center" style="height: 100px"><h1>Member Export</h1>
                        </div>
                    @endif

                </div>
                <!-- form start -->
            </div>
        </div>
        @if(isset($user_id) && $user_id !='')
            <style>
                th {
                    white-space: nowrap;
                }
            </style>
            <div class="box box-success">
                <div class="box-header">
                    <h3 class="box-title">Member Export List: {{$companyName}}</h3>
                </div>
                <!-- /.box-header -->
                <div class="box-body">
                    <table id="data" class="table table-bordered table-striped">
                        <thead>
                        <tr>
                            <th>ID</th>
                            <th>Year</th>
                            <th>Month</th>
                            <th>Item</th>
                            <th>Country</th>
                            <th>Value In Rs</th>
                            <?php if(authType() != 'company'){  ?>
                            <th>Edit</th>
                            <?php  } ?>
                        </tr>
                        </thead>
                        <tbody>
                        @if(count($memberExportList)>0)
                            @foreach($memberExportList as $key => $data)
                                <tr>

                                    <td>{{$data['id']}}</td>
                                    <td>{{$defaults['years'][$data['year']]}}</td>
                                    <td>{{$defaults['months'][$data['month']]}}</td>
                                    <td><span data-toggle="tooltip" data-placement="top"
                                              style="background-color: #00caff; color: black; border-radius: 5px; cursor: pointer"
                                              data-original-title="Panel : {{$defaults['panels'][$defaults['items'][$data['item']][0]['panel']]}} | Group: {{$defaults['groups'][$defaults['items'][$data['item']][0]['group']]}} | HS Code: {{$defaults['items'][$data['item']][0]['hs_code']}}">
                                            &nbsp;{{$defaults['items'][$data['item']][0]['name']}}&nbsp;
                                        </span>
                                    </td>
                                    <td><span data-toggle="tooltip" data-placement="top"
                                              style="background-color: #00caff; color: black; border-radius: 5px; cursor: pointer"
                                              data-original-title="Region : {{$defaults['countries'][$data['country']][0]['region']}}">
                                        &nbsp;{{$defaults['countries'][$data['country']][0]['name']}}&nbsp;
                                        </span></td>
                                    <td>{{$data['value_in_rs']}}</td>
                                    <?php if(authType() != 'company'){  ?>
{{--                                    <td>{{$defaults['months'][$data['month']]}}</td>--}}

                                    <td>
                                    <button type="button" class="btn-success btn-xs modifyMemberExport"
                                    data-val=" {{ base64_encode($data['id'].'##_##'.$data['year'].'##_##'.$data['month'].'##_##'.$data['item'].'##_##'.$data['country'].'##_##'.$data['value_in_rs'].'##_##'.$data['value_in_rs']) }} ">
                                    <i class="fa fa-edit"></i>
                                        </button>

                                    </td>
                                    <?php  } ?>
                                </tr>
                            @endforeach
                        @endif
                        </tbody>
                        <tfoot>
                        <tr>
                            <th colspan="6" style="text-align:left">Total:</th>
                        </tr>
                        </tfoot>
                    </table>
                </div>
            </div>
        @endif
    </section>
@endsection
@push('extra-script')
    <script src="{{ asset('bower_components/datatables.net/js/jquery.dataTables.min.js') }}"></script>
    <script src="{{ asset('bower_components/datatables.net-bs/js/dataTables.bootstrap.min.js') }}"></script>

    <script src="{{ asset('bower_components/select2/dist/js/select2.full.min.js') }}"></script>

    <script src="{{ asset('bower_components/datatables.net/js/dataTables.buttons.min.js') }}"></script>
    <script src="{{ asset('bower_components/datatables.net/js/buttons.flash.min.js') }}"></script>
    <script src="{{ asset('bower_components/datatables.net/js/jszip.min.js') }}"></script>
    <script src="{{ asset('bower_components/datatables.net/js/pdfmake.min.js') }}"></script>
    <script src="{{ asset('bower_components/datatables.net/js/vfs_fonts.js') }}"></script>
    <script src="{{ asset('bower_components/datatables.net/js/buttons.html5.min.js') }}"></script>
    <script src="{{ asset('bower_components/datatables.net/js/buttons.print.min.js') }}"></script>
    <script>
        $(document).ready(function () {
            $('.select2').select2();

            $('[data-toggle="tooltip"]').tooltip();

            $(".modifyMemberExport").click(function () {
                var data = atob($(this).attr('data-val')).split('##_##');
                //console.log(data);
                $("#id").val(data[0]);
                $("#year").val(data[1]);
                $("#year").focus();
                $("#month").val(data[2]);
                $("#item").val(data[3]);
                $("#country").val(data[4]);
                $("#value_in_rs").val(data[5]);
                $("#value_in_rs_old").val(data[5]);
            });
            var table = $('#data').DataTable({
                "order": [[ 1, "desc" ]],
                dom: 'Bfrtip',
                buttons: [
                    {
                        extend: 'excelHtml5',
                        title: '{{$companyName}}', //default filename
                    },

                ],
                "footerCallback": function (row, data, start, end, display) {
                    var api = this.api(), data;
                    // Remove the formatting to get integer data for summation
                    var intVal = function (i) {
                        return typeof i === 'string' ?
                            i.replace(/[\$,]/g, '') * 1 :
                            typeof i === 'number' ?
                                i : 0;
                    };
                    // Total over all pages
                    total = api
                        .column(5)
                        .data()
                        .reduce(function (a, b) {
                            return intVal(a) + intVal(b);
                        }, 0);
                    // Total over this page
                    pageTotal = api
                        .column(5, {page: 'current'})
                        .data()
                        .reduce(function (a, b) {
                            return intVal(a) + intVal(b);
                        }, 0);
                    // Update footer
                    $(api.column(5).footer()).html(
                        'Total export in the Filter Result Rs: ' + pageTotal + ' ( Total Rs:' + total + ')'
                    );
                }
            });
            // table.on( 'search.dt', function () {
            //     table.fnSort([1]);
            //     //console.log( 'Currently applied global search: '+table.search() );
            // } );


        });
    </script>
@endpush
