@extends('layouts.admin')
@push('extra-css')
    <link href="{{ asset('bower_components/datatables.net-bs/css/dataTables.bootstrap.min.css') }}" rel="stylesheet">
@endpush
@section('content')
    <section class="content">
        <div class="row">
            <div class="col-md-12">
                @if(isset($exMessage['process']))
                    <div class="alert alert-{{($exMessage['process'] ? 'success':'danger')}} alert-dismissible">
                        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                        <h4><i class="icon fa fa-{{($exMessage['process'] ? 'check':'ban')}}"></i> Alert!</h4>
                        {{$exMessage['message']}}
                    </div>
            @endif
            <!-- Horizontal Form -->
                <div class="box box-danger">
                    <div class="box-header with-border">
                        <h3 class="box-title">Manage Login</h3>
                    </div>
                    <!-- form start -->
                    <form method="POST" class="form-horizontal" action="{{ route('profile') }}">
                        {{ csrf_field() }}
                        <input type="hidden" name="user_id" value="">
                        <div class="box-body">
                            <div class="form-group">
                                <label for="" class="col-sm-2 control-label">User Name</label>
                                <div class="col-sm-10">
                                    <input type="text" value="{{ Auth::user()->name }}" name="Name" id="Name"
                                           class="form-control" placeholder="" readonly required>
                                    {{--                                    <span class="hidden-xs">{{ Auth::user()->name }}!</span>--}}
                                </div>
                            </div>

                            <div class="form-group">
                                <label for="" class="col-sm-2 control-label">Current Password</label>
                                <div class="col-sm-10">
                                    <input type="password" name="password" id="password" class="form-control"
                                           placeholder="Current Password" required>
                                    @if ($errors->has('password'))
                                        <span class="help-block">
                                        <strong>{{ $errors->first('password') }}</strong>
                                    </span>
                                    @endif
                                </div>
                            </div>

                            <div class="form-group">
                                <label for="" class="col-sm-2 control-label">New Password</label>
                                <div class="col-sm-10">
                                    <input type="password" value="" id="new_password" name="new_password"
                                           class="form-control" placeholder="New Password" required>
                                    @if ($errors->has('password'))
                                        <span class="help-block">
                                        <strong>{{ $errors->first('new_password') }}</strong>
                                    </span>
                                    @endif
                                </div>
                            </div>

                            <div class="form-group">
                                <label for="" class="col-sm-2 control-label">Confirm Password</label>
                                <div class="col-sm-10">
                                    <input type="password" value="" id="confirm_password" name="confirm_password"
                                           class="form-control" placeholder="Confirm Password">
                                    @if ($errors->has('confirm_password'))
                                        <span class="help-block">
                                        <strong>{{ $errors->first('password') }}</strong>
                                    </span>
                                    @endif
                                </div>
                            </div>
                        </div>
                        <div class="box-footer">
                            <button type="submit" class="btn btn-success pull-right">SUBMIT</button>
                        </div>
                        <!-- /.box-footer -->
                    </form>
                </div>
            </div>
        </div>
    </section>
@endsection

@push('extra-script')
    {{--$("#btnSubmit").click(function () {--}}
    {{--var password = $("#txtPassword").val();--}}
    {{--var confirmPassword = $("#txtConfirmPassword").val();--}}
    {{--if (password != confirmPassword) {--}}
    {{--alert("Passwords do not match.");--}}
    {{--return false;--}}
    {{--}--}}
    {{--return true;--}}
    {{--});--}}
@endpush
