@extends('layouts.admin')
@push('extra-css')
    <link href="{{ asset('calenderOnly/css/jquery-ui.css') }}" rel="stylesheet">
    <link href="{{ asset('calenderOnly/css/style.css') }}" rel="stylesheet">
@endpush
@section('content')
    <style>
        .table-bordered > tbody > tr:nth-child(odd) > td,
        .table-bordered > tbody > tr:nth-child(odd) > th {
            background-color: #b0d4f1;

        }
    </style>
    <section class="content">
        @if(isset($exMessage['process']))
            <div class="alert alert-{{($exMessage['process'] ? 'success':'danger')}} alert-dismissible">
                <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                <h4><i class="icon fa fa-{{($exMessage['process'] ? 'check':'ban')}}"></i> Alert!</h4>
                {{$exMessage['message']}}
            </div>
        @endif
        <div class="row">
            <div class="col-md-12">
                <!-- Horizontal Form -->
                <div class="box box-info">
                    <div class="box-header with-border">
                        <h3 class="box-title">View/Update Company</h3>
                    </div>
                    <!-- form start -->
                    <form method="POST"  class="form-horizontal" action="{{ route('view-company') }}">
                        {{ csrf_field() }}
                        <input type="hidden" name="user_id" value="{{base64_encode($userData[0]['id'])}}">
                        <div class="box-body">
                            <table class="table table-bordered">
                                <tr>
                                    <th style="width:30%; background-color: #4aa0e6">Heading</th>
                                    <th style="width:70%; background-color: #4aa0e6"> Default</th>
                                </tr>
                                <tr>
                                    <td>
                                        Company Name
                                    </td>
                                    <td>
                                        <input type="text" class="form-control" id="name"
                                               value="{{$userData[0]['name']}}"
                                               }} name="user[name]"
                                               placeholder="Company Name" required style="text-transform:uppercase" />
                                        @error('name')
                                        <strong class="error_message">The Company Name is required</strong>
                                        @enderror
                                    </td>
                                </tr>
                                <tr>
                                    <td>Date of Establishment</td>
                                    <td>
                                        <input type="text" class="form-control" id="doe" value="{{$userData[0]['doe']}}"
                                               name="user[doe]" readonly>

                                        @error('doe')
                                        <strong class="error_message">The Date of Establishment is </strong>
                                        @enderror
                                    </td>
                                    </td>
                                </tr>
                                <tr>
                                    <td colspan="2"></td>
                                </tr>
                                <tr>
                                    <td colspan="2">Registered Office Address</td>
                                </tr>
                                <tr>
                                    <td>
                                        Line 1
                                    </td>
                                    <td>
                                        <input type="text" class="form-control @error('roa_line1') is-invalid @enderror"
                                               id="roa_line1"
                                               name="user[roa_line1]" value="{{$userData[0]['roa_line1']}}"
                                               placeholder="Line 1" style="text-transform:uppercase" />
                                        @error('roa_line1')
                                        <strong class="error_message">The Line1 is  </strong>
                                        @enderror
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        Line 2
                                    </td>
                                    <td>
                                        <input type="text" class="form-control" id="roa_line2" name="user[roa_line2]"
                                               value="{{$userData[0]['roa_line2']}}" placeholder="Line 2" style="text-transform:uppercase" />
                                        @error('roa_line2')
                                        <strong class="error_message">The Line2 is </strong>
                                        @enderror
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        City
                                    </td>
                                    <td>
                                        <input type="text" class="form-control" id="roa_city" name="user[roa_city]"
                                               value="{{$userData[0]['roa_city']}}" placeholder="City" style="text-transform:uppercase" />
                                        @error('roa_city')
                                        <strong class="error_message">The City is </strong>
                                        @enderror
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        PIN
                                    </td>
                                    <td>

                                        <input type="text" class="form-control" id="roa_pin" name="user[roa_pin]"
                                               value="{{$userData[0]['roa_pin']}}"
                                               placeholder="PIN" style="text-transform:uppercase" />
                                        @error('roa_pin')
                                        <strong class="error_message">The PIN is  </strong>
                                        @enderror
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        State
                                    </td>
                                    <td>

                                        <select class="form-control" id="roa_state" name="user[roa_state]"  required style="text-transform:uppercase" />
                                            <option value="">Select State</option>
                                            @foreach(STATES as $key => $value)
                                                <option value="{{$key}}" {{($userData[0]['roa_state'] == $key ? 'selected' : '')}}> {{$value}}</option>
                                            @endforeach
                                        </select>
                                        @error('roa_state')
                                        <strong class="error_message">The State is required</strong>
                                        @enderror
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        Telephone
                                    </td>
                                    <td>
                                        <input type="text" class="form-control" id="roa_telephone"
                                               name="user[roa_telephone]"
                                               value="{{$userData[0]['roa_telephone']}}" placeholder="Telephone" style="text-transform:uppercase" />
                                        @error('roa_telephone')
                                        <strong class="error_message">The Telephone is </strong>
                                        @enderror
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        Email
                                    </td>
                                    <td>
                                        <input id="email" type="email"
                                               class="form-control @error('email') is-invalid @enderror"
                                               value="{{$userData[0]['email']}}"
                                               name="user[email]" autocomplete="email" placeholder="Email" required>
                                        @error('email')
                                        <strong class="error_message">The email is required</strong>
                                        @enderror
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        Website
                                    </td>
                                    <td>
                                        <input type="text" class="form-control" id="roa_website"
                                               value="{{$userData[0]['roa_website']}}"
                                               name="user[roa_website]" placeholder="Website" style="text-transform:uppercase" />
                                        @error('roa_website')
                                        <strong class="error_message">The Website is </strong>
                                        @enderror
                                    </td>
                                </tr>
                                <tr>
                                    <td colspan="2"></td>
                                </tr>
                                <tr>
                                    <td colspan="2">CEO Details</td>
                                </tr>
                                <tr>
                                    <td>Name</td>
                                    <td>
                                        <input type="text" class="form-control" id="ceo_name"
                                               value="{{$userData[0]['ceo_name']}}"
                                               name="user[ceo_name]" id="ceo_name" placeholder="Name" style="text-transform:uppercase" />
                                        @error('ceo_name')
                                        <strong class="error_message">The CEO Name is </strong>
                                        @enderror
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        Designation
                                    </td>
                                    <td>
                                        <input type="text" class="form-control" id="ceo_designation"
                                               value="{{$userData[0]['ceo_designation']}}"
                                               name="user[ceo_designation]" placeholder="Designation" style="text-transform:uppercase" />
                                        @error('ceo_designation')
                                        <strong class="error_message">The Designation is </strong>
                                        @enderror
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        Email
                                    </td>
                                    <td>
                                        <input type="text" class="form-control" id="ceo_email"
                                               value="{{$userData[0]['ceo_email']}}"
                                               name="user[ceo_email]" placeholder="Email" >
                                        @error('ceo_email')
                                        <strong class="error_message">The Email is </strong>
                                        @enderror
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        Phone / Mobile
                                    </td>
                                    <td>
                                        <input type="text" class="form-control"
                                               value="{{$userData[0]['ceo_phone_mobile']}}"
                                               name="user[ceo_phone_mobile]" placeholder="Phone / Mobile" style="text-transform:uppercase" />
                                        @error('ceo_phone_mobile')
                                        <strong class="error_message">Phone / Mobile is </strong>
                                        @enderror
                                    </td>
                                </tr>
                                <tr>
                                    <td colspan="2"></td>
                                </tr>
                                <tr>
                                    <td>
                                        Company IEC number
                                    </td>
                                    <td>
                                        <input type="text" class="form-control" id="ceo_company_iec_number"
                                               value="{{$userData[0]['ceo_company_iec_number']}}"
                                               name="user[ceo_company_iec_number]"
                                               placeholder="Company IEC number" style="text-transform:uppercase" />
                                        @error('ceo_company_iec_number')
                                        <strong class="error_message">The Company IEC number is </strong>
                                        @enderror
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        GST number
                                    </td>
                                    <td>
                                        <input type="text" class="form-control" id="ceo_gst_number"
                                               value="{{$userData[0]['ceo_gst_number']}}"
                                               name="user[ceo_gst_number]" placeholder="GST number" style="text-transform:uppercase" />
                                        @error('ceo_gst_number')
                                        <strong class="error_message">The GST number is </strong>
                                        @enderror
                                    </td>
                                </tr>
                                <tr>
                                    <td colspan="2"></td>
                                </tr>
                                <tr>
                                    <td colspan="2">
                                        Contact ’s Details
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        Name
                                    </td>
                                    <td>
                                        <input type="text" class="form-control" id="cp_name"
                                               value="{{$userData[0]['cp_name']}}"
                                               name="user[cp_name]"
                                               placeholder="Contact ’s Name" style="text-transform:uppercase" />
                                        @error('cp_name')
                                        <strong class="error_message">The Contact Name is </strong>
                                        @enderror
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        Designation
                                    </td>
                                    <td>
                                        <input type="text" class="form-control" id="cp_designation"
                                               value="{{$userData[0]['cp_designation']}}"
                                               name="user[cp_designation]" placeholder="Designation" style="text-transform:uppercase" />
                                        @error('cp_designation')
                                        <strong class="error_message">The Designation is </strong>
                                        @enderror
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        Email
                                    </td>
                                    <td>
                                        <input type="text" class="form-control" id="cp_email"
                                               value="{{$userData[0]['cp_email']}}"
                                               name="user[cp_email]" placeholder="Contact ’s Email">
                                        @error('cp_email')
                                        <strong class="error_message">The Email is </strong>
                                        @enderror
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        Phone
                                    </td>
                                    <td>
                                        <input type="text" class="form-control" id="cp_phone"
                                               value="{{$userData[0]['cp_phone']}}"
                                               name="user[cp_phone]" placeholder="Contact ’s Phone" style="text-transform:uppercase" />
                                        @error('cp_phone')
                                        <strong class="error_message">The Phone is </strong>
                                        @enderror
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        Mobile
                                    </td>
                                    <td>
                                        <input type="text" class="form-control" id="cp_mobile"
                                               value="{{$userData[0]['cp_mobile']}}"
                                               name="user[cp_mobile]" placeholder="Mobile" style="text-transform:uppercase" />
                                        @error('cp_mobile')
                                        <strong class="error_message">The Mobile is </strong>
                                        @enderror
                                    </td>
                                </tr>
                                <tr>
                                    <td colspan="2"></td>
                                </tr>
                                <tr>
                                    <td>
                                        Registration Type
                                    </td>
                                    <td>
                                        <select class="form-control"
                                                id="cp_registration_type" name="user[cp_registration_type]" required style="text-transform:uppercase" />
                                            <option value="">- select -</option>
                                            @foreach($registrationType as $id => $value)
                                                <option value="{{$id}}" {{($userData[0]['cp_registration_type'] == $id ? 'selected':'')}}>{{$value}}</option>
                                            @endforeach
                                        </select>
                                        @error('cp_registration_type')
                                        <strong class="error_message">The Registration Type is required</strong>
                                        @enderror
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        Type of Company
                                    </td>
                                    <td>
                                        <select class="form-control" id="cp_type_of_company"
                                                name="user[cp_type_of_company]" required>
                                            <option value="">- select -</option>
                                            @foreach($companyOfType as $id => $value)
                                                <option value="{{$id}}"  {{($userData[0]['cp_type_of_company'] == $id ? 'selected':'')}}>{{$value}}</option>
                                            @endforeach
                                        </select>
                                        @error('cp_type_of_company')
                                        <strong class="error_message">The Type of Company is required</strong>
                                        @enderror
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        Company CIN
                                    </td>
                                    <td>
                                        <input type="text" class="form-control" id="company_cin"
                                               value="{{$userData[0]['company_cin']}}"
                                               name="user[company_cin]" placeholder="" style="text-transform:uppercase" />
                                        @error('company_cin')
                                        <strong class="error_message">The Company CIN is </strong>
                                        @enderror
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        Directors Name & DIN
                                    </td>
                                    <td>
                                        <table class="table table-bordered">
                                            <tr>
                                                <th style="width:2%; background-color: black;color: white">SL.No</th>
                                                <th style="width:48%; background-color: black;color: white;">
                                                    Name
                                                </th>
                                                <th style="width:48%; background-color: black;color: white;">
                                                    DIN
                                                </th>
                                            </tr>
                                            <tr>
                                                <td style="width: 2%;font-weight:bold " >1</td>
                                                <td><input type="text" class="form-control" id="directors_name1"
                                                           value="{{$userData[0]['directors_name1']}}"
                                                           name="user[directors_name1]" placeholder="Name" style="text-transform:uppercase" />
                                                    @error('directors_name1')
                                                    <strong class="error_message"></strong>
                                                    @enderror

                                                </td>
                                                <td><input type="text" class="form-control" id="directors_din1"
                                                           value="{{$userData[0]['directors_din1']}}"
                                                           name="user[directors_din1]" placeholder="DIN" style="text-transform:uppercase" />
                                                    @error('directors_din1')
                                                    <strong class="error_message"></strong>
                                                    @enderror
                                                </td>
                                            </tr>
                                            <tr>
                                                <td style="width: 2%;font-weight:bold " >2</td>
                                                <td><input type="text" class="form-control" id="directors_name2"
                                                           value="{{$userData[0]['directors_name2']}}"
                                                           name="user[directors_name2]" placeholder="" style="text-transform:uppercase" />
                                                </td>
                                                <td><input type="text" class="form-control" id="directors_din2"
                                                           value="{{$userData[0]['directors_din2']}}"
                                                           name="user[directors_din2]" placeholder="" style="text-transform:uppercase" />
                                                </td>
                                            </tr>
                                            <tr>
                                                <td style="width: 2%;font-weight:bold " >3</td>
                                                <td><input type="text" class="form-control" id="directors_name3"
                                                           value="{{$userData[0]['directors_name3']}}"
                                                           name="user[directors_name3]"
                                                           placeholder="" style="text-transform:uppercase" />
                                                </td>
                                                <td><input type="text" class="form-control" id="directors_din3"
                                                           value="{{$userData[0]['directors_din3']}}"
                                                           name="user[directors_din3]" placeholder="" style="text-transform:uppercase" />
                                                </td>
                                            </tr>
                                            <tr>
                                                <td style="width: 2%;font-weight:bold " >4</td>
                                                <td><input type="text" class="form-control" id="directors_name4"
                                                           value="{{$userData[0]['directors_name4']}}"
                                                           name="user[directors_name4]" placeholder="" style="text-transform:uppercase" />
                                                </td>
                                                <td><input type="text" class="form-control" id="directors_din4"
                                                           value="{{$userData[0]['directors_din4']}}"
                                                           name="user[directors_din4]" placeholder="" style="text-transform:uppercase" />
                                                </td>
                                            </tr>
                                            <tr>
                                                <td style="width: 2%;font-weight:bold " >5</td>
                                                <td><input type="text" class="form-control" id="directors_name5"
                                                           value="{{$userData[0]['directors_name5']}}"
                                                           name="user[directors_name5]" placeholder="" style="text-transform:uppercase" />
                                                </td>
                                                <td><input type="text" class="form-control" id="directors_din5"
                                                           value="{{$userData[0]['directors_din5']}}"
                                                           name="user[directors_din5]" placeholder="" style="text-transform:uppercase" />
                                                </td>
                                            </tr>
                                            <tr>
                                                <td style="width: 2%;font-weight:bold " >6</td>
                                                <td><input type="text" class="form-control" id="directors_name6"
                                                           value="{{$userData[0]['directors_name6']}}"
                                                           name="user[directors_name6]"
                                                           placeholder="" style="text-transform:uppercase" />
                                                </td>
                                                <td><input type="text" class="form-control" id="directors_din6"
                                                           value="{{$userData[0]['directors_din6']}}"
                                                           name="user[directors_din6]" placeholder="" style="text-transform:uppercase" />
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                <tr>
                                    <td colspan="2"></td>
                                </tr>
                                <tr>
                                    <td>
                                        PAN of all Partners
                                    </td>
                                    <td>
                                        <table class="table table-bordered" style="width: 100%">
                                            <tr>
                                                <th style="width:2%; background-color: #FFC000;color: black">SL.No</th>
                                                <th style="width:48%;background: #FFC000">Partner</th>
                                                <th style="width:48%;background: #FFC000"> PAN</th>
                                            </tr>
                                            <tr>
                                                <td style="width: 2%;font-weight:bold " >1</td>
                                                <td><input type="text" class="form-control" id="partners1"
                                                           value="{{$userData[0]['partners1']}}"
                                                           name="user[partners1]" placeholder="Partner" style="text-transform:uppercase" />
                                                    @error('partners1')
                                                    <strong class="error_message">The partner is </strong>
                                                    @enderror
                                                </td>
                                                <td><input type="text" class="form-control" id="patners_pan1"
                                                           value="{{$userData[0]['patners_pan1']}}"
                                                           name="user[patners_pan1]" placeholder="PAN" style="text-transform:uppercase" />
                                                    @error('patners_pan1')
                                                    <strong class="error_message">The partner DIN is </strong>
                                                    @enderror
                                                </td>
                                            </tr>
                                            <tr>
                                                <td style="width: 2%;font-weight:bold " >2</td>
                                                <td><input type="text" class="form-control" id="partners2"
                                                           value="{{$userData[0]['partners2']}}"
                                                           name="user[partners2]"
                                                           placeholder=""style="text-transform:uppercase" />
                                                </td>
                                                <td><input type="text" class="form-control" id="patners_pan2"
                                                           value="{{$userData[0]['patners_pan2']}}"
                                                           name="user[patners_pan2]" placeholder="" style="text-transform:uppercase" />
                                                </td>
                                            </tr>
                                            <tr>
                                                <td style="width: 2%;font-weight:bold " >3</td>
                                                <td><input type="text" class="form-control" id="partners3"
                                                           value="{{$userData[0]['partners3']}}"
                                                           name="user[partners3]" placeholder="" style="text-transform:uppercase" />
                                                </td>
                                                <td><input type="text" class="form-control" id="patners_pan3"
                                                           value="{{$userData[0]['patners_pan3']}}"
                                                           name="user[patners_pan3]" placeholder="" style="text-transform:uppercase" />
                                                </td>
                                            </tr>
                                            <tr>
                                                <td style="width: 2%;font-weight:bold " >4</td>
                                                <td><input type="text" class="form-control" id="partners4"
                                                           value="{{$userData[0]['partners4']}}"
                                                           name="user[partners4]" placeholder="" style="text-transform:uppercase" />
                                                </td>
                                                <td><input type="text" class="form-control" id="patners_pan4"
                                                           value="{{$userData[0]['patners_pan4']}}"
                                                           name="user[patners_pan4]" placeholder="" style="text-transform:uppercase" />
                                                </td>
                                            </tr>
                                            <tr>
                                                <td style="width: 2%;font-weight:bold " >5</td>
                                                <td><input type="text" class="form-control" id="partners5"
                                                           value="{{$userData[0]['partners5']}}"
                                                           name="user[partners5]" placeholder="" style="text-transform:uppercase" />
                                                </td>
                                                <td><input type="text" class="form-control" id="patners_pan5"
                                                           value="{{$userData[0]['patners_pan5']}}"
                                                           name="user[patners_pan5]" placeholder="" style="text-transform:uppercase" />
                                                </td>
                                            </tr>
                                            <tr>
                                                <td style="width: 2%;font-weight:bold " >6</td>
                                                <td><input type="text" class="form-control" id="partners6"
                                                           value="{{$userData[0]['partners6']}}"
                                                           name="user[partners6]" placeholder="" style="text-transform:uppercase" />
                                                </td>
                                                <td><input type="text" class="form-control" id="patners_pan6"
                                                           value="{{$userData[0]['patners_pan6']}}"
                                                           name="user[patners_pan6]" placeholder="" style="text-transform:uppercase" />
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        Company PAN
                                    </td>
                                    <td>
                                        <input type="text" class="form-control" id="company_pan"
                                               value="{{$userData[0]['company_pan']}}"
                                               name="user[company_pan]" placeholder="Company PAN" style="text-transform:uppercase" />
                                        @error('company_pan')
                                        <strong class="error_message"></strong>
                                        @enderror
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        Proprietor PAN
                                    </td>
                                    <td>
                                        <input type="text" class="form-control" id="proprietor_pan"
                                               value="{{$userData[0]['proprietor_pan']}}"
                                               name="user[proprietor_pan]" placeholder="Proprietor PAN" style="text-transform:uppercase" />
                                        @error('proprietor_pan')
                                        <strong class="error_message"> </strong>
                                        @enderror
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        Items of Registration
                                    </td>
                                    <td>
                                <textarea rows="6" cols="100" name="user[items_of_registration]"
                                          id="items_of_registration" style="text-transform:uppercase" />{{$userData[0]['items_of_registration']}}</textarea>
                                        @error('items_of_registration')
                                        <strong class="error_message">The Items of Registration is </strong>
                                        @enderror
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        Select Panels
                                    </td>
                                    <td>
                                        @foreach($panels as $id => $value)
                                            <label style="font-weight: lighter">
                                                <input type="checkbox" class="form-check-input"
                                                       value="{{$id}}"
                                                       @if(!empty($checkedPanels))
                                                       @foreach($checkedPanels as $checkVal)
                                                       @if($checkVal == $id)
                                                       checked
                                                        @endif
                                                        @endforeach
                                                        @endif
                                                > {{$value}}
                                            </label>
                                            <br>
                                        @endforeach
                                        <input type="hidden" value="{{$userData[0]['panels']}}" name="user[panels]"
                                               id="panels_jsID">
                                        @error('panels')
                                        <strong class="error_message">The Panels is required</strong>
                                        @enderror
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        Payment Details
                                    </td>
                                    <td>
                                        <input type="text" class="form-control"
                                               value="{{$userData[0]['payment_details']}}"
                                               id="payment_details"
                                               name="user[payment_details]"
                                               placeholder="payment details" style="text-transform:uppercase" />
                                        @error('payment_details')
                                        <strong class="error_message">The Payment Details is required</strong>
                                        @enderror
                                    </td>
                                </tr>
                            </table>
                        </div>
                        <div class="box-footer">
                            <button  type="submit" class="btn btn-info pull-right">SAVE CHANGES</button>
                        </div>
                        <!-- /.box-footer -->
                    </form>
                </div>
            </div>
        </div>
    </section>
@endsection
@push('extra-script')
    <script>
        $(document).ready(function () {

            $(function () {
                $("#doe").datepicker({
                    changeMonth: true,
                    changeYear: true,
                    dateFormat: 'yy-mm-dd'
                });
            });

            var selectedCType = JSON.parse('<?php echo $userData[0]["panels"];?>');
            console.log(typeof(selectedCType));
            console.log(selectedCType);

            Array.prototype.remove = function () {
                var what, a = arguments, L = a.length, ax;
                while (L && this.length) {
                    what = a[--L];
                    while ((ax = this.indexOf(what)) !== -1) {
                        this.splice(ax, 1);
                    }
                }
                return this;
            };
            $('input:checkbox').change(function () {
                if ($(this).is(":checked")) {
                    selectedCType.push($(this).val());
                    $("#panels_jsID").val(JSON.stringify(selectedCType));
                    console.log(selectedCType);
                } else {
                    selectedCType.remove($(this).val());
                    $("#panels_jsID").val(JSON.stringify(selectedCType));
                    if ($("#panels_jsID").val() == '[]') {
                        $("#panels_jsID").val('');
                        console.log(selectedCType);
                    }
                }
            });
        });
    </script>
@endpush
