<?php $__env->startPush('extra-css'); ?>
    <link href="<?php echo e(asset('bower_components/datatables.net-bs/css/dataTables.bootstrap.min.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('bower_components/datatables.net-bs/css/buttons.dataTables.min.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('bower_components/select2/dist/css/select2.min.css')); ?>" rel="stylesheet">
<?php $__env->stopPush(); ?>
<?php $__env->startSection('content'); ?>
    <section class="content">
        <div class="row">
            <div class="col-md-12">
                <?php if(isset($exMessage['process'])): ?>
                    <div class="alert alert-<?php echo e(($exMessage['process'] ? 'success':'danger')); ?> alert-dismissible">
                        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                        <h4><i class="icon fa fa-<?php echo e(($exMessage['process'] ? 'check':'ban')); ?>"></i> Alert!</h4>
                        <?php echo e($exMessage['message']); ?>

                    </div>
            <?php endif; ?>
            <!-- Horizontal Form -->
                <div class="box box-success">
                    <form method="POST" action="<?php echo e(route('download-export-data')); ?>">
                        <?php echo e(csrf_field()); ?>

                        <input type="hidden" name="y_id" value="<?php echo e($y_id); ?>">
                        <div class="box-header with-border">
                            <h3 class="box-title">Export Data</h3>
                            <div style="float: right">
                                <div class="form-group" class="form-control select2">
                                    <select id="year" name="year" class="form-control select2">
                                        <?php $__currentLoopData = $years; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($key); ?>" <?php echo e(($y_id == $key ? 'selected':'')); ?>><?php echo e($value); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    &nbsp;&nbsp;
                                    <button type="submit" class="btn-primary btn-sm pull-right">Click To View/Download
                                    </button>
                                </div>
                            </div>
                        </div>
                    </form>
                    <?php if($y_id ==''): ?>
                        <div align="center" style="height: 100px"><h1>Choose Year to Export Data</h1>
                        </div>
                    <?php endif; ?>
                </div>
                <!-- form start -->
            </div>
        </div>
        <?php if(isset($y_id) && $y_id !=''): ?>
            <style>
                th {
                    white-space: nowrap;
                }
            </style>
            <div class="box box-success">
                <div class="box-header">
                    <h3 class="box-title">Export Data : <?php echo e($years[$y_id]); ?> </h3>
                </div>
                <!-- /.box-header -->
                <div class="box-body">
                    <table id="data" class="table table-bordered table-striped">
                        <thead>
                        <tr>
                            <th>Company name</th>
                            <th>Year</th>
                            <th>Month</th>
                            <th>Item</th>
                            <th>Item panel</th>
                            <th>Item group</th>
                            <th>Item HS Code</th>
                            <th>Country</th>
                            <th>Country Region</th>
                            <th>Amount In Rs</th>
                            <th>Created At</th>
                        </tr>
                        </thead>
                        <tbody>
                        <?php $__currentLoopData = $data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $datum): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td><?php echo e($datum['companyName']); ?></td>
                                <td><?php echo e($datum['year']); ?></td>
                                <td><?php echo e($datum['month']); ?></td>
                                <td><?php echo e($datum['item']); ?></td>
                                <td><?php echo e($datum['itemPanel']); ?></td>
                                <td><?php echo e($datum['itemGroup']); ?></td>
                                <td><?php echo e($datum['hsCode']); ?></td>
                                <td><?php echo e($datum['country']); ?></td>
                                <td><?php echo e($datum['region']); ?></td>
                                <td><?php echo e($datum['amount']); ?></td>
                                <td><?php echo e($datum['created_at']); ?></td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                </div>
            </div>
        <?php endif; ?>
    </section>
<?php $__env->stopSection(); ?>
<?php $__env->startPush('extra-script'); ?>
    <script src="<?php echo e(asset('bower_components/datatables.net/js/jquery.dataTables.min.js')); ?>"></script>
    <script src="<?php echo e(asset('bower_components/datatables.net-bs/js/dataTables.bootstrap.min.js')); ?>"></script>

    <script src="<?php echo e(asset('bower_components/select2/dist/js/select2.full.min.js')); ?>"></script>

    <script src="<?php echo e(asset('bower_components/datatables.net/js/dataTables.buttons.min.js')); ?>"></script>
    <script src="<?php echo e(asset('bower_components/datatables.net/js/buttons.flash.min.js')); ?>"></script>
    <script src="<?php echo e(asset('bower_components/datatables.net/js/jszip.min.js')); ?>"></script>
    <script src="<?php echo e(asset('bower_components/datatables.net/js/pdfmake.min.js')); ?>"></script>
    <script src="<?php echo e(asset('bower_components/datatables.net/js/vfs_fonts.js')); ?>"></script>
    <script src="<?php echo e(asset('bower_components/datatables.net/js/buttons.html5.min.js')); ?>"></script>
    <script src="<?php echo e(asset('bower_components/datatables.net/js/buttons.print.min.js')); ?>"></script>
    <script>
        $(document).ready(function () {
            $('.select2').select2();
            $('[data-toggle="tooltip"]').tooltip();
            <?php if(isset($y_id) && $y_id !=''): ?>
            $('#data').DataTable({
                dom: 'Bfrtip',
                buttons: [
                    {
                        extend: 'excelHtml5',
                        title: 'export-data-<?php echo e($years[$y_id]); ?>',
                    }
                ]
            });
            <?php endif; ?>
        });
    </script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/rockbiinfo/public_html/esc/resources/views/download-export-data.blade.php ENDPATH**/ ?>