<?php $__env->startPush('extra-css'); ?>
    <link href="<?php echo e(asset('bower_components/datatables.net-bs/css/dataTables.bootstrap.min.css')); ?>" rel="stylesheet">
<?php $__env->stopPush(); ?>
<?php $__env->startSection('content'); ?>
    <section class="content">
        <div class="row">
            <?php if(isset($exMessage['process'])): ?>
                <div class="alert alert-<?php echo e(($exMessage['process'] ? 'success':'danger')); ?> alert-dismissible">
                    <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                    <h4><i class="icon fa fa-<?php echo e(($exMessage['process'] ? 'check':'ban')); ?>"></i> Alert!</h4>
                    <?php echo e($exMessage['message']); ?>

                </div>
            <?php endif; ?>
            <form method="POST" action="<?php echo e(route('application')); ?>" id="blukForm">
                <?php echo e(csrf_field()); ?>

                <input type="hidden" name="blukRequest" id="blukRequest">
            </form>
            <form method="POST" action="<?php echo e(route('activation')); ?>" id="activaionForm">
                <?php echo e(csrf_field()); ?>

                <input type="hidden" name="activationRequest" id="activationRequest">
            </form>
            <form method="POST" action="<?php echo e(route('modify-company')); ?>" id="userModifyForm">
                <?php echo e(csrf_field()); ?>

                <input type="hidden" name="modified_user_id" id="modified_user_id">
            </form>
            <form method="POST" action="<?php echo e(route('view-company')); ?>" id="userviewForm">
                <?php echo e(csrf_field()); ?>

                <input type="hidden" name="view_user_id" id="view_user_id">
            </form>
            <div class="col-md-4 col-sm-6 col-xs-12">
                <div class="info-box blukredirect" data-val="new" style="cursor: pointer" data-toggle="tooltip"
                     data-placement="bottom" title="Click To View New Applications">
                    <span class="info-box-icon bg-aqua"><i class="fa fa-file-text-o"></i></span>

                    <div class="info-box-content">
                        <span class="info-box-text">New Applications</span>
                        <span class="info-box-number"><?php echo e($newApplication); ?></span>
                    </div>
                    <!-- /.info-box-content -->
                </div>
                <!-- /.info-box -->
            </div>
            <!-- /.col -->
            <div class="col-md-4 col-sm-6 col-xs-12">
                <div class="info-box blukredirect" data-val="approve" style="cursor: pointer" data-toggle="tooltip"
                     data-placement="bottom" title="Click To View Approve Applications">
                    <span class="info-box-icon bg-green"><i class="fa fa-check"></i></span>
                    <div class="info-box-content">
                        <span class="info-box-text">Approve Applications</span>
                        <span class="info-box-number"><?php echo e($approvedApplication); ?></span>
                    </div>
                    <!-- /.info-box-content -->
                </div>
                <!-- /.info-box -->
            </div>
            <!-- /.col -->
            <div class="col-md-4 col-sm-6 col-xs-12">
                <div class="info-box blukredirect" data-val="all" style="cursor: pointer" data-toggle="tooltip"
                     data-placement="bottom" title="Click To View All Applications">
                    <span class="info-box-icon bg-yellow"><i class="fa fa-files-o"></i></span>
                    <div class="info-box-content">
                        <span class="info-box-text">All Applications</span>
                        <span class="info-box-number"><?php echo e($allApplication); ?></span>
                    </div>
                    <!-- /.info-box-content -->
                </div>
                <!-- /.info-box -->
            </div>
            <!-- /.col -->
        </div>
        <div class="box">
            <div class="box-header">
                <h3 class="box-title"><?php echo e($dType); ?> Application List</h3>
            </div>
            <!-- /.box-header -->
            <div class="box-body">
                <table id="data" class="table table-bordered table-striped">
                    <thead>
                    <tr>
                        <th>ID</th>
                        <th>Company Name</th>
                        <th>Creation Date</th>
                        <th>Creation Time</th>
                        <th>Status</th>
                        <th>View/Modify</th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php $__currentLoopData = $data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <td><?php echo e($data['id']); ?></td>
                            <td><?php echo e($data['name']); ?></td>
                            <td><?php echo e(substr($data['created_at'],0,11)); ?></td>
                            <td><?php echo e(substr($data['created_at'],11,20)); ?></td>
                            <td>
                                <button type="button"
                                        class="btn-<?php echo e(($data['active'] == '0'?'warning':'danger')); ?> btn-xs mClass UniClickLock"
                                        data-val="<?php echo e(base64_encode($data['id']."!~#~!".$data['name']."!~#~!".$data['email']."!~#~!".$data['password_nohash']."!~#~!".($data['active'] == '0'?'Activate':'DeActivate'))); ?>">
                                    <i class="fa fa-<?php echo e(($data['active'] == '0'?'envelope-open-o':'envelope-o')); ?>"></i>
                                    <?php echo e(($data['active'] == '0'?'Activate':'De-Activate')); ?>

                                </button>
                            </td>
                            <td>
                                <?php if($data['active'] == '1'): ?>
                                    <button type="button" class="btn-success btn-xs mClass modifyUser"
                                            data-val="<?php echo e(base64_encode($data['id'])); ?>">
                                        <i class="fa fa-edit"></i>
                                    </button>
                                <?php endif; ?>
                                <?php if($data['active'] == '0'): ?>
                                    <button type="button" class="btn-success btn-xs mClass viewUser"
                                            data-val="<?php echo e(base64_encode($data['id'])); ?>">
                                        <i class="fa fa-edit"></i>
                                    </button>
                                <?php endif; ?>
                            </td>
                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
            </div>
            <!-- /.box-body -->
            
        </div>
    </section>
<?php $__env->stopSection(); ?>
<?php $__env->startPush('extra-script'); ?>
    <script src="<?php echo e(asset('bower_components/datatables.net/js/jquery.dataTables.min.js')); ?>"></script>
    <script src="<?php echo e(asset('bower_components/datatables.net-bs/js/dataTables.bootstrap.min.js')); ?>"></script>
    <script>
        $(document).ready(function () {
            $(".blukredirect").click(function () {
                $("#blukRequest").val($(this).attr('data-val'));
                if ($("#blukRequest").val() != '') {
                    $("#blukForm").submit();
                }
            });

            $(".modifyUser").click(function () {
                $("#modified_user_id").val($(this).attr('data-val'));
                if ($("#modified_user_id").val() != '') {
                    $("#userModifyForm").submit();
                }
            });

            $(".viewUser").click(function () {
                $("#view_user_id").val($(this).attr('data-val'));
                if ($("#view_user_id").val() != '') {
                    $("#userviewForm").submit();
                }
            });
            $(".UniClickLock").click(function () {
                $("#activationRequest").val($(this).attr('data-val'));
                if ($("#activationRequest").val() != '') {
                    $("#activaionForm").submit();
                }
            });
            $('[data-toggle="tooltip"]').tooltip();
            $('#data').DataTable({
                "ordering": false
            });
        });
    </script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/biinff9p/public_html/esc/resources/views/application.blade.php ENDPATH**/ ?>