<!doctype html>
<html lang="<?php echo e(str_replace('_', '-', app()->getLocale())); ?>">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>ESC Registration</title>
    <!-- Fonts -->
    <link href="https://fonts.googleapis.com/css?family=Nunito:200,600" rel="stylesheet">
    <!-- Styles -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.2.0/css/bootstrap.min.css">

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>

    <link rel="stylesheet" href="//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
    <link rel="stylesheet" href="https://jqueryui.com/jquery-wp-content/themes/jqueryui.com/style.css">

    <script src="https://code.jquery.com/jquery-1.12.4.js"></script>
    <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>

    <link href="<?php echo e(asset('bower_components/select2/dist/css/select2.min.css')); ?>" rel="stylesheet">
    <script src="<?php echo e(asset('bower_components/select2/dist/js/select2.full.min.js')); ?>"></script>

    <style>
        .error_message {
            color: red;
            font-size: 10px;
        }

        #th1 {
            color: white;
            font-size: 12px;
        }

        #th2 {
            font-size: 11px;
        }

        .table-bordered > tbody > tr:nth-child(odd) > td,
        .table-bordered > tbody > tr:nth-child(odd) > th {
            background-color: #b0d4f1;
        }

        #inner-table1 > tbody > tr:nth-child(odd) > td,
        #inner-table1 > tbody > tr:nth-child(odd) > th {
            background-color: #b2b2b2;
        }

        #inner-table2 > tbody > tr:nth-child(odd) > td,
        #inner-table2 > tbody > tr:nth-child(odd) > th {
            background-color: #FFF2CC;
        }

        #patnerdin {
            background: yellow;
            color: white;
            padding: 2px;
            font-size: 11px;
        }

        img, iframe {
            height: auto;
            padding-top: 10px;
            margin-bottom: -0%;
            max-width: 100%;
            vertical-align: middle;
        }

        #img2 {
            display: block;
            margin-left: auto;
            margin-right: auto;
            width: 6%;
            margin-top: -2%;
        }

        label {
            font-size: 11px;
        }

        input[type="text"], [type="email"], [type='date'], select {
            font-size: 10px;
            height: 25px !important;
        }

        .table-bordered, th, td {
            padding: 1px;
        }

        /* The Modal (background) */
        .modal {
            display: none; /* Hidden by default */
            position: fixed; /* Stay in place */
            z-index: 1; /* Sit on top */
            padding-top: 100px; /* Location of the box */
            left: 0;
            top: 0;
            width: 100%; /* Full width */
            height: 100%; /* Full height */
            overflow: auto; /* Enable scroll if needed */
            background-color: rgb(0, 0, 0); /* Fallback color */
            background-color: rgba(0, 0, 0, 0.4); /* Black w/ opacity */
        }

        /* Modal Content */
        .modal-content {
            background-color: #fefefe;
            margin: auto;
            padding: 20px;
            border: 1px solid #888;
            width: 80%;
        }

        /* The Close Button */
        .close {
            color: red;
            float: right;
            font-size: 28px;
            font-weight: bold;
        }

        .close:hover,
        .close:focus {
            color: red;
            text-decoration: none;
            cursor: pointer;
        }
    </style>

</head>
<body>

<header id="header" class="header5 with-shadow not-fixed">
    <div id="main-header" class="bg-white color-dark ">
        <div class="container">
            <div class="row">
                <div class="col-lg-6 col-md-6 col-sm-6">
                    <div class="logo">
                        <a class="default-logo" href=""
                           title="">
                            <img src="<?php echo e(url('/ESCLOGO.png')); ?>"
                                 alt=""> </a>
                    </div>
                </div>
                <div class="col-lg-6 col-md-6 col-sm-6 text-right">
                    <div class="logo-right">
                        <img src="https://www.escindia.in/wp-content/themes/esc/img/make-on-india.png"
                             alt="Make in india">
                    </div>
                </div>
            </div>
        </div>
    </div>
    <nav class="navbar navbar-default" style="background: #227dc7">
        <div class="container-fluid">
            <div class="navbar-header">
                <a class="navbar-brand" href="#" style="color: white">Register</a>
            </div>
            <ul class="nav navbar-nav navbar-right">
                <li><a href="<?php echo e(route('login')); ?>"><span class="glyphicon glyphicon-log-in" style="color: white">&nbsp;Login</span></a>
                </li>
            </ul>
        </div>
    </nav>
</header>

<div class="row">

    <div class="col-md-2"></div>
    <div class="col-md-8">





















            <div class="logo" align="center">
                <a class="default-logo" href=""
                   title="Member">
                    <img src="<?php echo e(url('/escindia.png')); ?>"
                         alt="Member" style="height:60px;"> </a>
                <h4><b>ESC Member</b></h4>

        </div>
        <div class="row">
            <div class="col-md-8" style="width: 90.666667%">
                <form id="register_frm" method="POST" action="<?php echo e(route('register')); ?>">
                    <input type="hidden" name="_token" value="<?php echo e(csrf_token()); ?>">
                    <table class="table table-bordered">
                        <tr>
                            <th style="width:40%; background-color: #4aa0e6" id="th1"></th>
                            <th style="width:60%; background-color: #4aa0e6" id="th1"></th>
                        </tr>

                        <tr>
                            <th>Company Name</th>

                                <td><?php echo e($userData['name']); ?></td>
                        </tr>

                        <tr>
                            <th>Address</th>

                            <td><?php echo e($userData['roa_line1']); ?>

                            <?php echo e($userData['roa_line2']); ?>

                           <?php echo e($userData['roa_city']); ?>

                            <?php echo e($userData['roa_pin']); ?>

                            <?php echo e($userData['roa_state']); ?></td>
                        </tr>


                        <tr>
                            <th>Date of Establishment</th>

                                <td><?php echo e($userData['doe']); ?></td>
                        </tr>
                        <tr>
                            <th>Company Registration Type</th>

                                <td><?php echo e($registrationType[$userData['cp_registration_type']]); ?></td>
                        </tr>

                        <tr>
                            <th>Type of Company</th>

                                <td><?php echo e($companyOfType[$userData['cp_type_of_company']]); ?></td>
                        </tr>
                    </table>
                </form>
            </div>
        </div>
    </div>

</div>

</body>
<footer class="container-fluid text-center" style="background-color: #227DC7">
    <p>ESC India</p>



</footer>
</html>
<body oncontextmenu="return false;" onkeydown="return false;" onmousedown="return false;">
<script>
    $(document).ready(function () {
        $('.select2').select2();
        var cid = $('#company_name').val();

        $( ".csubmit" ).attr({
            href: "/esc/public/membership/"+cid,
            title: "View Details"
        });
        //On Change
        $('#company_name').change( function () {
            var cid = $('#company_name').val();
            //alert(cid);
            $( ".csubmit" ).attr({
                href: "/esc/public/membership/"+cid,
                title: "View Details"
            });
        });
    });
</script>
</body>















<?php /**PATH /home/rockbiinfo/public_html/esc/resources/views/membership-detail.blade.php ENDPATH**/ ?>