<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>ESC INDIA</title>
    <!-- Tell the browser to be responsive to screen width -->
    <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
    <link href="<?php echo e(asset('bower_components/bootstrap/dist/css/bootstrap.min.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('bower_components/font-awesome/css/font-awesome.min.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('bower_components/Ionicons/css/ionicons.min.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('dist/css/AdminLTE.min.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('dist/css/skins/_all-skins.min.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('plugins/pace/pace.min.css')); ?>" rel="stylesheet">
    <link rel="stylesheet"
          href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,600,700,300italic,400italic,600italic">
    <?php echo $__env->yieldPushContent('extra-css'); ?>

</head>

<body class="sidebar-mini skin-blue-light" onload="startTime()">

<div class="wrapper">
    <header class="main-header">
        <a href="#" class="logo">
            <span class="logo-mini"><b>ESC</b></span>
            <span class="logo-lg"><b>ESC</b>INDIA</span>
        </a>
        <nav class="navbar navbar-static-top">
            <a href="#" class="sidebar-toggle" data-toggle="push-menu" role="button">
                <span class="sr-only">Toggle navigation</span>
            </a>

            <div class="navbar-custom-menu">
                <ul class="nav navbar-nav">
                    <li class="dropdown user user-menu">
                        <a href="#" class="dropdown-toggle">
                            <span class="hidden-xs">Welcome <?php echo e(Auth::user()->name); ?>!</span>
                        </a>
                    </li>
                </ul>
            </div>
            <div class="navbar-custom-menu" style="width: 50%; color: white;">
                <div style="font-size: 25px" id="watch"></div>
            </div>
        </nav>
    </header>
    <!-- Left side column. contains the logo and sidebar -->
    <aside class="main-sidebar">
        <!-- sidebar: style can be found in sidebar.less -->
        <section class="sidebar">
            <!-- /.search form -->
            <!-- sidebar menu: : style can be found in sidebar.less -->
            <ul class="sidebar-menu" data-widget="tree">
                <li class="header" style="background-color: #3d416b; color: white; font-size: 15px">
                    <?php if(authType()=='admin'): ?>
                        Administrator Dashboard
                    <?php endif; ?>
                    <?php if(authType()=='company'): ?>
                        Company Dashboard
                    <?php endif; ?>
                </li>
                <?php if(authType()=='company'): ?>
                    <li <?php echo e(Route::is('dashboard')); ?>>
                        <a href="<?php echo e(route('dashboard')); ?>"><i class="fa fa-home"></i>
                            <span><?php echo e(__('Dashboard')); ?></span></a>
                    </li>
                <?php endif; ?>
                <?php if(authType()=='admin'): ?>
                    <li <?php echo e((Route::is('application') || Route::is('activation'))? 'class=active':''); ?>>
                        <a href="<?php echo e(route('application')); ?>"><i class="fa fa-file-text-o"></i>
                            <span><?php echo e(__('Applications')); ?></span></a>
                    </li>

                    <li <?php echo e((Route::is('member-detail') || Route::is('member-detail'))? 'class=active':''); ?>>
                        <a href="<?php echo e(route('member-detail')); ?>"><i class="fa fa-users"></i>
                            <span><?php echo e(__('Member Details')); ?></span></a>
                    </li>
                    <li <?php echo e((Route::is('fee'))); ?>>
                        <a href="<?php echo e(route('fee')); ?>"><i class="fa fa-money"></i> <span><?php echo e(__('Member Fee')); ?></span></a>
                    </li>
                <?php endif; ?>
                <li <?php echo e(Route::is('member-export')); ?>>
                    <a href="<?php echo e(route('member-export')); ?>"><i class="fa fa-cloud-download"></i>
                        <span><?php echo e(__('Member Export')); ?></span></a>
                </li>
                <?php if(authType()=='company' && Auth::user()->active == '1'): ?>
                    <li <?php echo e(Route::is('rcmc')); ?>>
                        <a href="<?php echo e(route('rcmc')); ?>"><i class="fa fa-file"></i>
                            <span><?php echo e(__('View RCMC')); ?></span></a>
                    </li>
                <?php endif; ?>
                <?php if(authType()=='admin'): ?>
                    <li <?php echo e(Route::is('deregistered')); ?>>
                        <a href="<?php echo e(route('deregistered')); ?>"><i class="fa fa-user-times"></i>
                            <span><?php echo e(__('Deregistered Members')); ?></span></a>
                    </li>
                    
                    
                    

                    <li class="<?php echo e((Route::is('master.membershipfees') ||Route::is('master.register-type') || Route::is('master.group') || Route::is('master.company-type') ||Route::is('master.year') || Route::is('master.month') || Route::is('master.panel') || Route::is('master.item') || Route::is('master.country'))? 'active':''); ?> treeview">
                        <a href="#">
                            <i class="fa fa-cog"></i> <span>Masters</span>
                            <span class="pull-right-container">
              <i class="fa fa-angle-left pull-right"></i>
            </span>
                        </a>
                        <ul class="treeview-menu">
                            
                            <li <?php echo e(Route::is('master.year')? 'class=active':''); ?>>
                                <a href="<?php echo e(route('master.year')); ?>">
                                    <i class="fa fa-calendar-check-o"></i> Year Master
                                </a>
                            </li>
                            <li <?php echo e(Route::is('master.month')? 'class=active':''); ?>>
                                <a href="<?php echo e(route('master.month')); ?>">
                                    <i class="fa fa-calendar"></i> Month Master
                                </a>
                            </li>
                            <li <?php echo e(Route::is('master.panel')? 'class=active':''); ?>>
                                <a href="<?php echo e(route('master.panel')); ?>">
                                    <i class="fa fa-server"></i> Panel Master
                                </a>
                            </li>
                            <li <?php echo e(Route::is('master.item')? 'class=active':''); ?>>
                                <a href="<?php echo e(route('master.item')); ?>">
                                    <i class="fa fa-cubes"></i> Item Master
                                </a>
                            </li>
                            <li <?php echo e(Route::is('master.country')? 'class=active':''); ?>>
                                <a href="<?php echo e(route('master.country')); ?>">
                                    <i class="fa fa-flag"></i> Country Master
                                </a>
                            </li>
                            <li <?php echo e(Route::is('master.company-type')? 'class=active':''); ?>>
                                <a href="<?php echo e(route('master.company-type')); ?>">
                                    <i class="fa fa-book"></i> CompanyType Master
                                </a>
                            </li>
                            <li <?php echo e(Route::is('master.register-type')? 'class=active':''); ?>>
                                <a href="<?php echo e(route('master.register-type')); ?>">
                                    <i class="fa fa-edit"></i> RegisterType Master
                                </a>
                            </li>
                            <li <?php echo e(Route::is('master.group')? 'class=active':''); ?>>
                                <a href="<?php echo e(route('master.group')); ?>">
                                    <i class="fa fa-object-group"></i> Group Master
                                </a>
                            </li>
                            <li <?php echo e(Route::is('master.membershipfees')? 'class=active':''); ?>>
                                <a href="<?php echo e(route('master.membershipfees')); ?>">
                                    <i class="fa fa-money"></i> Membership Fees
                                </a>
                            </li>
                        </ul>
                    </li>

                    <li class="<?php echo e((Route::is('download-export-data') || Route::is('download-members-data'))? 'active':''); ?> treeview">
                        <a href="#">
                            <i class="fa fa-download"></i> <span>Download</span>
                            <span class="pull-right-container">
              <i class="fa fa-angle-left pull-right"></i>
            </span>
                        </a>
                        <ul class="treeview-menu">
                            <li <?php echo e(Route::is('download-export-data')? 'class=active':''); ?>>
                                <a href="<?php echo e(route('download-export-data')); ?>">
                                    <i class="fa fa-file-o"></i> Export Data
                                </a>
                            </li>
                            <li <?php echo e(Route::is('download-members-data')? 'class=active':''); ?>>
                                <a href="<?php echo e(route('download-members-data')); ?>">
                                    <i class="fa fa-files-o"></i> Members Database
                                </a>
                            </li>
                        </ul>
                    </li>
                <?php endif; ?>
                <li <?php echo e(Route::is('profile')); ?>>
                    <a href="<?php echo e(route('profile')); ?>"><i class="fa fa-info-circle"></i>
                        <span><?php echo e(__('Manage Profile')); ?></span></a>
                </li>
                <li <?php echo e(Route::is('annual-fee')); ?>>
                    <a href="<?php echo e(route('annual-fee')); ?>"><i class="fa fa-flag"></i>
                        <span><?php echo e(__('Annual Fee')); ?></span></a>
                </li>
                <li>
                    <a href="<?php echo e(route('logout')); ?>" onclick="event.preventDefault();
                                    document.getElementById('logout-form').submit();"><i class="fa fa-sign-out"></i>
                        <span><?php echo e(__('Logout')); ?></span></a>
                    <form id="logout-form" action="<?php echo e(route('logout')); ?>" method="POST"
                          style="display: none;">
                        <?php echo csrf_field(); ?>
                    </form>
                </li>
            </ul>
        </section>
        <!-- /.sidebar -->
    </aside>

    <!-- Content Wrapper. Contains page content -->
    <div class="content-wrapper">
    <?php echo $__env->yieldContent('content'); ?>
    <!-- /.content -->
    </div>
    <!-- /.content-wrapper -->
    
    
    
    
    
    
    

</div>
<!-- ./wrapper -->
<!-- jQuery 3 -->
<script src="<?php echo e(asset('bower_components/jquery/dist/jquery.min.js')); ?>"></script>
<script src="<?php echo e(asset('bower_components/jquery-ui/jquery-ui.min.js')); ?>"></script>
<script src="<?php echo e(asset('bower_components/bootstrap/dist/js/bootstrap.min.js')); ?>"></script>
<script src="<?php echo e(asset('dist/js/adminlte.min.js')); ?>"></script>
<script src="<?php echo e(asset('bower_components/PACE/pace.min.js')); ?>"></script>
<script>
    $(document).ajaxStart(function () {
        Pace.restart()
    })

    function startTime() {
        var today = new Date();
        var h = today.getHours();
        var m = today.getMinutes();
        var s = today.getSeconds();
        m = checkTime(m);
        s = checkTime(s);
        var ampm = h >= 12 ? 'PM' : 'AM';
        var date = ("0" + today.getDate()).slice(-2)

        var monthsArray = ["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"];
        var month = monthsArray[today.getMonth()];
        var fullYear = today.getFullYear();


        document.getElementById('watch').innerHTML =
            date + ' ' + month + ' ' + fullYear + ', ' + h + ":" + m + ":" + s + ' ' + ampm;
        var t = setTimeout(startTime, 500);
    }

    function checkTime(i) {
        if (i < 10) {
            i = "0" + i
        }
        ;  // add zero in front of numbers < 10
        return i;
    }
</script>
<?php echo $__env->yieldPushContent('extra-script'); ?>
</body>
</html>
<?php /**PATH /home/biinff9p/public_html/esc/resources/views/layouts/admin.blade.php ENDPATH**/ ?>