<?php $__env->startPush('extra-css'); ?>
    <link href="<?php echo e(asset('bower_components/datatables.net-bs/css/dataTables.bootstrap.min.css')); ?>" rel="stylesheet">
<?php $__env->stopPush(); ?>
<?php $__env->startSection('content'); ?>
    <section class="content">
        <div class="row">
            <div class="col-md-2"></div>
            <div class="col-md-8">
                <?php if(isset($exMessage['process'])): ?>
                    <div class="alert alert-<?php echo e(($exMessage['process'] ? 'success':'danger')); ?> alert-dismissible">
                        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                        <h4><i class="icon fa fa-<?php echo e(($exMessage['process'] ? 'check':'ban')); ?>"></i> Alert!</h4>
                        <?php echo e($exMessage['message']); ?>

                    </div>
            <?php endif; ?>
            <!-- Horizontal Form -->
                <div class="box box-info">
                    <div class="box-header with-border">
                        <h3 class="box-title">Master Item</h3>
                    </div>
                    <!-- form start -->
                    <form method="POST" class="form-horizontal" action="<?php echo e(route('master.item')); ?>">
                        <?php echo e(csrf_field()); ?>

                        <div class="box-body">
                            <div class="form-group">
                                <label for="panelName" class="col-sm-2 control-label">Panel</label>
                                <div class="col-sm-10">
                                    <select class="form-control" name="panel" id="panel" required>
                                        <option value="">- Choose Panel -</option>
                                        <?php $__currentLoopData = $panel; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($key); ?>"><?php echo e($value); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    <?php if ($errors->has('panel')) :
if (isset($message)) { $messageCache = $message; }
$message = $errors->first('panel'); ?>
                                    <span style="color: red;">
                                        <strong><?php echo e($message); ?></strong>
                                    </span>
                                    <?php unset($message);
if (isset($messageCache)) { $message = $messageCache; }
endif; ?>
                                </div>
                            </div>
                            <div class="form-group">
                                <label for="panelName" class="col-sm-2 control-label">Group</label>
                                <div class="col-sm-10">
                                    <select class="form-control" name="group" id="group" required>
                                        <option value="">- Choose Group -</option>
                                        <?php $__currentLoopData = $group; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($key); ?>"><?php echo e($value); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    <?php if ($errors->has('group')) :
if (isset($message)) { $messageCache = $message; }
$message = $errors->first('group'); ?>
                                    <span style="color: red;">
                                        <strong><?php echo e($message); ?></strong>
                                    </span>
                                    <?php unset($message);
if (isset($messageCache)) { $message = $messageCache; }
endif; ?>
                                </div>
                            </div>
                            <div class="form-group">
                                <label for="panelName" class="col-sm-2 control-label">HS Code</label>
                                <div class="col-sm-10">
                                    <input type="text" class="form-control" name="hs_code" id="hs_code"
                                           value="<?php echo e(old('hs_code')); ?>"
                                           placeholder="HS Code" required>
                                    <?php if ($errors->has('hs_code')) :
if (isset($message)) { $messageCache = $message; }
$message = $errors->first('hs_code'); ?>
                                    <span style="color: red;">
                                        <strong><?php echo e($message); ?></strong>
                                    </span>
                                    <?php unset($message);
if (isset($messageCache)) { $message = $messageCache; }
endif; ?>
                                </div>
                            </div>
                            <div class="form-group">
                                <label for="panelName" class="col-sm-2 control-label">Item Name</label>
                                <div class="col-sm-10">
                                    <input type="text" class="form-control" name="name" id="name"
                                           value="<?php echo e(old('name')); ?>"
                                           placeholder="Item Name" required>
                                    <?php if ($errors->has('name')) :
if (isset($message)) { $messageCache = $message; }
$message = $errors->first('name'); ?>
                                    <span style="color: red;">
                                        <strong><?php echo e($message); ?></strong>
                                    </span>
                                    <?php unset($message);
if (isset($messageCache)) { $message = $messageCache; }
endif; ?>
                                </div>
                            </div>

                            <div class="form-group">
                                <label for="panelName" class="col-sm-2 control-label">Active</label>
                                <div class="col-sm-10">
                                    <select class="form-control" name="active" id="active" required>
                                        <option value="">- Choose -</option>
                                        <option value="0">In-Active</option>
                                        <option value="1">Active</option>
                                    </select>
                                    <?php if ($errors->has('active')) :
if (isset($message)) { $messageCache = $message; }
$message = $errors->first('active'); ?>
                                    <span style="color: red;">
                                        <strong><?php echo e($message); ?></strong>
                                    </span>
                                    <?php unset($message);
if (isset($messageCache)) { $message = $messageCache; }
endif; ?>
                                </div>
                            </div>
                        </div>
                        <input type="hidden" name="id" id="modifyId">
                        <div class="box-footer">
                            <button type="reset" id="resetn" class="btn btn-default">Reset</button>
                            <button type="submit" class="btn btn-info pull-right">SAVE</button>
                        </div>
                        <!-- /.box-footer -->
                    </form>
                </div>
            </div>
            <div class="col-md-2"></div>
        </div>
        <div class="box">
            <div class="box-header">
                <h3 class="box-title">Master Item List</h3>
            </div>
            <!-- /.box-header -->
            <div class="box-body">
                <table id="data" class="table table-bordered table-striped">
                    <thead>
                    <tr>
                        <th>ID</th>
                        <th>Item</th>
                        <th>HS-Code</th>
                        <th>Group</th>
                        <th>Panel</th>
                        <th>Created At</th>
                        <th>Status</th>
                        <th>Modify</th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php $__currentLoopData = $data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <td><?php echo e($data['id']); ?></td>
                            <td><?php echo e($data['name']); ?></td>
                            <td><?php echo e($data['hs_code']); ?></td>
                            <td><?php echo e($group[$data['group']]); ?></td>
                            <td><?php echo e($panel[$data['panel']]); ?></td>
                            <td><?php echo e($data['created_at']); ?></td>
                            <td>
                                <span class='label label-<?php echo e(($data['active'] == 1?'success':'danger')); ?>'><?php echo e(($data['active'] == 1?'Active':'In-Active')); ?></span>
                            </td>
                            <td>
                                <button type="button" id="modifyMe" class="btn-info btn-xs mClass"
                                        data_val="<?php echo e(base64_encode($data['id']."!~#~!".$data['name']."!~#~!".$data['hs_code']."!~#~!".$data['group']."!~#~!".$data['panel']."!~#~!".$data['active'])); ?>">
                                    <i class="fa fa-edit"></i></button>
                            </td>
                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
            </div>
            <!-- /.box-body -->
            <div>&nbsp;&nbsp;<code><b>NOTE:</b></code>
                <small>ITEM NAME & HS-CODE & GROUP $ PANEL IS UNIQUE FILED IN THE TABLE</small>
            </div>
        </div>
    </section>
<?php $__env->stopSection(); ?>
<?php $__env->startPush('extra-script'); ?>
    <script src="<?php echo e(asset('bower_components/datatables.net/js/jquery.dataTables.min.js')); ?>"></script>
    <script src="<?php echo e(asset('bower_components/datatables.net-bs/js/dataTables.bootstrap.min.js')); ?>"></script>
    <script>
        $(document).ready(function () {

            $("#resetn").click(function () {
                $("#modifyId").val('');
            });

            $(".mClass").click(function () {
                var Cdata = atob($(this).attr('data_val')).split('!~#~!');
                if (Cdata.length == 6) {
                    $("#modifyId").val(Cdata[0]);
                    $("#name").val(Cdata[1]);
                    $("#hs_code").val(Cdata[2]);
                    $("#group").val(Cdata[3]);
                    $("#panel").val(Cdata[4]);
                    $("#active").val(Cdata[5]);
                    $("#name").focus();
                }
            });
            $('#data').DataTable();
        });
    </script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/rockbiinfo/public_html/esc/resources/views/master/item.blade.php ENDPATH**/ ?>