<!doctype html>
<html lang="<?php echo e(str_replace('_', '-', app()->getLocale())); ?>">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>ESC Registration</title>
    <!-- Fonts -->
    <link href="https://fonts.googleapis.com/css?family=Nunito:200,600" rel="stylesheet">
    <!-- Styles -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.2.0/css/bootstrap.min.css">

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>

    <link rel="stylesheet" href="//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
    <link rel="stylesheet" href="https://jqueryui.com/jquery-wp-content/themes/jqueryui.com/style.css">

    <script src="https://code.jquery.com/jquery-1.12.4.js"></script>
    <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
    <style>
        .error_message {
            color: red;
            font-size: 10px;
        }

        #th1 {
            color: white;
            font-size: 12px;
        }

        #th2 {
            font-size: 11px;
        }

        .table-bordered > tbody > tr:nth-child(odd) > td,
        .table-bordered > tbody > tr:nth-child(odd) > th {
            background-color: #b0d4f1;
        }

        #inner-table1 > tbody > tr:nth-child(odd) > td,
        #inner-table1 > tbody > tr:nth-child(odd) > th {
            background-color: #b2b2b2;
        }

        #inner-table2 > tbody > tr:nth-child(odd) > td,
        #inner-table2 > tbody > tr:nth-child(odd) > th {
            background-color: #FFF2CC;
        }

        #patnerdin {
            background: yellow;
            color: white;
            padding: 2px;
            font-size: 11px;
        }

        img, iframe {
            height: auto;
            padding-top: 10px;
            margin-bottom: -0%;
            max-width: 100%;
            vertical-align: middle;
        }

        #img2 {
            display: block;
            margin-left: auto;
            margin-right: auto;
            width: 6%;
            margin-top: -2%;
        }

        label {
            font-size: 11px;
        }

        input[type="text"], [type="email"], [type='date'], select {
            font-size: 10px;
            height: 25px !important;
        }

        .table-bordered, th, td {
            padding: 1px;
        }

        /* The Modal (background) */
        .modal {
            display: none; /* Hidden by default */
            position: fixed; /* Stay in place */
            z-index: 1; /* Sit on top */
            padding-top: 100px; /* Location of the box */
            left: 0;
            top: 0;
            width: 100%; /* Full width */
            height: 100%; /* Full height */
            overflow: auto; /* Enable scroll if needed */
            background-color: rgb(0, 0, 0); /* Fallback color */
            background-color: rgba(0, 0, 0, 0.4); /* Black w/ opacity */
        }

        /* Modal Content */
        .modal-content {
            background-color: #fefefe;
            margin: auto;
            padding: 20px;
            border: 1px solid #888;
            width: 80%;
        }

        /* The Close Button */
        .close {
            color: red;
            float: right;
            font-size: 28px;
            font-weight: bold;
        }

        .close:hover,
        .close:focus {
            color: red;
            text-decoration: none;
            cursor: pointer;
        }
    </style>
    <script>
        $(document).ready(function () {

            $(function () {
                $("#doe").datepicker({
                    changeMonth: true,
                    changeYear: true,
                    dateFormat: 'yy-mm-dd'
                });
            });

            var selectedCType = [];
            Array.prototype.remove = function () {
                var what, a = arguments, L = a.length, ax;
                while (L && this.length) {
                    what = a[--L];
                    while ((ax = this.indexOf(what)) !== -1) {
                        this.splice(ax, 1);
                    }
                }
                return this;
            };
            $('input:checkbox').change(function () {
                if ($(this).is(":checked")) {
                    selectedCType.push($(this).val());
                    $("#typesOfCompany").val(JSON.stringify(selectedCType));
                    console.log(selectedCType);
                } else {
                    selectedCType.remove($(this).val());

                    $("#typesOfCompany").val(JSON.stringify(selectedCType));
                    if ($("#typesOfCompany").val() == '[]') {
                        $("#typesOfCompany").val('');
                    }
                }
            });
            $("#popForm").click(function () {
                $("#myModal").show();
            });
            $(".close").click(function () {
                $("#myModal").hide();
            });
        });
    </script>
</head>
<body>
<div id="myModal" class="modal">
    <div class="modal-content">
        <span class="close">&times;</span>
        <section class="content">
            <div class="box">
                <div class="box-header">
                    <h3 class="box-title">ANNUAL FEE</h3>
                </div>
                <!-- /.box-header -->
                <div class="box-body">
                    <table class="table table-condensed">
                        <thead>
                        <tr>
                            <th>Export performance (FOB value + Deemed export ) in the preceding financial year
                            </th>
                            <th>Applicable Annual Fee (Rs)
                            </th>
                            <th>GST @ 18% (Rs)
                            </th>
                            <th>TOTAL ANNUAL FEE (Rs.)
                            </th>
                        </tr>
                        </thead>
                        <tbody>
                        <?php $__currentLoopData = $anualData; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td><?php echo e($data['col1']); ?></td>
                                <td><?php echo e($data['col2']); ?></td>
                                <td><?php echo e($data['col3']); ?></td>
                                <td><?php echo e($data['col4']); ?></td>

                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>

                </div>
                <div class="box">
                    <div class="box-body">
                        <h4 style="color: #227dc7"><b>ESC BANK DETAILS</b></h4>
                        <table class="table table-condensed">
                            <tr>
                                <th><b>Beneficiary A/c Name :</b></th>
                                <td><b>Electronics and Computer Software Export Promotion Council</b></td>
                            </tr>
                            <tr>
                                <th><b>Beneficiary Address :</b></th>
                                <td><b>ESC House, 155 Okhla Industrial Estate - III, New Delhi 110020</b></td>
                            </tr>
                            <tr>
                                <th><b>Beneficiary’s Bank Details:</b></th>
                            </tr>
                            <tr>
                                <th><b>-----------------------------</b></th>
                            </tr>
                            <tr>
                                <th><b>Bank Name :</b></th>
                                <td><b>Kotak Mahindra Bank Ltd</b></td>
                            </tr>
                            <tr>
                                <th><b>Account No :</b></th>
                                <td><b>2212559390</b></td>
                            </tr>
                            <tr>
                                <th>Account Type :</th>
                                <td><b>Saving Bank Account</b></td>
                            </tr>
                            <tr>
                                <th>NEFT/IFSC Code :</th>
                                <td><b>KKBK-000-4587</b></td>
                            </tr>
                            <tr>
                                <th>Service Tax no.:</th>
                                <td><b>AAATE0022CSD001 </b></td>
                            </tr>
                            <tr>
                                <th>PAN :</th>
                                <td><b>AAATE0022C </b></td>
                            </tr>
                            <tr>
                                <th>GSTIN :</th>
                                <td><b>07AAATE0022C1ZN</b></td>
                            </tr>
                            <tr>
                                <th>Email to confirm payment :</th>
                                <td style="color: #227dc7"><b>esc@escindia.com</b></td>
                            </tr>

                        </table>
                    </div>
                </div>
            </div>

        </section>
    </div>
</div>
<header id="header" class="header5 with-shadow not-fixed">
    <div id="main-header" class="bg-white color-dark ">
        <div class="container">
            <div class="row">
                <div class="col-lg-6 col-md-6 col-sm-6">
                    <div class="logo">
                        <a class="default-logo" href=""
                           title="Electronics and Computer  Software Export Promotion Council">
                            <img src="<?php echo e(url('/ESCLOGO.png')); ?>"
                                 alt="Electronics and Computer  Software Export Promotion Council"> </a>
                    </div>
                </div>
                <div class="col-lg-6 col-md-6 col-sm-6 text-right">
                    <div class="logo-right">
                        <img src="https://www.escindia.in/wp-content/themes/esc/img/make-on-india.png"
                             alt="Make in india">
                    </div>
                </div>
            </div>
        </div>
    </div>
    <nav class="navbar navbar-default" style="background: #227dc7">
        <div class="container-fluid">
            <div class="navbar-header">
                <a class="navbar-brand" href="#" style="color: white">Register</a>
            </div>
            <ul class="nav navbar-nav navbar-right">
                <li><a href="<?php echo e(route('login')); ?>"><span class="glyphicon glyphicon-log-in" style="color: white">&nbsp;Login</span></a>
                </li>
            </ul>
        </div>
    </nav>
</header>
<div class="row">
    <div class="col-md-2"></div>
    <div class="col-md-8">
        <div class="row">
            <div class="col-md-12">
                <div align="center">
                    <img src="<?php echo e(url('/escindia.png')); ?>" width="60px">
                    <h6><b>Application form for membership with</b></h6>
                    <h6><b>Electronics and Computer Software Export Promotion Council (ESC)</b></h6>
                </div>
                <div style="font-weight: bold">Note : Please keep annual membership fee payment details ready.
                    <a id="popForm" style="cursor: pointer; color: blue">CLICK HERE</a>
                    for fee details
                </div>
            </div>
            <div class="col-md-12">
                <form method="POST" action="<?php echo e(route('register')); ?>">
                    <input type="hidden" name="_token" value="<?php echo e(csrf_token()); ?>">
                    <table class="table table-bordered">
                        <tr>
                            <th style="width:30%; background-color: #4aa0e6" id="th1">Heading</th>
                            <th style="width:70%; background-color: #4aa0e6" id="th1"> Default</th>
                        </tr>
                        <tr>
                            <td>
                                <label>Company Name</label>
                            </td>
                            <td>
                                <input type="text" class="form-control" id="name" name="name" value="<?php echo e(old('name')); ?>"
                                       placeholder="Company Name" required>
                                <?php if ($errors->has('name')) :
if (isset($message)) { $messageCache = $message; }
$message = $errors->first('name'); ?>
                                <strong class="error_message">The Company Name is required</strong>
                                <?php unset($message);
if (isset($messageCache)) { $message = $messageCache; }
endif; ?>
                            </td>
                        </tr>
                        <tr>
                            <td><label>Date of Establishment</label></td>
                            <td>
                                <input type="text" class="form-control" id="doe" name="doe" value="<?php echo e(old('doe')); ?>"
                                       readonly>

                                <?php if ($errors->has('doe')) :
if (isset($message)) { $messageCache = $message; }
$message = $errors->first('doe'); ?>
                                <strong class="error_message">The Date of Establishment is required</strong>
                                <?php unset($message);
if (isset($messageCache)) { $message = $messageCache; }
endif; ?>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2"></td>
                        </tr>
                        <tr>
                            <td colspan="2"><label>Registered Office Address</label></td>
                        </tr>
                        <tr>
                            <td>
                                <label>Line 1</label>
                            </td>
                            <td>
                                <input type="text" class="form-control <?php if ($errors->has('roa_line1')) :
if (isset($message)) { $messageCache = $message; }
$message = $errors->first('roa_line1'); ?> is-invalid <?php unset($message);
if (isset($messageCache)) { $message = $messageCache; }
endif; ?>"
                                       id="roa_line1"
                                       name="roa_line1" value="<?php echo e(old('roa_line1')); ?>" placeholder="Line 1" required>
                                <?php if ($errors->has('roa_line1')) :
if (isset($message)) { $messageCache = $message; }
$message = $errors->first('roa_line1'); ?>
                                <strong class="error_message">The Line1 is required </strong>
                                <?php unset($message);
if (isset($messageCache)) { $message = $messageCache; }
endif; ?>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <label>Line 2</label>
                            </td>
                            <td>
                                <input type="text" class="form-control" id="roa_line2" name="roa_line2"
                                       value="<?php echo e(old('roa_line2')); ?>" placeholder="Line 2" required>
                                <?php if ($errors->has('roa_line2')) :
if (isset($message)) { $messageCache = $message; }
$message = $errors->first('roa_line2'); ?>
                                <strong class="error_message">The Line2 is required</strong>
                                <?php unset($message);
if (isset($messageCache)) { $message = $messageCache; }
endif; ?>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <label>City</label>
                            </td>
                            <td>
                                <input type="text" class="form-control" id="roa_city" name="roa_city"
                                       value="<?php echo e(old('roa_city')); ?>" placeholder="City" required>
                                <?php if ($errors->has('roa_city')) :
if (isset($message)) { $messageCache = $message; }
$message = $errors->first('roa_city'); ?>
                                <strong class="error_message">The City is required</strong>
                                <?php unset($message);
if (isset($messageCache)) { $message = $messageCache; }
endif; ?>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <label>PIN</label>
                            </td>
                            <td>

                                <input type="text" class="form-control" id="roa_pin" name="roa_pin"
                                       value="<?php echo e(old('roa_pin')); ?>"
                                       placeholder="PIN" required>
                                <?php if ($errors->has('roa_pin')) :
if (isset($message)) { $messageCache = $message; }
$message = $errors->first('roa_pin'); ?>
                                <strong class="error_message">The PIN is required </strong>
                                <?php unset($message);
if (isset($messageCache)) { $message = $messageCache; }
endif; ?>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <label>State</label>
                            </td>
                            <td>
                                <select class="form-control" id="roa_state" name="roa_state" style="font-size: 10px;" required>
                                    <option value="">Select State</option>
                                    <?php $__currentLoopData = STATES; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($key); ?>" <?php echo e((old('roa_state') == $key ? 'selected':'')); ?>> <?php echo e($value); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                                <?php if ($errors->has('roa_state')) :
if (isset($message)) { $messageCache = $message; }
$message = $errors->first('roa_state'); ?>
                                <strong class="error_message">The State is required</strong>
                                <?php unset($message);
if (isset($messageCache)) { $message = $messageCache; }
endif; ?>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <label>Telephone</label>
                            </td>
                            <td>
                                <input type="text" class="form-control" id="roa_telephone" name="roa_telephone"
                                       value="<?php echo e(old('roa_telephone')); ?>" placeholder="Telephone" required>
                                <?php if ($errors->has('roa_telephone')) :
if (isset($message)) { $messageCache = $message; }
$message = $errors->first('roa_telephone'); ?>
                                <strong class="error_message">The Telephone is required</strong>
                                <?php unset($message);
if (isset($messageCache)) { $message = $messageCache; }
endif; ?>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <label>Email</label>
                            </td>
                            <td>
                                <input id="email" type="email" class="form-control <?php if ($errors->has('email')) :
if (isset($message)) { $messageCache = $message; }
$message = $errors->first('email'); ?> is-invalid <?php unset($message);
if (isset($messageCache)) { $message = $messageCache; }
endif; ?>"
                                       name="email" value="<?php echo e(old('email')); ?>" autocomplete="email" placeholder="Email" required>
                                <?php if ($errors->has('email')) :
if (isset($message)) { $messageCache = $message; }
$message = $errors->first('email'); ?>
                                <strong class="error_message">The email is required</strong>
                                <?php unset($message);
if (isset($messageCache)) { $message = $messageCache; }
endif; ?>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <label>Website</label>
                            </td>
                            <td>
                                <input type="text" class="form-control" id="roa_website" name="roa_website"
                                       value="<?php echo e(old('roa_website')); ?>" placeholder="Website" required>
                                <?php if ($errors->has('roa_website')) :
if (isset($message)) { $messageCache = $message; }
$message = $errors->first('roa_website'); ?>
                                <strong class="error_message">The Website is required</strong>
                                <?php unset($message);
if (isset($messageCache)) { $message = $messageCache; }
endif; ?>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2"></td>
                        </tr>
                        <tr>
                            <td colspan="2"><label>CEO Details</label></td>
                        </tr>
                        <tr>
                            <td><label>Name</label></td>
                            <td>
                                <input type="text" class="form-control" id="ceo_name" name="ceo_name"
                                       value="<?php echo e(old('ceo_name')); ?>" placeholder="Name" required>
                                <?php if ($errors->has('ceo_name')) :
if (isset($message)) { $messageCache = $message; }
$message = $errors->first('ceo_name'); ?>
                                <strong class="error_message">The CEO Name is required</strong>
                                <?php unset($message);
if (isset($messageCache)) { $message = $messageCache; }
endif; ?>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <label>Designation</label>
                            </td>
                            <td>
                                <input type="text" class="form-control" id="ceo_designation" name="ceo_designation"
                                       value="<?php echo e(old('ceo_designation')); ?>" placeholder="Designation" required>
                                <?php if ($errors->has('ceo_designation')) :
if (isset($message)) { $messageCache = $message; }
$message = $errors->first('ceo_designation'); ?>
                                <strong class="error_message">The Designation is required</strong>
                                <?php unset($message);
if (isset($messageCache)) { $message = $messageCache; }
endif; ?>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <label>Email</label>
                            </td>
                            <td>
                                <input type="email" class="form-control" id="ceo_email" name="ceo_email"
                                       value="<?php echo e(old('ceo_email')); ?>" placeholder="Email" required>
                                <?php if ($errors->has('ceo_email')) :
if (isset($message)) { $messageCache = $message; }
$message = $errors->first('ceo_email'); ?>
                                <strong class="error_message">The Email is required</strong>
                                <?php unset($message);
if (isset($messageCache)) { $message = $messageCache; }
endif; ?>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <label>Phone / Mobile</label>
                            </td>
                            <td>
                                <input type="text" class="form-control" id="ceo_phone_mobile" name="ceo_phone_mobile"
                                       value="<?php echo e(old('ceo_phone_mobile')); ?>" placeholder="Phone / Mobile" required>
                                <?php if ($errors->has('ceo_phone_mobile')) :
if (isset($message)) { $messageCache = $message; }
$message = $errors->first('ceo_phone_mobile'); ?>
                                <strong class="error_message">Phone / Mobile is required</strong>
                                <?php unset($message);
if (isset($messageCache)) { $message = $messageCache; }
endif; ?>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2"></td>
                        </tr>
                        <tr>
                            <td>
                                <label>Company IEC number</label>
                            </td>
                            <td>
                                <input type="text" class="form-control" id="ceo_company_iec_number"
                                       name="ceo_company_iec_number" value="<?php echo e(old('ceo_company_iec_number')); ?>"
                                       placeholder="Company IEC number" required>
                                <?php if ($errors->has('ceo_company_iec_number')) :
if (isset($message)) { $messageCache = $message; }
$message = $errors->first('ceo_company_iec_number'); ?>
                                <strong class="error_message">The Company IEC number is required</strong>
                                <?php unset($message);
if (isset($messageCache)) { $message = $messageCache; }
endif; ?>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <label>GST number</label>
                            </td>
                            <td>
                                <input type="text" class="form-control" id="ceo_gst_number" name="ceo_gst_number"
                                       value="<?php echo e(old('ceo_gst_number')); ?>" placeholder="GST number" required>
                                <?php if ($errors->has('ceo_gst_number')) :
if (isset($message)) { $messageCache = $message; }
$message = $errors->first('ceo_gst_number'); ?>
                                <strong class="error_message">The GST number is required</strong>
                                <?php unset($message);
if (isset($messageCache)) { $message = $messageCache; }
endif; ?>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2"></td>
                        </tr>
                        <tr>
                            <td colspan="2">
                                <label>Contact ’s Details</label>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <label>Name</label>
                            </td>
                            <td>
                                <input type="text" class="form-control" id="cp_name" name="cp_name"
                                       value="<?php echo e(old('cp_name')); ?>"
                                       placeholder="Contact ’s Name" required>
                                <?php if ($errors->has('cp_name')) :
if (isset($message)) { $messageCache = $message; }
$message = $errors->first('cp_name'); ?>
                                <strong class="error_message">The Contact Name is required</strong>
                                <?php unset($message);
if (isset($messageCache)) { $message = $messageCache; }
endif; ?>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <label>Designation</label>
                            </td>
                            <td>
                                <input type="text" class="form-control" id="cp_designation" name="cp_designation"
                                       value="<?php echo e(old('cp_designation')); ?>" placeholder="Designation" required>
                                <?php if ($errors->has('cp_designation')) :
if (isset($message)) { $messageCache = $message; }
$message = $errors->first('cp_designation'); ?>
                                <strong class="error_message">The Designation is required</strong>
                                <?php unset($message);
if (isset($messageCache)) { $message = $messageCache; }
endif; ?>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <label>Email</label>
                            </td>
                            <td>
                                <input type="email" class="form-control" id="cp_email" name="cp_email"
                                       value="<?php echo e(old('cp_email')); ?>" placeholder="Contact ’s Email" required>
                                <?php if ($errors->has('cp_email')) :
if (isset($message)) { $messageCache = $message; }
$message = $errors->first('cp_email'); ?>
                                <strong class="error_message">The Email is required</strong>
                                <?php unset($message);
if (isset($messageCache)) { $message = $messageCache; }
endif; ?>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <label>Phone</label>
                            </td>
                            <td>
                                <input type="text" class="form-control" id="cp_phone" name="cp_phone"
                                       value="<?php echo e(old('cp_phone')); ?>" placeholder="Contact ’s Phone" required>
                                <?php if ($errors->has('cp_phone')) :
if (isset($message)) { $messageCache = $message; }
$message = $errors->first('cp_phone'); ?>
                                <strong class="error_message">The Phone is required</strong>
                                <?php unset($message);
if (isset($messageCache)) { $message = $messageCache; }
endif; ?>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <label>Mobile</label>
                            </td>
                            <td>
                                <input type="text" class="form-control" id="cp_mobile" name="cp_mobile"
                                       value="<?php echo e(old('cp_mobile')); ?>" placeholder="Mobile" required>
                                <?php if ($errors->has('cp_mobile')) :
if (isset($message)) { $messageCache = $message; }
$message = $errors->first('cp_mobile'); ?>
                                <strong class="error_message">The Mobile is required</strong>
                                <?php unset($message);
if (isset($messageCache)) { $message = $messageCache; }
endif; ?>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2"></td>
                        </tr>
                        <tr>
                            <td>
                                <label>Registration Type</label>
                            </td>
                            <td>
                                <select class="form-control" id="cp_registration_type" name="cp_registration_type" style="font-size: 11px;" required>
                                    <option value="">- CHOOSE -</option>
                                    <?php $__currentLoopData = $registrationType; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $id => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($id); ?>" <?php echo e((old('cp_registration_type') == $id ? 'selected':'')); ?>><?php echo e($value); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                                <?php if ($errors->has('cp_registration_type')) :
if (isset($message)) { $messageCache = $message; }
$message = $errors->first('cp_registration_type'); ?>
                                <strong class="error_message">The Registration Type is required</strong>
                                <?php unset($message);
if (isset($messageCache)) { $message = $messageCache; }
endif; ?>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <label>Type of Company</label>
                            </td>
                            <td>
                                <select class="form-control" id="cp_type_of_company" name="cp_type_of_company" style="font-size: 11px;" required>
                                    <option value="">- CHOOSE -</option>
                                    <?php $__currentLoopData = $companyOfType; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $id => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($id); ?>" <?php echo e((old('cp_type_of_company') == $id ? 'selected':'')); ?>><?php echo e($value); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                                <?php if ($errors->has('cp_type_of_company')) :
if (isset($message)) { $messageCache = $message; }
$message = $errors->first('cp_type_of_company'); ?>
                                <strong class="error_message">The Type of Company is required</strong>
                                <?php unset($message);
if (isset($messageCache)) { $message = $messageCache; }
endif; ?>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <label>Company CIN</label>
                            </td>
                            <td>
                                <input type="text" class="form-control" id="company_cin" name="company_cin"
                                       value="<?php echo e(old('company_cin')); ?>" placeholder="" required>
                                <?php if ($errors->has('company_cin')) :
if (isset($message)) { $messageCache = $message; }
$message = $errors->first('company_cin'); ?>
                                <strong class="error_message">The Company CIN is required</strong>
                                <?php unset($message);
if (isset($messageCache)) { $message = $messageCache; }
endif; ?>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <label>Directors Name & DIN</label>
                            </td>
                            <td>
                                <table class="table table-bordered" id="inner-table1">
                                    <tr>
                                        <th style="width:50%; background-color: black;color: white; font-size: 10px">
                                            Name
                                        </th>
                                        <th style="width:50%; background-color: black;color: white; font-size: 10px">
                                            DIN
                                        </th>
                                    </tr>
                                    <tr id="inner-tr1">
                                        <td><input type="text" class="form-control" id="directors_name1"
                                                   name="directors_name1"
                                                   value="<?php echo e(old('directors_name1')); ?>" placeholder="Name" required>
                                            <?php if ($errors->has('directors_name1')) :
if (isset($message)) { $messageCache = $message; }
$message = $errors->first('directors_name1'); ?>
                                            <strong class="error_message">The Directors Name is required</strong>
                                            <?php unset($message);
if (isset($messageCache)) { $message = $messageCache; }
endif; ?>

                                        </td>
                                        <td><input type="text" class="form-control" id="directors_din1"
                                                   name="directors_din1"
                                                   value="<?php echo e(old('directors_din1')); ?>" placeholder="DIN" required>
                                            <?php if ($errors->has('directors_din1')) :
if (isset($message)) { $messageCache = $message; }
$message = $errors->first('directors_din1'); ?>
                                            <strong class="error_message">The Directors Din is required</strong>
                                            <?php unset($message);
if (isset($messageCache)) { $message = $messageCache; }
endif; ?>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td><input type="text" class="form-control" id="directors_name2"
                                                   name="directors_name2"
                                                   value="<?php echo e(old('directors_name2')); ?>" placeholder="">
                                        </td>
                                        <td><input type="text" class="form-control" id="directors_din2"
                                                   name="directors_din2"
                                                   value="<?php echo e(old('directors_din2')); ?>" placeholder="">
                                        </td>
                                    </tr>
                                    <tr>
                                        <td><input type="text" class="form-control" id="directors_name3"
                                                   name="directors_name3"
                                                   value="<?php echo e(old('directors_name3')); ?>"
                                                   placeholder="">
                                        </td>
                                        <td><input type="text" class="form-control" id="directors_din3"
                                                   name="directors_din3"
                                                   value="<?php echo e(old('directors_din3')); ?>" placeholder="">
                                        </td>
                                    </tr>
                                    <tr>
                                        <td><input type="text" class="form-control" id="directors_name4"
                                                   name="directors_name4"
                                                   value="<?php echo e(old('directors_name4')); ?>" placeholder="">
                                        </td>
                                        <td><input type="text" class="form-control" id="directors_din4"
                                                   name="directors_din4"
                                                   value="<?php echo e(old('directors_din4')); ?>" placeholder="">
                                        </td>
                                    </tr>
                                    <tr>
                                        <td><input type="text" class="form-control" id="directors_name5"
                                                   name="directors_name5"
                                                   value="<?php echo e(old('directors_name5')); ?>" placeholder="">
                                        </td>
                                        <td><input type="text" class="form-control" id="directors_din5"
                                                   name="directors_din5"
                                                   value="<?php echo e(old('directors_din5')); ?>" placeholder="">
                                        </td>
                                    </tr>
                                    <tr>
                                        <td><input type="text" class="form-control" id="directors_name6"
                                                   name="directors_name6"
                                                   value="<?php echo e(old('directors_name6')); ?>"
                                                   placeholder="">
                                        </td>
                                        <td><input type="text" class="form-control" id="directors_din6"
                                                   name="directors_din6"
                                                   value="<?php echo e(old('directors_din6')); ?>" placeholder="">
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        <tr>
                            <td colspan="2"></td>
                        </tr>
                        <tr>
                            <td>
                                <label>PAN of all Partners</label>
                            </td>
                            <td>
                                <table class="table table-bordered" id="inner-table2" style="width: 100%">
                                    <tr>
                                        <th style="width:50%;background: #FFC000" id="patnerdin">Partner</th>
                                        <th style="width:50%;background: #FFC000" id="patnerdin"> PAN</th>
                                    </tr>
                                    <tr>
                                        <td><input type="text" class="form-control" id="partners1" name="partners1"
                                                   value="<?php echo e(old('partners1')); ?>" placeholder="Partner" required>
                                            <?php if ($errors->has('partners1')) :
if (isset($message)) { $messageCache = $message; }
$message = $errors->first('partners1'); ?>
                                            <strong class="error_message">The partner is required</strong>
                                            <?php unset($message);
if (isset($messageCache)) { $message = $messageCache; }
endif; ?>
                                        </td>
                                        <td><input type="text" class="form-control" id="patners_pan1"
                                                   name="patners_pan1"
                                                   value="<?php echo e(old('patners_pan1')); ?>" placeholder="PAN" required>
                                            <?php if ($errors->has('patners_pan1')) :
if (isset($message)) { $messageCache = $message; }
$message = $errors->first('patners_pan1'); ?>
                                            <strong class="error_message">The partner DIN is required</strong>
                                            <?php unset($message);
if (isset($messageCache)) { $message = $messageCache; }
endif; ?>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td><input type="text" class="form-control" id="partners2" name="partners2"
                                                   value="<?php echo e(old('partners2')); ?>"
                                                   placeholder="">
                                        </td>
                                        <td><input type="text" class="form-control" id="patners_pan2"
                                                   name="patners_pan2"
                                                   value="<?php echo e(old('patners_pan2')); ?>" placeholder="">
                                        </td>
                                    </tr>
                                    <tr>
                                        <td><input type="text" class="form-control" id="partners3" name="partners3"
                                                   value="<?php echo e(old('partners3')); ?>" placeholder="">
                                        </td>
                                        <td><input type="text" class="form-control" id="patners_pan3"
                                                   name="patners_pan3"
                                                   value="<?php echo e(old('patners_pan3')); ?>" placeholder="">
                                        </td>
                                    </tr>
                                    <tr>
                                        <td><input type="text" class="form-control" id="partners4" name="partners4"
                                                   value="<?php echo e(old('partners4')); ?>" placeholder="">
                                        </td>
                                        <td><input type="text" class="form-control" id="patners_pan4"
                                                   name="patners_pan4"
                                                   value="<?php echo e(old('patners_pan4')); ?>" placeholder="">
                                        </td>
                                    </tr>
                                    <tr>
                                        <td><input type="text" class="form-control" id="partners5" name="partners5"
                                                   value="<?php echo e(old('partners5')); ?>" placeholder="">
                                        </td>
                                        <td><input type="text" class="form-control" id="patners_pan5"
                                                   name="patners_pan5"
                                                   value="<?php echo e(old('patners_pan5')); ?>" placeholder="">
                                        </td>
                                    </tr>
                                    <tr>
                                        <td><input type="text" class="form-control" id="partners6" name="partners6"
                                                   value="<?php echo e(old('partners6')); ?>" placeholder="">
                                        </td>
                                        <td><input type="text" class="form-control" id="patners_pan6"
                                                   name="patners_pan6"
                                                   value="<?php echo e(old('patners_pan6')); ?>" placeholder="">
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <label>Company PAN</label>
                            </td>
                            <td>
                                <input type="text" class="form-control" id="company_pan" name="company_pan"
                                       value="<?php echo e(old('company_pan')); ?>" placeholder="Company PAN" required>
                                <?php if ($errors->has('company_pan')) :
if (isset($message)) { $messageCache = $message; }
$message = $errors->first('company_pan'); ?>
                                <strong class="error_message">Company PAN is required</strong>
                                <?php unset($message);
if (isset($messageCache)) { $message = $messageCache; }
endif; ?>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <label>Proprietor PAN</label>
                            </td>
                            <td>
                                <input type="text" class="form-control" id="proprietor_pan" name="proprietor_pan"
                                       value="<?php echo e(old('proprietor_pan')); ?>" placeholder="Proprietor PAN" required>
                                <?php if ($errors->has('proprietor_pan')) :
if (isset($message)) { $messageCache = $message; }
$message = $errors->first('proprietor_pan'); ?>
                                <strong class="error_message">The Proprietor PAN is required </strong>
                                <?php unset($message);
if (isset($messageCache)) { $message = $messageCache; }
endif; ?>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <label>Items of Registration</label>
                            </td>
                            <td>
                                <textarea rows="6" cols="100" name="items_of_registration"
                                          id="items_of_registration" required><?php echo e(old('items_of_registration')); ?></textarea>
                                <?php if ($errors->has('items_of_registration')) :
if (isset($message)) { $messageCache = $message; }
$message = $errors->first('items_of_registration'); ?>
                                <strong class="error_message">The Items of Registration is </strong>
                                <?php unset($message);
if (isset($messageCache)) { $message = $messageCache; }
endif; ?>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <label>Select Panels </label>
                            </td>
                            <td>
                                <?php $__currentLoopData = $panels; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $id => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <label class="form-check-label">
                                        <input type="checkbox" class="form-check-input" value="<?php echo e($id); ?>"> <?php echo e($value); ?>

                                    </label>

                                    <br>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <input type="hidden" name="panels" id="typesOfCompany">
                                <?php if ($errors->has('panels')) :
if (isset($message)) { $messageCache = $message; }
$message = $errors->first('panels'); ?>
                                <strong class="error_message">The Panels is required</strong>
                                <?php unset($message);
if (isset($messageCache)) { $message = $messageCache; }
endif; ?>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <label>Payment Details</label>
                            </td>
                            <td>
                                <input type="text" class="form-control" id="payment_details" name="payment_details"
                                       placeholder="payment details" value="<?php echo e(old('payment_details')); ?>" required>
                                <?php if ($errors->has('payment_details')) :
if (isset($message)) { $messageCache = $message; }
$message = $errors->first('payment_details'); ?>
                                <strong class="error_message">The Payment Details is required</strong>
                                <?php unset($message);
if (isset($messageCache)) { $message = $messageCache; }
endif; ?>
                            </td>
                        </tr>
                    </table>
                    <button type="submit" class="btn btn-primary"
                            style=margin-left:auto;margin-right:auto;display:block;margin-bottom:0%>
                        SUBMIT
                    </button>
                    <br>
                    <br>
                </form>
            </div>
        </div>
    </div>
    <div class="col-md-2"></div>
</div>
</body>
</html>
<?php /**PATH /home/biinff9p/public_html/esc/resources/views/auth/register.blade.php ENDPATH**/ ?>